2011-04-25  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * cmake/modules/FindNumpy.cmake: Sync with FindNumPy from master.  The old
  version was susceptible to issues as it was dereferencing the variable
  explicitly. This is prone to error, and causes warnings with newer versions
  of CMake. 

2011-04-24  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * CMakeLists.txt, Doxyfile: Bumped to version 1.0.3 in preparation for
  release.

2011-04-23  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * avogadro/src/CMakeLists.txt, cmake/modules/FindLinguist.cmake,
  libavogadro/src/CMakeLists.txt: Actually set Linguist_FOUND to TRUE.  If the
  required executables are found, set Linguist_FOUND to true. This addresses
  bug #3292000. 

2011-04-22  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * CMakeLists.txt, Doxyfile: Version number bump to 1.0.2 for tagging.

  * cmake/modules/AvoCPack.cmake: Updated install rules for minimal Windows
  package.  No Python/extended dependencies.

2010-09-20  David C. Lonie <loniedavid@gmail.com>

  * avogadro/gl2ps/gl2ps.c: M_PI is not defined on windows, added a definition
  for gl2ps. 

2011-04-14  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/extensions/CMakeLists.txt: Add the zlib include directory
  for qtiocompressor.

2010-09-20  David C. Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/gamessinputdialog.cpp: Added an implementation
  of double round(double)  For the the gamess input reader when compiling on
  windows. 

2011-04-13  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * cmake/modules/FindLinguist.cmake: Fixed FindLinguist to respect REQUIRED
  option.

2011-04-12  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/extensions/gamessinputdialog.cpp: Fixed bug #3285388,
  should be atomAdded and friends.  This input dialog was not being correctly
  updated when atoms were added, updated or removed. This is due to the
  specialization of the signals from molecule for the common cases of atoms and
  bonds. 

2011-04-11  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/extensions/surfaceextension.cpp: Fixed a crash when ESP
  cube is selected.  This was never implemented, if the user selects it then it
  falls through to ElectronDensity and can potentially crash if there is no
  electronic structure loaded. 

2011-04-11  David C. Lonie <loniedavid@gmail.com>

  * libavogadro/tests/moleculetest.cpp: Test for crashes when removing atoms
  and bonds that do not belong to the molecule.

2011-02-25  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/molecule.cpp: Don't try to remove atom if it does not
  belong to this Molecule  The same for bonds, cubes, meshes, residues, rings 

2011-04-09  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-ca@valencia.po, i18n/avogadro-cs.po,
  i18n/avogadro-da.po, i18n/avogadro-de.po, i18n/avogadro-el.po,
  i18n/avogadro-en_AU.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-eu.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-gl.po, i18n/avogadro-he.po,
  i18n/avogadro-hr.po, i18n/avogadro-hu.po, i18n/avogadro-id.po,
  i18n/avogadro-it.po, i18n/avogadro-ja.po, i18n/avogadro-kn.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-oc.po, i18n/avogadro-pl.po, i18n/avogadro-pt.po,
  i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po, i18n/avogadro-sk.po,
  i18n/avogadro-sr.po, i18n/avogadro-sv.po, i18n/avogadro-th.po,
  i18n/avogadro-tr.po, i18n/avogadro-ug.po, i18n/avogadro-uk.po,
  i18n/avogadro-vi.po, i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-bs.po,
  i18n/libavogadro-ca.po, i18n/libavogadro-ca@valencia.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-da.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_AU.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-eu.po,
  i18n/libavogadro-fi.po, i18n/libavogadro-fr.po, i18n/libavogadro-gl.po,
  i18n/libavogadro-he.po, i18n/libavogadro-hi.po, i18n/libavogadro-hu.po,
  i18n/libavogadro-id.po, i18n/libavogadro-it.po, i18n/libavogadro-ja.po,
  i18n/libavogadro-kn.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-oc.po, i18n/libavogadro-pl.po,
  i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po,
  i18n/libavogadro-sk.po, i18n/libavogadro-sr.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-ug.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-vi.po, i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po:
  Updated translations from Launchpad.

2011-04-08  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/tools/autoopttool.cpp: Ensure there is an OBConversion for
  forcefield.  This is a patch suggested in a Fedora bug, 
  https://bugzilla.redhat.com/show_bug.cgi?id=680292  It is a copy of the patch
  in the forcefield extension, to ensure we can find a forcefield in the auto
  optimization tool. 

  * libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/trajvideomaker.cpp,
  libavogadro/src/extensions/trajvideomaker.h: Bug #3043641, fix auto-bonding
  in saved animation.  Have makeVideo also use the Animation class, and respect
  the autobonding option exposed in the animation dialog. 

2011-04-07  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/gamessinputdialog.cpp: For 1.0.2, hide GAMESS
  Compute button -- doesn't work yet.

  * libavogadro/src/tools/drawcommand.cpp: Fix for crash bug PR#3102431. Draw
  tool to change atom to H.

2011-04-07  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * CMakeLists.txt: Address bug #3174124 - lib directory and cache.  This
  works, but the cache can end up in an inconsistent state. By using FORCE we
  ensure that the lib and plugin directories remain consistent with the
  selected lib suffix. 

  * libavogadro/src/extensions/mopacinputdialog.cpp: Fix bug #2977797, use
  LARGE keyword.  This restores MOPAC's previous behavior of printing all MOs,
  I also have a local patch to read the modified output and will target that at
  master, as more changes are required to deal with partial sets of MOs. 

2011-04-06  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/tools/drawtool.cpp: Fix for crash-after-delete bug.
  Previously, after right-click with draw tool, future drawing would crash. We
  needed to reset all the private variables for new drawing properly.

2011-03-22  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * CMakeLists.txt, avogadro/src/CMakeLists.txt,
  libavogadro/src/CMakeLists.txt: Made Linguist optional for build time.  This
  is already the case in master. Some installations of Qt do not come with
  lconvert, this should not block compilation.

2011-03-17  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/molecule.cpp: Prevented possible crash in
  Molecule::setAtomPos if m_atomPos == 0 

  * libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/inputfileextension.cpp,
  .../src/extensions/insertfragmentdialog.cpp,
  .../src/extensions/insertpeptideextension.cpp,
  libavogadro/src/extensions/trajvideomaker.cpp,
  libavogadro/src/moleculefile.cpp: Finally fixed OB file operations with
  non-Latin characters in file paths  QFile::encodeName() and
  QString::toLocal8Bit() do not allow correct opening of fstream objects on
  localized Windows if Avogadro is compiled with MSVC. This patch should fix
  all related issues. 

2011-03-13  David C. Lonie <loniedavid@gmail.com>

  * avogadro/src/mainwindow.cpp: Fix bug in extension menu searching.  Now
  extensions can place items more than two levels deep in the menu structure. 

2011-03-02  Jens Thomas <linucks42@gmail.com>

  * libavogadro/src/extensions/nwcheminputdialog.cpp: Fix bug 3174370 with
  NWChem input generator  This fixes bug 3174370. Changed so that the dedicated
  mp2 and ccsd modules are used, rather then the tce engine. mp2 and ccsd jobs
  now run with frozen core to emulate default behaviour of Gaussian.  Run with
  spherical basis sets when using Dunning correlation-consistent basis sets. 
  Default behaviour is now to echo the input in the output.  Thanks to
  Konstantin Tokarev <annulen@yandex.ru> for backporting fix. 

2011-01-30  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/engines/wireengine.cpp,
  libavogadro/src/engines/wireengine.h: Address bug #3019539 - add wireframe
  pick method.  The pick method actually renders balls and sticks so that the
  bonds do not clobber the atoms. This could probably be streamlined, but
  provides one possible solution to this issue. 

2011-03-01  Konstantin Tokarev <annulen@yandex.ru>

  * scripts/installer/installer_languages/russian.nsh,
  scripts/installer/setup.nsi: Cherry-picked Russian translation of NSIS from
  master 

2011-02-28  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/engine.cpp: Prevent possible segfaults in Engine if
  m_molecule==0 

2011-02-24  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/animation.cpp: Prevent segfaults in Animation::start() and
  stop() if m_molecule == 0 

2011-02-14  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/engines/python/wireframe.py,
  libavogadro/src/pythonengine_p.cpp: Fixed readSettings and writeSettings in
  PythonEngine  To illustrate bugfix, saving of width was added to Python
  wireframe engine 

2011-02-11  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/molecule.cpp: Prevent crash in setDipoleMoment and related
  memory leak in setOBMol 

2011-02-10  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/residue.cpp: Prevent segfault in Residue::addAtom and
  removeAtom if m_molecule == 0 

2011-02-08  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/glwidget.cpp: Prevent crash in renameNamedSelection if
  index is out of range 

  * libavogadro/src/animation.cpp: Animation::setFrame - protection from
  m_molecule == 0 

2011-01-31  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/tools/drawcommand.cpp: Fixes exception in drawcommand test.
   This fixes the exception seen in the draw command test, and looking at bug
  #3091185 and #3102431 still doesn't crash when following the recipes
  provided. 

2011-01-30  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/cube.cpp: Ensure consistent bounds are calculated for
  cubes.  This setLimits method is used for all surface calculations in
  Avogadro right now. It was creating a cube with an incorrect maximum point,
  due to the constraints placed. Ensure we always calculate the max point after
  all other parameters are set. Tested with several symmetric small molecules
  successfully. 

2011-02-03  Geoff Hutchison <geoff.hutchison@gmail.com>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-da.po,
  i18n/avogadro-de.po, i18n/avogadro-el.po, i18n/avogadro-en_AU.po,
  i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po, i18n/avogadro-es.po,
  i18n/avogadro-eu.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-he.po, i18n/avogadro-hr.po, i18n/avogadro-hu.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-kn.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-oc.po, i18n/avogadro-pl.po,
  i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po,
  i18n/avogadro-sk.po, i18n/avogadro-sv.po, i18n/avogadro-th.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-vi.po,
  i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po, i18n/avogadro.pot,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-da.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_AU.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-eu.po,
  i18n/libavogadro-fi.po, i18n/libavogadro-fr.po, i18n/libavogadro-he.po,
  i18n/libavogadro-hi.po, i18n/libavogadro-hu.po, i18n/libavogadro-id.po,
  i18n/libavogadro-it.po, i18n/libavogadro-ja.po, i18n/libavogadro-kn.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-oc.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-vi.po, i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po,
  i18n/libavogadro.pot: Updated with latest Launchpad translations for 1.0
  branch. 

2011-01-31  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/python/sip.cpp: Fixed SIP major API version - should have
  been 4.  The SIP_API_MAJOR_NR and MINOR are always defined, so stopped being
  overly defensive (if they are not then we have more problems than that). I
  got the initial mapping from version number to API version wrong - most of
  them should have referred to 4. 

2011-01-29  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/extensions/gamessinputdialog.cpp: Fix bug #3139144 - NGAUSS
  incorrect for 6-311++G. 

  * libavogadro/src/extensions/gamessinputdialog.ui: Fix bug #3108280, add
  missing Binning/Curtis entry.  The Binning/Curtis DZ entry was missing from
  the drop down. Verified all subsequent entries now match up as expected. 

2011-01-28  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * cmake/modules/PythonDeps.cmake, libavogadro/src/python/sip.cpp: Clean up
  the SIP support, import suggested fixes.  This will also apply cleanly to the
  1.0 branch. I have tested with both master and 1.0 using SIP 4.12. Get rid of
  the symbol definitions - use the ones provided by SIP instead. This means we
  no longer need to run the sip binary to get the SIP version. Thanks to all
  the distro guys for putting patches up pointing me in the right direction. 

2011-01-25  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/atom.cpp: Fixed memory leak of the atom d_ptr. 

2011-01-21  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * cmake/modules/PythonDeps.cmake: Backported fixes to PythonDeps.cmake from
  master. 

  * cmake/modules/FindPythonLibs.cmake: Sync FindPythonLibs with what will be
  in CMake 2.8.4.  When we bump our CMake requirement to CMake 2.8.4 we should
  finally be able to stop maintaining our own FindPythonLibs module... 

2011-01-14  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * Doxyfile: Updated the version number in Doxyfile.

  * cmake/modules/FindAvogadro.cmake: Remove the FindAvogadro module - this is
  not used.  Avogadro is found using the AvogadroConfig.cmake installed by us.

  * cmake/modules/FindPackageHandleStandardArgs.cmake: Remove
  FindPackageHandleStandardArgs - in CMake 2.6.0.

2010-11-23  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/python/CMakeLists.txt: Fixed installation path of Python
  module (PR #3116423) 

2010-11-18  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-da.po,
  i18n/avogadro-de.po, i18n/avogadro-el.po, i18n/avogadro-en_AU.po,
  i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po, i18n/avogadro-es.po,
  i18n/avogadro-eu.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-he.po, i18n/avogadro-hr.po, i18n/avogadro-hu.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-kn.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-oc.po, i18n/avogadro-pl.po,
  i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po,
  i18n/avogadro-sk.po, i18n/avogadro-sv.po, i18n/avogadro-tr.po,
  i18n/avogadro-uk.po, i18n/avogadro-vi.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/avogadro.pot, i18n/libavogadro-ar.po,
  i18n/libavogadro-bg.po, i18n/libavogadro-ca.po, i18n/libavogadro-cs.po,
  i18n/libavogadro-da.po, i18n/libavogadro-de.po, i18n/libavogadro-el.po,
  i18n/libavogadro-en_AU.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-eu.po,
  i18n/libavogadro-fi.po, i18n/libavogadro-fr.po, i18n/libavogadro-he.po,
  i18n/libavogadro-hi.po, i18n/libavogadro-hu.po, i18n/libavogadro-id.po,
  i18n/libavogadro-it.po, i18n/libavogadro-ja.po, i18n/libavogadro-kn.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-oc.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-vi.po, i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po,
  i18n/libavogadro.pot: Merged launchpad translation improvements. 

2010-11-11  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/pluginmanager.cpp: Cross-platform library filtering for
  plugin loading

2010-11-09  David C. Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/forcefieldextension.cpp: Fix forcefieldextension
  to work again.  There needs to be an OBConversion object instantiated before
  OBForceField::FindForceField will work correctly. 

2010-11-08  Konstantin Tokarev <annulen@yandex.ru>

  * avogadro/src/main.cpp: Don't try to open non-existent file. 

  * avogadro/src/mainwindow.cpp: Fixed crash when file is opened as command
  line argument

2010-11-11  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/extensions/pythonterminal.cpp: Import Avogadro module
  automatically in Python terminal

  * cmake/modules/FindNumpy.cmake: Check for presence of required Numpy header 
  On Mandriva there are python-numpy and python-numpy-devel packages. When the
  former is present, but second is missing, compilation is impossible, but
  cmake enables Python if other requirements are met

2010-11-09  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/pluginmanager.h: Fixed typo in documentation

2010-11-07  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/color.h, libavogadro/src/engine.h,
  libavogadro/src/extension.h, libavogadro/src/tool.h: Fix 3104853: allow
  plugin macros to be used outside of the Avogadro namespace. 

2010-11-05  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/tools/navigatetool.h: Fixed dangling pointer in
  navigatetool (fixes PR 3103523)

2010-11-04  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/tools/drawcommand.cpp: Added missing braces in
  DeleteAtomDrawCommand  Fixes PR 3091179

2010-11-03  Konstantin Tokarev <annulen@yandex.ru>

  * libavogadro/src/tools/drawcommand.cpp: Don't create pre- and postcommands
  for H atoms  This patch fixes PR 3102431 and partially PR 3091185 (in the
  latter case crash occurs after Undo, but not immediately as without this
  patch)

2010-10-26  Konstantin Tokarev <annulen@yandex.ru>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.ui: Added Del as
  alternative shortcut for actionClear 

2010-07-19  Konstantin Tokarev <annulen@yandex.ru>

  * avogadro/src/mainwindow.cpp: Fixed opening of file with default name  If
  file was saved with default name (e.g., untitled.cml), it was not opened.
  Also this change prevents possible loss of unsavd data if such file is opened

2010-06-28  Geoff Hutchison <geoff.hutchison@gmail.com>

  * avogadro/src/main.cpp: Make sure to use the right path for Mac OB data. 

2010-05-23  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, cmake/modules/FindOpenBabel2.cmake: Fixed up the logic in
  the superbuild.  Fixed up the logic in the superbuild, use the actual target
  instead of files for the openbabel library. Also, setting one additional
  variable in the superbuild simplifies the find logic in the openbabel module.

2010-05-07  annulen <annulen@yandex.ru>

  * libavogadro/src/extensions/gamessinputdialog.ui: Made Gamess dialog more
  i18n-friendly (no new strings introduced)

2010-05-07  Konstantin Annulen Tokarev <kostya@localhost.localdomain>

  * CMakeLists.txt, avogadro.prf.in, avopkg.in,
  cmake/modules/FindOpenBabel2.cmake: Ported build system changes from trunk

2010-05-02  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/elementtranslator.cpp: Updated element name now it has
  changed.

2010-03-30  Konstantin Tokarev <annulen@users.sourceforge.net>

  * libavogadro/src/tools/navigatetool.cpp: Added WASD keyboard navigation (for
  left hand)

2010-04-01  Konstantin Tokarev <kostya@tdlab1.chem.msu.su>

  * libavogadro/src/extensions/gaussianinputdialog.ui,
  libavogadro/src/extensions/molproinputdialog.ui,
  libavogadro/src/extensions/mopacinputdialog.ui,
  libavogadro/src/extensions/nwcheminputdialog.ui,
  libavogadro/src/extensions/qcheminputdialog.ui: Killed translation of some
  basis set combos

  * libavogadro/src/extensions/gamessinputdialog.ui: Gamess - no translate
  basis sets

2010-04-03  Konstantin Tokarev <kostya@tdlab1.chem.msu.su>

  * avogadro/src/projecttreeeditor.cpp: Fixed segfault in projecttreeeditor

2010-04-28  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-es.po, i18n/libavogadro-ru.po: Update translations for 1.0.1.

  * avogadro/src/mainwindow.cpp: Strip "&" when comparing menu paths -- solves
  problems with duplicate menus due to incorrect paths in extensions or
  scripts.

  * libavogadro/src/extensions/python/example.py: Fix example script to use
  "&S" for menu. Eliminates duplicate script menus.

2010-04-27  Marcus D. Hanwell <marcus@cryos.org>

  * .../src/extensions/networkfetchextension.cpp: Use the 3D structures -
  roughly sync with master.

2010-03-30  Konstantin Tokarev <annulen@users.sourceforge.net>

  * libavogadro/src/tools/autoopttool.cpp: Fixed crash on exit if FFs were not
  loaded

2010-04-26  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-da.po,
  i18n/avogadro-de.po, i18n/avogadro-el.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-he.po, i18n/avogadro-hr.po,
  i18n/avogadro-hu.po, i18n/avogadro-id.po, i18n/avogadro-it.po,
  i18n/avogadro-ja.po, i18n/avogadro-kn.po, i18n/avogadro-ko.po,
  i18n/avogadro-nb.po, i18n/avogadro-nl.po, i18n/avogadro-oc.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/libavogadro-ar.po, i18n/libavogadro-bg.po,
  i18n/libavogadro-ca.po, i18n/libavogadro-cs.po, i18n/libavogadro-da.po,
  i18n/libavogadro-de.po, i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-he.po, i18n/libavogadro-hi.po,
  i18n/libavogadro-hu.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-kn.po, i18n/libavogadro-ko.po,
  i18n/libavogadro-nb.po, i18n/libavogadro-nl.po, i18n/libavogadro-oc.po,
  i18n/libavogadro-pl.po, i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po,
  i18n/libavogadro-ru.po, i18n/libavogadro-sk.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po,
  i18n/libavogadro-zh_TW.po: Updated translations from Launchpad for 1.0.1
  release.

2010-04-25  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/drawtool.cpp: Set and store the bond order - fixes a
  Kalzium bug.

2010-03-29  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Fix -- check for default filename on Mac
  before deciding to load in new window.

2010-03-19  Konstantin Tokarev <annulen@users.sourceforge.net>

  * avopkg.in: Avopkg: fixed bug with manifest, moved pack/extract commands to
  variables

2010-03-18  Geoff Hutchison <babel@geoffhutchison.net>

  * README, doc/CMakeLists.txt, doc/avogadro.1, doc/avopkg.1: Manual
  cherry-pick from annulen's "master" repo.

2010-03-18  Konstantin Tokarev <annulen@users.sourceforge.net>

  * avopkg.in: Avopkg: support for Python and Mac

2010-03-12  Geoff Hutchison <geoff@geoffhutchison.net>

  * cmake/modules/FindOpenBabel2.cmake: Initial pass at finding embedded Open
  Babel -- pull includes for superpackage.

2010-03-12  Konstantin Tokarev <kostya@tdlab1.chem.msu.su>

  * CMakeLists.txt: Check if QT_MKSPECS_DIR exists before installing prf file,
  show warning otherwise

2010-03-11  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/sip.cpp: Make sure Avogdro.toPyQt works with
  MeshGenerator

2010-03-07  Konstantin Tokarev <annulen@users.sourceforge.net>

  * avopkg.in: Deleted unnecessary comments in avopkg

  * CMakeLists.txt, avogadro.prf.in: Added avogadro.prf generation and
  installation

2010-03-06  Konstantin Tokarev <annulen@users.sourceforge.net>

  * CMakeLists.txt, avopkg.in: Added avopkg tool

2010-03-10  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * cmake/modules/FindNumpy.cmake, cmake/modules/PythonDeps.cmake: Another
  update to cmake files for numpy (wasn't working before)

2010-03-10  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-da.po,
  i18n/avogadro-de.po, i18n/avogadro-el.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-he.po, i18n/avogadro-hr.po,
  i18n/avogadro-hu.po, i18n/avogadro-id.po, i18n/avogadro-it.po,
  i18n/avogadro-ja.po, i18n/avogadro-kn.po, i18n/avogadro-ko.po,
  i18n/avogadro-nb.po, i18n/avogadro-nl.po, i18n/avogadro-pl.po,
  i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po,
  i18n/avogadro-sk.po, i18n/avogadro-sv.po, i18n/avogadro-tr.po,
  i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-da.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po,
  i18n/libavogadro-es.po, i18n/libavogadro-fi.po, i18n/libavogadro-fr.po,
  i18n/libavogadro-he.po, i18n/libavogadro-hi.po, i18n/libavogadro-hu.po,
  i18n/libavogadro-id.po, i18n/libavogadro-it.po, i18n/libavogadro-ja.po,
  i18n/libavogadro-kn.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po: Import of translations
  for 1.0.1 release.

2010-03-10  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * cmake/modules/FindNumpy.cmake, cmake/modules/PythonDeps.cmake: Fix bug
  where cmake incorrectly detects numpy when it is not there. (Fixes: #2886558)

2009-12-03  Marcus D. Hanwell <marcus@cryos.org>

  * CTestConfig.cmake: Updated the  submission URL for CDash.

2010-01-30  Konstantin Tokarev <kostya@tdlab1.chem.msu.su>

  * libavogadro/src/extensions/propmodel.cpp: Display translatable "Yes"/"No"
  for bond's 'rotable' property instead of bool value

2010-01-31  Konstantin Tokarev <annulen@users.sourceforge.net>

  * avogadro/src/mainwindow.cpp: Added some output extensions to Computation
  Chemistry filter

2010-02-20  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * cmake/modules/PythonDeps.cmake: Make sure python support compiles with sip
  4.10.

2010-02-23  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * libavogadro/src/elementdetail_p.h: Silence warning about qobject_cast.

2010-03-09  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Fixed compile error.

2010-02-24  Konstantin Tokarev <annulen@users.sourceforge.net>

  * libavogadro/src/extensions/propextension.cpp: Fixed highlights when sorting
  is used in propextension

2010-02-20  Konstantin Tokarev <annulen@users.sourceforge.net>

  * libavogadro/src/moleculefile.cpp:
  s/QFile::encodeName(m_fileName)/m_fileName.toLocal8Bit()

2010-02-22  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/pluginmanager.h: Add documentation for
  PluginManager::instance()

2010-02-23  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/color.h: Remove "virtual" attribute from signal.

2010-02-24  Konstantin Tokarev <annulen@users.sourceforge.net>

  * AUTHORS: Added myself to contributors

2010-02-28  Konstantin Tokarev <annulen@users.sourceforge.net>

  * libavogadro/src/moleculefile.cpp: Use local8Bit everywhere in file names
  (probably will fix Russian Windows compatibility)

  * libavogadro/src/pluginmanager.cpp: Don't try to load libavogadro.so and
  Avogadro.so as plugins

2010-03-01  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/moleculefile.cpp: MoleculeFile::writeMolecule: Parse chains
  before writing. (Fixes #2960889)

2010-03-01  Geoff Hutchison <babel@geoffhutchison.net>

  * CMakeLists.txt: Disable -fvisibility support on Mac. GCC42 from Apple seems
  to have a bug in this feature.

2010-03-09  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Always load files into new windows on Mac
  PR#2945916.

  * avogadro/gl2ps/README.txt, avogadro/gl2ps/TODO, avogadro/gl2ps/TODO.txt,
  avogadro/gl2ps/gl2ps.c, avogadro/gl2ps/gl2ps.h, avogadro/gl2ps/gl2ps.pdf,
  avogadro/gl2ps/gl2psTest.c, avogadro/gl2ps/gl2psTestSimple.c: Import of gl2ps
  1.3.5

2010-02-20  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-da.po,
  i18n/avogadro-de.po, i18n/avogadro-el.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-he.po, i18n/avogadro-hu.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-kn.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-pl.po, i18n/avogadro-pt.po,
  i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po, i18n/avogadro-sk.po,
  i18n/avogadro-sv.po, i18n/avogadro-tr.po, i18n/avogadro-uk.po,
  i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po, i18n/libavogadro-ar.po,
  i18n/libavogadro-bg.po, i18n/libavogadro-ca.po, i18n/libavogadro-cs.po,
  i18n/libavogadro-da.po, i18n/libavogadro-de.po, i18n/libavogadro-el.po,
  i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po,
  i18n/libavogadro-fi.po, i18n/libavogadro-fr.po, i18n/libavogadro-he.po,
  i18n/libavogadro-hi.po, i18n/libavogadro-hu.po, i18n/libavogadro-id.po,
  i18n/libavogadro-it.po, i18n/libavogadro-ja.po, i18n/libavogadro-kn.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-pl.po, i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po,
  i18n/libavogadro-ru.po, i18n/libavogadro-sk.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po,
  i18n/libavogadro-zh_TW.po: Updated Launchpad Translations.

2010-02-17  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * cmake/modules/FindPythonLibs.cmake: Updated to version from CMake CVS.

2010-01-19  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-da.po,
  i18n/avogadro-de.po, i18n/avogadro-el.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-he.po, i18n/avogadro-hu.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/avogadro.pot, i18n/libavogadro-ar.po,
  i18n/libavogadro-bg.po, i18n/libavogadro-ca.po, i18n/libavogadro-cs.po,
  i18n/libavogadro-da.po, i18n/libavogadro-de.po, i18n/libavogadro-el.po,
  i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po,
  i18n/libavogadro-fi.po, i18n/libavogadro-fr.po, i18n/libavogadro-he.po,
  i18n/libavogadro-hi.po, i18n/libavogadro-hu.po, i18n/libavogadro-id.po,
  i18n/libavogadro-it.po, i18n/libavogadro-ja.po, i18n/libavogadro-ko.po,
  i18n/libavogadro-nb.po, i18n/libavogadro-nl.po, i18n/libavogadro-pl.po,
  i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po,
  i18n/libavogadro-sk.po, i18n/libavogadro-sv.po, i18n/libavogadro-tr.po,
  i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po,
  i18n/libavogadro.pot: Update with latest Launchpad translations.

2009-11-19  David C. Lonie <loniedavid@gmail.com>

  * libavogadro/src/glwidget.cpp: Fix broken signals in GLWidget

2009-11-16  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: Added annulen's
  default heuristics for pasting coordinates.

2009-11-10  Geoff Hutchison <geoff@geoffhutchison.net>

  * testfiles/ferrocene.cml: Added ferrocene test file (with dummy atoms).

  * libavogadro/src/extensions/forcefieldextension.cpp,
  libavogadro/src/tools/autoopttool.cpp: Ignore dummy atoms for force field
  calcs. (Includes some debugging info.)

  * CMakeLists.txt: Bump to 1.0.1 for testing.

2009-11-07  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectratype_ir.cpp,
  libavogadro/src/extensions/spectratype_nmr.cpp: Move connections to
  constructors for spectra tabs.

2009-11-06  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro.pot, scripts/extract-application-messages.sh: Updated
  template -- main.cpp messages were not properly processed by
  extract-application-messages.sh.

2009-11-05  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/libavogadro.pot: Updated after removing new Cartesian editor.

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/cartesianeditor.ui,
  libavogadro/src/extensions/cartesianextension.cpp,
  libavogadro/src/extensions/cartesianextension.h,
  .../src/extensions/icons/document-revert.png,
  libavogadro/src/extensions/icons/edit-clear.png,
  libavogadro/src/extensions/icons/edit-copy.png,
  libavogadro/src/extensions/icons/edit-cut.png,
  libavogadro/src/extensions/icons/edit-paste.png: Backout new Cartesian editor
  extension from 1.0 branch.

2009-11-03  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/cartesianeditor.ui,
  libavogadro/src/extensions/cartesianextension.cpp,
  libavogadro/src/extensions/cartesianextension.h,
  libavogadro/src/extensions/edit.qrc,
  libavogadro/src/extensions/icons/amarok_back.png,
  libavogadro/src/extensions/icons/amarok_next.png,
  libavogadro/src/extensions/icons/amarok_pause.png,
  libavogadro/src/extensions/icons/amarok_play.png,
  libavogadro/src/extensions/icons/amarok_stop.png,
  .../src/extensions/icons/document-revert.png,
  libavogadro/src/extensions/icons/edit-clear.png,
  libavogadro/src/extensions/icons/edit-copy.png,
  libavogadro/src/extensions/icons/edit-cut.png,
  libavogadro/src/extensions/icons/edit-paste.png: Re-merge annulen's cartesian
  editor.

2009-11-03  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/avogadro.pot, i18n/libavogadro-ar.po,
  i18n/libavogadro-bg.po, i18n/libavogadro-ca.po, i18n/libavogadro-cs.po,
  i18n/libavogadro-de.po, i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot:
  Updated POT and PO files (with fewer messages)

  * avogadro/src/macchempasteboard.cpp.disabled,
  avogadro/src/macchempasteboard.h.disabled,
  libavogadro/src/extensions/CMakeLists.txt,
  .../src/extensions/daltoninputdialog.cpp.disabled,
  .../src/extensions/daltoninputdialog.h.disabled,
  .../src/extensions/daltoninputdialog.ui.disabled,
  libavogadro/src/extensions/liganddialog.cpp,
  libavogadro/src/extensions/liganddialog.h,
  libavogadro/src/extensions/liganddialog.ui,
  libavogadro/src/extensions/linmorph.qrc,
  libavogadro/src/extensions/linmorphdialog.cpp,
  libavogadro/src/extensions/linmorphdialog.h,
  libavogadro/src/extensions/linmorphdialog.ui,
  libavogadro/src/extensions/linmorphextension.cpp,
  libavogadro/src/extensions/linmorphextension.h,
  libavogadro/src/extensions/pocketdialog.cpp,
  libavogadro/src/extensions/pocketdialog.h,
  libavogadro/src/extensions/pocketdialog.ui,
  libavogadro/src/extensions/wiitrackextension.cpp,
  libavogadro/src/extensions/wiitrackextension.h: Remove unused source files --
  these are still used for translations!

2009-11-02  Marcus D. Hanwell <marcus@cryos.org>

  * Doxyfile: Missed this version...

2009-10-30  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/pythonterminal.cpp: PythonTerminal: Handle
  Key_Home as a special case

2009-10-29  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/pythonterminal.cpp: Remove debug output

  * libavogadro/src/extensions/pythonterminal.cpp,
  libavogadro/src/extensions/pythonterminal.h: PythonTerminal extension: Allow
  selections in the python terminal widget without allowing to edit (i.e.
  delete) already processed commands

  * libavogadro/src/python/molecule.cpp: Fix python bindings for
  Molecule::numConformers

2009-10-30  Konstantin Tokarev <annulen@users.sourceforge.net>

  * libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propextension.h: Blocked old cartesian editor in
  propextension

  * libavogadro/src/extensions/CMakeLists.txt: Added Cartesian Editor to
  CMakeLists.txt

  * libavogadro/src/extensions/edit.qrc: Resource file for Cartesian Editor

  * .../src/extensions/icons/document-revert.png,
  libavogadro/src/extensions/icons/edit-clear.png,
  libavogadro/src/extensions/icons/edit-copy.png,
  libavogadro/src/extensions/icons/edit-cut.png,
  libavogadro/src/extensions/icons/edit-paste.png: Added icons for Cartesian
  Editor - copied form avogadro/src/icons

  * libavogadro/src/extensions/cartesianeditor.ui,
  libavogadro/src/extensions/cartesianextension.cpp,
  libavogadro/src/extensions/cartesianextension.h: Added extension "Cartesian
  Editor"

2009-10-29  Geoff Hutchison <babel@geoffhutchison.net>

  * INSTALL: Updated source requirements.

2009-10-28  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/main.cpp: Update Mac language detection code -- now tested and
  confirmed for Qt-4.6.

2009-10-28  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/avogadro.pot, i18n/libavogadro-ar.po,
  i18n/libavogadro-bg.po, i18n/libavogadro-ca.po, i18n/libavogadro-cs.po,
  i18n/libavogadro-de.po, i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot:
  Updated POTs and translations.

  * scripts/extractrc.sh: Updated script from KDE -- fixes some problems with
  newer UI files.

  * avogadro/src/aboutdialog.cpp: Added Open Babel and Qt version numbers.
  Allow Git revision to be translated.

  * libavogadro/src/extensions/gamessinputdialog.ui: Add back "Compute..."
  button for GAMESS.

  * avogadro/src/main.cpp: Add support for Qt-4.6 Mac language preferences.

  * avogadro/src/mainwindow.ui: Set explicit MenuRole settings for appropriate
  actions. Should help translations on Mac.

  * scripts/find-translators.sh: Update scripts -- used to grab contributors
  for Avo 1.0.

  * i18n/avogadro-ar.po, i18n/avogadro-ca.po, i18n/avogadro-cs.po,
  i18n/avogadro-de.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/libavogadro-ar.po, i18n/libavogadro-bg.po,
  i18n/libavogadro-ca.po, i18n/libavogadro-cs.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po,
  i18n/libavogadro-es.po, i18n/libavogadro-fi.po, i18n/libavogadro-fr.po,
  i18n/libavogadro-id.po, i18n/libavogadro-it.po, i18n/libavogadro-ja.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-pl.po, i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po,
  i18n/libavogadro-ru.po, i18n/libavogadro-sk.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po,
  i18n/libavogadro-zh_TW.po, scripts/clean-po.sh: Stripped PO files -- fixes
  bugs noted by Benoit and Annulen about untranslated messages (i.e., lupdate
  gets confused by obsolete translations).

2009-10-26  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/avogadro.pot,
  libavogadro/src/extensions/linmorphextension.cpp,
  libavogadro/src/extensions/linmorphextension.h,
  scripts/extract-application-messages.sh: Updated with translation suggestions
  from annulen

2009-10-25  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/updatecheck.cpp, .../src/extensions/networkfetchextension.cpp:
  Changed all deletes on the network reply to deleteLater() calls.

  * avogadro/src/updatecheck.cpp, .../src/extensions/networkfetchextension.cpp:
  Changed all deletes on the network reply to deleteLater() calls.

2009-10-24  Marcus D. Hanwell <marcus@cryos.org>

  * .../src/extensions/networkfetchextension.cpp: Fixed crash with Qt 4.5.3 -
  use deleteLater().

  * .../src/extensions/networkfetchextension.cpp: Fixed crash with Qt 4.5.3 -
  use deleteLater().

  * CMakeLists.txt, Doxyfile: Bumped build files in master to 1.1.0 -
  development versions.

2009-10-23  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/atom.cpp: Add python wrapper for
  Atom::formalCharge/Atom::setFormalCharge

  * libavogadro/src/python/pluginmanager.cpp: Fix python wrapper for
  PluginManager

2009-10-23  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/gaussianinputdialog.cpp: Some changes for
  finding Gaussian. Works if your profile is set correctly. (Not sure how to do
  this from the Mac GUI. Command-line works.)

  * libavogadro/src/extensions/gamessinputdialog.cpp: Whoops, just removed
  computeButton.

  * libavogadro/src/extensions/gamessinputdialog.ui: Temporarily remove the
  "Compute..." button for 1.0 release.

  * libavogadro/src/extensions/gamessinputdialog.cpp: Hide "Compute" button --
  currently non-functional.

  * libavogadro/src/extensions/gaussianinputdialog.cpp: Add support to find the
  g09 binary, if available.

  * libavogadro/src/pluginmanager.cpp: Fix Mac compilation.

2009-10-23  Marcus D. Hanwell <marcus.hanwell@kitware.com>

  * CMakeLists.txt: Install the USE file into the versioned directory too -
  more flexible.

  * libavogadro/src/CMakeLists.txt: Bumped SO version to 1 for the release.

2009-10-23  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, Doxyfile: Bumped the version number in preparation for the
  1.0.0 release.

2009-10-23  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/libavogadro-ar.po, i18n/libavogadro-bg.po,
  i18n/libavogadro-ca.po, i18n/libavogadro-cs.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po,
  i18n/libavogadro-es.po, i18n/libavogadro-fi.po, i18n/libavogadro-fr.po,
  i18n/libavogadro-id.po, i18n/libavogadro-it.po, i18n/libavogadro-ja.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-pl.po, i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po,
  i18n/libavogadro-ru.po, i18n/libavogadro-sk.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po,
  i18n/libavogadro-zh_TW.po: Final import of translations before 1.0.

2009-10-22  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, avogadro/src/enginecolorswidget.cpp,
  avogadro/src/enginecolorswidget.h, libavogadro/src/config.h.in,
  libavogadro/src/glwidget.cpp, libavogadro/src/pluginmanager.cpp,
  libavogadro/src/pluginmanager.h: Added versioned plugin directories - fixes
  bug 2882816.  I added versioned plugin directories on all architectures. This
  can be disabled, but it should not do any harm being left on. This
  necessitated soem changes to the plugin manager class. I removed the static
  and const methods and ported affected classes to get an instance of the
  singleton.

  * libavogadro/src/python/pluginmanager.cpp: Disabled wrapping of
  loadFactories method for now - Tim please look at it ;-)

2009-10-20  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Fix bug with isDefaultFileName -- check for
  empty strings.

  * libavogadro/src/extensions/inputfileextension.cpp: Fix PR#2881658 - Show
  Molpro window.

2009-10-20  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/atom.cpp, libavogadro/src/atom.h,
  libavogadro/src/molecule.cpp, libavogadro/src/residue.cpp,
  libavogadro/src/residue.h: When element changes with Atom::setAtomicNumber,
  issue an updated() signal from the atom. Residues will now listen for this
  signal and invalidate atom IDs accordingly. When saving residue information
  with molecules, check for invalid atom ids. Addresses PR#2855789.

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/libavogadro-ar.po, i18n/libavogadro-bg.po,
  i18n/libavogadro-ca.po, i18n/libavogadro-cs.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po,
  i18n/libavogadro-es.po, i18n/libavogadro-fi.po, i18n/libavogadro-fr.po,
  i18n/libavogadro-id.po, i18n/libavogadro-it.po, i18n/libavogadro-ja.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-pl.po, i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po,
  i18n/libavogadro-ru.po, i18n/libavogadro-sk.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po,
  i18n/libavogadro-zh_TW.po: Latest Launchpad Translations.

  * avogadro/src/mainwindow.cpp: Switch out a missing "untitled" string.

2009-10-19  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/avogadro.pot, i18n/libavogadro-ar.po,
  i18n/libavogadro-bg.po, i18n/libavogadro-ca.po, i18n/libavogadro-cs.po,
  i18n/libavogadro-de.po, i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot:
  Updated POTs. Will merge Launchpad shortly.

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/daltoninputdialog.cpp,
  .../src/extensions/daltoninputdialog.cpp.disabled,
  libavogadro/src/extensions/daltoninputdialog.h,
  .../src/extensions/daltoninputdialog.h.disabled,
  libavogadro/src/extensions/daltoninputdialog.ui,
  .../src/extensions/daltoninputdialog.ui.disabled,
  libavogadro/src/extensions/inputfileextension.cpp,
  libavogadro/src/extensions/inputfileextension.h: Disable Dalton generation --
  not enough time for translations.

  * libavogadro/src/extensions/gamessextension.cpp: Comments for translators
  about QM selection and EFP selection.

  * libavogadro/src/extensions/animationdialog.ui,
  libavogadro/src/extensions/gamessinputdialog.ui: Update disambiguation of
  "loop" translations suggested by Konstantin Tokarev.

  * libavogadro/src/engines/bsdyengine.cpp,
  libavogadro/src/engines/bsdysettingswidget.ui: Modified patch from Patch
  PR#2799140.

2009-10-19  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/mainwindow.cpp: MainWindow: when opening a file, only create a
  new window if the current window is modified (isWindowModified).

2009-10-19  Jogvan Magnus Olsen <cyanat@hotmail.com>

  * libavogadro/src/extensions/daltoninputdialog.cpp: Minor correction to
  Dalton Input File plugin.

  * libavogadro/src/extensions/daltoninputdialog.cpp,
  libavogadro/src/extensions/daltoninputdialog.h: Added keyword "nosymm" when
  asking for excitation energies.

2009-10-18  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/CMakeLists.txt, libavogadro/src/CMakeLists.txt: WIN32: Don't
  attempt to create QM files on windows -- these should be copied from a linux
  build to avoid unicode problems with the translations [just place the QM
  files in avogadro/src and libavogadro/src] We could add the QM files to git
  but since there are only a handful of people building on windows, the
  downsides seem to outweigh the benefits. If not copied, Avogadro still build
  but will be untranslated.

2009-10-18  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, libavogadro/src/plugin.h: Bumped the plugin
  version number and config file versions - make clean required.

2009-10-18  Geoff Hutchison <geoff@geoffhutchison.net>

  * cmake/modules/PythonDeps.cmake: Check for Boost 1.40 now.

2009-10-18  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * cmake/modules/PythonDeps.cmake: Recognise SIP 2.4.9

2009-10-17  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, Doxyfile: Bumped the version number to 0.9.9 in preparation
  for tagging.

2009-10-17  Kristof Bal <kristof.bal@gmail.com>

  * avogadro/src/engineitemdelegate.h,
  libavogadro/qtiocompressor/qtiocompressor.cpp,
  libavogadro/src/python/swig.cpp: Fix spelling errors (Krazy).  Spelling
  errors in comments and strings should be fixed as they may show up later in
  API documentation, handbooks, etc.

2009-10-16  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/libavogadro-ar.po, i18n/libavogadro-bg.po,
  i18n/libavogadro-ca.po, i18n/libavogadro-cs.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po,
  i18n/libavogadro-es.po, i18n/libavogadro-fi.po, i18n/libavogadro-fr.po,
  i18n/libavogadro-id.po, i18n/libavogadro-it.po, i18n/libavogadro-ja.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-pl.po, i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po,
  i18n/libavogadro-ru.po, i18n/libavogadro-sk.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po,
  i18n/libavogadro-zh_TW.po: Latest Launchpad Translations.

2009-10-16  Jogvan Magnus Olsen <cyanat@hotmail.com>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/daltonextension.cpp,
  libavogadro/src/extensions/daltonextension.h,
  libavogadro/src/extensions/daltoninputdialog.cpp,
  libavogadro/src/extensions/daltoninputdialog.h,
  libavogadro/src/extensions/daltoninputdialog.ui,
  libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/gaussianextension.h,
  libavogadro/src/extensions/inputfileextension.cpp,
  libavogadro/src/extensions/inputfileextension.h: Extended the Dalton input
  file plugin and renamed the gaussian extension to inputfile extension to make
  it more general.  All the input file generators, except GAMESS, were added to
  the Gaussian extension and therefore it makes sense to rename the extension
  to make it more general. Maybe also merge it with the GAMESS extension if
  possible.

2009-10-14  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Don't correct for pH when adding H atoms to
  2D->3D conversion. Made obvious by OpenBabel-devel mailing list message from
  James Jack.

2009-10-13  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/gaussianinputdialog.cpp: Fix bug 2825731 -- make
  Gaussian z-matrix more like GaussView to help TURBOMOLE users.

  * libavogadro/src/animation.cpp,
  libavogadro/src/extensions/vibrationdialog.cpp: Fix more vibration bugs. Now
  arrow keys work correctly, and old vibrations don't reappear.x

  * libavogadro/src/extensions/forcefieldextension.cpp,
  libavogadro/src/molecule.cpp, libavogadro/src/molecule.h,
  libavogadro/src/tools/autoopttool.cpp: Convert all energies to kJ/mol for
  consistency.

  * libavogadro/src/animation.cpp,
  libavogadro/src/extensions/vibrationextension.cpp,
  libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Fix vibration crash
  in recent versions -- don't always free conformer memory. We save it for
  vibrations.

  * avogadro/src/mainwindow.cpp: Fix bug on Mac with progress bar remaining
  visible after file opens.

  * .../src/extensions/molecularpropextension.cpp,
  .../src/extensions/molecularpropextension.h: Disable updating the properties
  window if it's not visible.

  * libavogadro/src/molecule.cpp: Fix "problem" with MMFF94 dipole moments. Now
  actually gets MMFF94 charges. PR#2875356.

  * avogadro/src/mainwindow.cpp: Fix Mac/Cocoa bug with enable/disable submenus
  when hiding and showing windows. Now works cleanly.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: Fix bug with
  "extra" window when opening files. Now checks for default filename.

2009-10-13  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Tracking down a Mac/Cocoa bug with
  enable/disable submenus.

2009-10-11  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, avogadro/src/updatecheck.cpp,
  avogadro/src/updatecheck.h: Made UpdateCheck a singleton, fixed segfault with
  Qt 4.5.3.  Fixed the segfault with Qt 4.5.3 - use reply->deleteLater()
  instead of deleting the object directly in the slot once finished. Also made
  this class into a singleton - there is no point in checking for an update
  more than once in any given instance of Avogadro!

  * libavogadro/src/engines/ribbonengine.cpp: Fixed the ribbon engine after
  changes to primitives.  Some changes to fix the ribbon engine to use the
  molecule object, as the primitive list no longer contains the residues. We
  should revisit what should and should not be kept in these lists, and use
  unique ids rather than pointers.

  * avogadro/src/CMakeLists.txt: Disabled the update checking code by default,
  causes segfaults with Qt 4.5.3.

2009-10-10  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/animation.cpp,
  libavogadro/src/extensions/vibrationextension.cpp: More debugging looking for
  vibration crash.

2009-10-10  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/atom.h: Removed unused m_pos variable.

2009-10-10  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/animation.cpp,
  libavogadro/src/extensions/vibrationextension.cpp: First step for debugging
  vibration & animation. Attempt to lock Molecule more.

2009-10-10  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/propmodel.cpp:
  libavogadro/src/extensions/propmodel.cpp: Fix compile error

2009-10-09  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro.pot, i18n/libavogadro.pot: Updated with recent translatable
  strings, including formal charges.

  * libavogadro/src/atom.cpp, libavogadro/src/atom.h,
  libavogadro/src/engines/labelengine.cpp,
  libavogadro/src/engines/labelsettingswidget.ui,
  libavogadro/src/extensions/propmodel.cpp: Add support for formal charges. You
  can set them using the Atom Properties, show them using atom labels, or draw
  appropriate bonding patterns to have them interpreted.

2009-10-09  Geoff Hutchison <babel@geoffhutchison.net>

  * builder/amino/l-arg.zmat: Fix PR#2839649 with L-Arg mistake.

  * .../src/extensions/molecularpropextension.cpp,
  libavogadro/src/molecule.cpp: Use MMFF94 to estimate dipole moment when
  available. On set of ~1000 molecules, correlation is R^2 = 0.769!

  * avogadro/src/mainwindow.cpp: Fix menu separators on Mac again.

2009-10-08  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Fix some Mac interface polish with Qt-Cocoa
  and Snow Leopard.

  * libavogadro/src/molecule.cpp: Fix for bug report PR#2803076 -- adding
  implicit hydrogens to Li, Be, etc. when drawing. (OpenBabel doesn't want to
  set these because formulas will be incorrect.)

2009-10-08  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/CMakeLists.txt: If using Qt/Mac-Cocoa, make sure to install
  the "nib" directory.

  * libavogadro/src/tools/clickmeasuretool.cpp: Patch from Burkhard Lück to
  fix labels in click-measure tool using German.

2009-10-06  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/sip.cpp: Python: toPyQt(): convert GLWidget to
  QWdiget instead of QGLWidget (was not working here...)

2009-10-06  Casper Steinmann <casper.steinmann@gmail.com>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/daltonextension.cpp: Placed the Dalton extension
  in the appropriate menu by renaming the .so file generated

2009-10-01  Jogvan Magnus Olsen <cyanat@hotmail.com>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/daltonextension.cpp,
  libavogadro/src/extensions/daltonextension.h,
  libavogadro/src/extensions/daltoninputdialog.cpp,
  libavogadro/src/extensions/daltoninputdialog.h,
  libavogadro/src/extensions/daltoninputdialog.ui: First basic implementation
  of Dalton Input File generator extension

2009-09-30  Casper Steinmann <casper.steinmann@gmail.com>

  * libavogadro/src/extensions/gamessinputdata.cpp,
  libavogadro/src/extensions/gamessinputdialog.cpp,
  libavogadro/src/extensions/gamessinputdialog.h,
  libavogadro/src/extensions/gamessinputdialog.ui: Fixed bug "Error in GAMESS
  advanced setup menu - ID: 2836316"  Also: * Updated the input to use MWORDS
  instead of the old MEMORY keywork. * There are still minor issues with the
  input preview not updating when one selects a different unit of time, but no
  apparent fix was found.

2009-09-30  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/surfaceengine.cpp: Added locking for the surface
  engine.

2009-09-29  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/forcefieldextension.cpp: ForceField extension:
  show "busy" progress bar while doing weighted conformer search

  * libavogadro/src/molecule.cpp: Molecule::energies(): make sure the returned
  energies QList has an energy for each conformer (i.e. resize it if needed).
  Same for Molecule::energy(int).

2009-09-22  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/libavogadro-ar.po, i18n/libavogadro-bg.po,
  i18n/libavogadro-ca.po, i18n/libavogadro-cs.po, i18n/libavogadro-de.po,
  i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po,
  i18n/libavogadro-es.po, i18n/libavogadro-fi.po, i18n/libavogadro-fr.po,
  i18n/libavogadro-id.po, i18n/libavogadro-it.po, i18n/libavogadro-ja.po,
  i18n/libavogadro-ko.po, i18n/libavogadro-nb.po, i18n/libavogadro-nl.po,
  i18n/libavogadro-pl.po, i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po,
  i18n/libavogadro-ru.po, i18n/libavogadro-sk.po, i18n/libavogadro-sv.po,
  i18n/libavogadro-tr.po, i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po,
  i18n/libavogadro-zh_TW.po: Updated with Launchpad translations.

2009-09-17  Kristof Bal <kristof@localhost.(none)>

  * avogadro/src/avogadro.desktop: Fixed icon name in desktop file  The correct
  icon (the one we install) is called avogadro-icon.png. The desktop file
  points to avogadro_icon, so fix the name here.

2009-09-17  Casper Steinmann <casper.steinmann@gmail.com>

  * libavogadro/src/extensions/gamesshighlighter.cpp: Added all GAMESS keywords
  to the highlighter.

2009-09-10  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/surfaceextension.cpp: Only display the MO meshes
  if both are ready.

2009-09-09  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, libavogadro/src/molecule.cpp: Fixed some
  issues with file modification and saving.  Issue 2854213 should now be fixed,
  modification of the molecule is more accurately reflected now. Specifically
  when closing a molecule the empty window will not be marked as modified, when
  saving a molecule the window will be reset to reflect it was not modified
  since save and unsaved new files will prompt for a file name.

  * CMakeLists.txt, Doxyfile: Bumped version number to 0.9.8 in preparation for
  new release.

  * libavogadro/src/engines/cartoonengine.cpp,
  libavogadro/src/engines/cartoonmeshgenerator.cpp,
  libavogadro/src/engines/cartoonmeshgenerator.h,
  libavogadro/src/engines/surfaceengine.cpp,
  libavogadro/src/extensions/povpainter.cpp,
  libavogadro/src/extensions/surfaceextension.cpp,
  libavogadro/src/glpainter_p.cpp, libavogadro/src/glpainter_p.h,
  libavogadro/src/mesh.cpp, libavogadro/src/mesh.h,
  libavogadro/src/python/mesh.cpp: Use Color3f to store colors in Mesh, port
  other classes.  The Mesh class now uses Color3f to store color information
  for colored meshes. Other classes were ported to work with this new class.

  * libavogadro/src/color.h: Small fix to incorrect use of inline keyword.

  * libavogadro/src/CMakeLists.txt, libavogadro/src/color3f.h: Added simple
  color class that uses 3 floats to store color.  This is a very simple color
  class that uses 3 floats to store the red, green and blue components of
  color. It is designed to be used with OpenGL calls (OpenGL stores colors as
  floats normally), but can also be used with other display types. It allows
  vectors of color objects to be passed directly to OpenGL functions as GLfloat
  pointers.

  * libavogadro/src/tools/drawtool.cpp, libavogadro/src/tools/drawtool.h: Added
  some locking back into the draw tool.

  * libavogadro/src/extensions/forcefieldextension.cpp: Extra logic for locking
  the molecule and updating geometry.  I have added some extra logic to attempt
  to acquire a write lock on the molecule, and then update the geometry. This
  seems to improve the situation significantly when optimizing the geometry.

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Removed the
  function level locks in the Molecule class.  The locks have been causing
  performance issues due to multiple locks/unlocks in tight loops, along with
  some deadlocks. Migrating code to use tryLock* gets rid of deadlocks and has
  improved performance in some of the tight loops.  The Python bindings could
  do with some extra logic to take care of locking, or the documentation should
  make it clear that scripts need to take care of this.

2009-09-08  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-el.po, i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po,
  i18n/avogadro-es.po, i18n/avogadro-fi.po, i18n/avogadro-fr.po,
  i18n/avogadro-id.po, i18n/avogadro-it.po, i18n/avogadro-ja.po,
  i18n/avogadro-ko.po, i18n/avogadro-nb.po, i18n/avogadro-nl.po,
  i18n/avogadro-pl.po, i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po,
  i18n/avogadro-ru.po, i18n/avogadro-sk.po, i18n/avogadro-sv.po,
  i18n/avogadro-tr.po, i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po,
  i18n/avogadro-zh_TW.po, i18n/avogadro.pot, i18n/libavogadro-ar.po,
  i18n/libavogadro-bg.po, i18n/libavogadro-ca.po, i18n/libavogadro-cs.po,
  i18n/libavogadro-de.po, i18n/libavogadro-el.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot:
  Updated translations from Launchpad.

2009-09-06  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h,
  libavogadro/tests/moleculefiletest.cpp, libavogadro/tests/moleculetest.cpp,
  testfiles/fail1.drawlog, testfiles/fail1.drawlog.ignore,
  testfiles/fail2.drawlog, testfiles/fail2.drawlog.ignore: Fix setAllConformers
  to just replace all conformers (and make sure there is always at least one
  conformer). See doxygen comments for more info. There is also a unit test for
  this in moleculetest.cpp.

2009-09-04  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/glpainter_p.cpp: std::vector::data() is not part of the STL
  - used &(v[0]) instead.

2009-09-03  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/color.cpp, libavogadro/src/color.h: Just use float, rather
  than GLFloat for colors.

2009-09-02  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/glpainter_p.cpp: Use at least the OpenGL 1.1 calls to load
  geometry onto the card.

2009-08-25  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp: Improved handling of setting unit cell axes
  and related view properties.

2009-08-24  Marcus D. Hanwell <marcus@cryos.org>

  * .../src/extensions/molecularpropextension.cpp: Bring back the dipole moment
  to the molecular properties dialog.  If a dipole moment calculated by an
  external program was read in it is displayed, otherwise N/A is displayed.

  * libavogadro/src/molecule.cpp: Fixes to ensure the dipole moment is handled
  correctly.  A few small fixes to ensure that when a dipole moment is read in
  from a file, it is preserved until the molecule is changed.

  * libavogadro/src/molecule.cpp: Fixed the calculation of the estimated dipole
  moment.

2009-08-22  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: More clean ups for
  the recent file list.  Cleaned up the recent file list code to ensure it is
  called on first load. Also removed a duplicate function and replaced with a
  default parameter.

  * libavogadro/src/engines/dipoleengine.cpp, libavogadro/src/molecule.cpp,
  libavogadro/src/molecule.h: Fixed bug 2823931 - memory corruption on molecule
  close.  This bug was caused by a dangling pointer, updateGeomInfo was
  deleting the dipole moment pointer every time, but not setting the pointer to
  zero. I have cleaned up the dipole moment code, but it is still not doing
  anything useful as far as I can tell right now.

  * avogadro/src/mainwindow.cpp: Clean up conditional Mac specific code to be
  totally inside #ifdef.

  * avogadro/src/mainwindow.cpp: Removed some debug output from the recent file
  list functions.

2009-08-21  Marcus D. Hanwell <marcus@cryos.org>

  * .../src/extensions/molecularpropextension.cpp,
  .../src/extensions/molecularpropextension.h: Hide the dipole moment for now,
  some clean ups and GLWidget signal fix.

  * avogadro/src/mainwindow.cpp: Improvements to recent file list handling -
  duplicates, cleaned.  Added several improvements to remove duplicate entries,
  empty entries and non-existant entries from the recent file list. This
  squashes an annoying bug where the currently opened file would be shown
  twice, along with retaining stale file entries silently (or empty entries).

  * libavogadro/src/extensions/molecularpropdialog.ui: Small fix to molecule
  properties dialog.

  * libavogadro/src/extensions/spectratype_nmr.cpp: Fixed compilation error for
  min/max variables, and function style.

2009-08-21  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectratype_ir.cpp: Fix segfault on exit.

  * libavogadro/src/extensions/spectratype_nmr.cpp,
  libavogadro/src/extensions/spectratype_nmr.h: Update NMR plots to reflect
  changes to spectratype.*

  * libavogadro/src/extensions/spectratype.cpp,
  libavogadro/src/extensions/spectratype.h,
  libavogadro/src/extensions/spectratype_ir.cpp,
  libavogadro/src/extensions/spectratype_ir.h: Added a function to generate a
  list of sampling points so that long flat stretches aren't sampled at high
  resolution.

2009-08-21  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  avogadro/src/mainwindow.ui, libavogadro/src/glwidget.cpp: Added an option to
  reset display types to default for a view.  This was a long standing bug that
  caused issues for many users. I had to add a new string to the view menu, but
  I think it is worth it to improve the user experience. In addition to
  previous improvements to saving/loading display type settings, the user can
  now reset the display types. We should probably add a more global option to
  reset Avogadro to defaults without requiring users to manually delete the
  configuration file.

2009-08-20  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/glwidget.cpp: Fixed the mislabelled display types that
  could occur in certain situations.

  * avogadro/src/main.cpp: Minor clean up of commented code, style.

  * libavogadro/src/glwidget.cpp: Corrected unit cell axes loading setting into
  wrong variable on load.

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Changed the
  energy function to take a signed int, works as expected now.

2009-08-18  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/glwidget.cpp: Added some additional read locking, still not
  tracked down the cause of the crash.

  * libavogadro/src/molecule.cpp: No longer require access to the d-pointer in
  these functions.

  * libavogadro/src/extensions/surfaceextension.cpp: Temporary workaround to
  crashes caused by inadequate locking.

  * libavogadro/src/atom.cpp: Some code cleanup, do not call update in the
  setAtomPos function.

  * libavogadro/src/glwidget.cpp: Unit cell geometry calculations were being
  calculated even when no unit cell was present.

  * libavogadro/src/molecule.cpp: Only invalidate molecule geometry when atoms
  are updated.

  * libavogadro/src/tools/autorotatetool.cpp: Made the central point of the
  sliders easier to see.

  * libavogadro/src/cube.cpp, libavogadro/src/cube.h, libavogadro/src/mesh.cpp,
  libavogadro/src/mesh.h, libavogadro/src/molecule.cpp,
  libavogadro/src/molecule.h, libavogadro/src/primitive.cpp,
  libavogadro/src/primitive.h: Removed the lock from the base Primitive class,
  added to classes that need it.

  * libavogadro/src/extensions/basisset.cpp: Fixed an issue with incorrect
  debug output code - should correct some crashes.

2009-08-11  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h, libavogadro/src/molecule.cpp:
  Remove leaked DOS code from master branch...

2009-08-08  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/tools/drawcommand.cpp, libavogadro/src/tools/drawcommand.h,
  libavogadro/src/tools/drawtool.cpp, libavogadro/tests/CMakeLists.txt,
  libavogadro/tests/drawcommandtest.cpp, testfiles/basic1.drawlog,
  testfiles/basic2.drawlog, testfiles/basic3.drawlog, testfiles/basic4.drawlog,
  testfiles/basic5.drawlog, testfiles/basic6.drawlog, testfiles/fail1.drawlog,
  testfiles/fail2.drawlog: * Fix various draw tool bugs * Update draw command
  unit tests: If you uncomment the DEBUG_COMMANDS define in drawcommand.cpp,
  all information needed to replay the commands are output using qDebug().
  Capturing this output and placing moving it to testfiles/*.drawlog will make
  the drawcommandtest replay the commands. Each command is undone/redone before
  executing the next command. At the end, all commands in the stack are
  undone/redone 10 times. Various values are veryfied while doing all this.
  There are still some cases for which the replay fails but these don't cause a
  segfault. In short, the draw commands are in better shape than ever before.

2009-08-07  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/pluginmanager.cpp: Made Avogadro run from the build
  directory on a Mac - different relative paths.

2009-08-07  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/molecule.cpp: Set DOS object to nul during init.

2009-08-06  David Lonie <loniedavid@gmail.com>

  * avogadro/src/mainwindow.cpp, libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h, libavogadro/src/molecule.cpp: DOS
  plotting

2009-08-05  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/unitcellextension.cpp: Try to fix PR#2798634.
  setMolecule() should now update the dialog parameters.

  * avogadro/src/CMakeLists.txt: Ensure proper Mac translation directories are
  created.

  * avogadro/src/main.cpp, i18n/avogadro-af.po, i18n/avogadro-ar.po,
  i18n/avogadro-bg.po, i18n/avogadro-ca.po, i18n/avogadro-cs.po,
  i18n/avogadro-de.po, i18n/avogadro-el.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-id.po, i18n/avogadro-it.po,
  i18n/avogadro-ja.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-pl.po, i18n/avogadro-pt.po,
  i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po, i18n/avogadro-sk.po,
  i18n/avogadro-sv.po, i18n/avogadro-tr.po, i18n/avogadro-uk.po,
  i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po, i18n/avogadro.pot,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-el.po,
  i18n/libavogadro-en_CA.po, i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po,
  i18n/libavogadro-fi.po, i18n/libavogadro-fr.po, i18n/libavogadro-id.po,
  i18n/libavogadro-it.po, i18n/libavogadro-ja.po, i18n/libavogadro-ko.po,
  i18n/libavogadro-nb.po, i18n/libavogadro-nl.po, i18n/libavogadro-pl.po,
  i18n/libavogadro-pt.po, i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po,
  i18n/libavogadro-sk.po, i18n/libavogadro-sv.po, i18n/libavogadro-tr.po,
  i18n/libavogadro-uk.po, i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po,
  i18n/libavogadro.pot: Updated POT and Launchpad translations.

2009-08-03  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/python/molecule.cpp: Fixed the Python bindings for
  Molecule.  The new setEnergy function caused a break in the Python bindings.
  Also fixed white space issues in the file.

2009-08-03  David C. Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp: Set autoscaled plot limits to be zoomed out
  just a tad so that all points are easily in view.

  * libavogadro/src/molecule.cpp: Copy energy in Molecule::setOBMol()

2009-08-02  Marcus D. Hanwell <marcus@cryos.org>

  * cmake/modules/FindOpenBabel2.cmake: Bumped our Open Babel dependency to
  2.2.2.

  * avogadro/src/mainwindow.cpp: Workaround for strange CML bug on Windows. We
  need to track down the real source of the crash.

  * libavogadro/src/neighborlist.cpp: Use qobject_cast, it is faster for
  QObjects, check for null pointers.

  * libavogadro/src/extensions/shaderextension.cpp: Locate shaders relative to
  the binary location.

2009-08-01  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Added turbomole IR as a
  loadable spectra type.

  * libavogadro/src/extensions/spectratype_ir.cpp: Remove old work around for
  QChem spectra.

2009-08-01  Marcus D. Hanwell <marcus@cryos.org>

  * .../src/extensions/networkfetchextension.cpp: Experimental use of the
  Chemical Identifier Resolver  Added support for the Chemical Identifier
  Resolver, found at http://cactus.nci.nih.gov/chemical/structure. The user can
  type in a structure name such as ethanol, and this service will be used to
  attempt to retrieve an SDF file. Seems to work well in my initial testing.
  Also switch to the Navigate tool when loading structures.  The reverse should
  also be possible, sending an inchi key and attempting to resolve that to a
  structure name. I will look into that soon.

2009-07-29  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/molecule.cpp: Remove noisy debug statement.

2009-07-22  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/glwidget.cpp, libavogadro/src/glwidget.h: Update geometry
  also needs to be called in order to render the whole molecule.

2009-07-19  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Added a function
  to change an arbitrary conformer's energy.

2009-07-18  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt: Bumped Qt version requirement to 4.5.0, should have been
  done for 0.9.7 release.

2009-07-18  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.cpp: Fix typo in
  vibrationdialog.cpp -- again?

2009-07-18  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, Doxyfile, INSTALL: Bumping to version 0.9.7 in preparation
  for the release.

2009-07-17  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/surfacedialog.cpp,
  libavogadro/src/extensions/surfacedialog.h: Improved handling of loaded cube
  files, default for loaded cubes.

2009-07-17  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po, i18n/avogadro-es.po,
  i18n/avogadro-fi.po, i18n/avogadro-fr.po, i18n/avogadro-id.po,
  i18n/avogadro-it.po, i18n/avogadro-ja.po, i18n/avogadro-ko.po,
  i18n/avogadro-nb.po, i18n/avogadro-nl.po, i18n/avogadro-pl.po,
  i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po,
  i18n/avogadro-sk.po, i18n/avogadro-sv.po, i18n/avogadro-tr.po,
  i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po: Translations updates
  before 0.9.7

2009-07-17  Sergey Smirnov <sasmir@gmail.com>

  * avogadro/src/application.cpp, libavogadro/src/CMakeLists.txt,
  libavogadro/src/pythonwhenidle.cpp, libavogadro/src/pythonwhenidle.h: Release
  the python's GIL when Avogadro is idle (waiting for new events).

2009-07-14  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/surfacedialog.cpp: Set default iso surface
  values based upon the type of cube.

2009-07-11  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po, i18n/avogadro-es.po,
  i18n/avogadro-fi.po, i18n/avogadro-fr.po, i18n/avogadro-id.po,
  i18n/avogadro-it.po, i18n/avogadro-ja.po, i18n/avogadro-ko.po,
  i18n/avogadro-nb.po, i18n/avogadro-nl.po, i18n/avogadro-pl.po,
  i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po,
  i18n/avogadro-sk.po, i18n/avogadro-sv.po, i18n/avogadro-tr.po,
  i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po: Launchpad export of
  current translations.

2009-07-10  Sergey Smirnov <sasmir@gmail.com>

  * libavogadro/src/python/sip.cpp: Fixed Avogadro failing to load python
  scripts when built with SIP 4.8.x

2009-07-07  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/surfacedialog.cpp: Only enable MOs and other
  combo items if there is at least one MO.

2009-07-06  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/surfaceengine.cpp,
  libavogadro/src/engines/surfaceengine.h: The non const slot is the one that
  is generally used.

2009-07-06  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotobject.cpp, libavogadro/src/plotobject.h: Change
  PlotObject::addPoint() to return a reference to the added PlotPoint.

  * libavogadro/src/plotpoint.cpp, libavogadro/src/plotpoint.h: Added a
  customData property to PlotPoint -- this can be used to store extra
  information to help identify the point.

2009-07-05  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/moleculefile.cpp: Stopped the zero length .new files from
  being created, improved logic. Tested on Linux and Windows for saving a new
  file, and replacing a file. Works well.

  * CMakeLists.txt: Removed the embed openbabel stuff - done better by a parent
  CMakeLists.txt.

  * libavogadro/src/extensions/surfacedialog.cpp: Disable the resolution combo
  for cubes loaded from files.

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/orbitaldialog.cpp,
  libavogadro/src/extensions/orbitaldialog.h,
  libavogadro/src/extensions/orbitaldialog.ui,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/extensions/orbitalextension.h,
  libavogadro/src/extensions/surfaceextension.cpp: Removed the old orbital
  extension, now replaced by the surface extension.

  * libavogadro/src/extensions/surfacedialog.cpp,
  libavogadro/src/extensions/surfacedialog.h,
  libavogadro/src/extensions/surfaceextension.cpp,
  libavogadro/src/molecule.cpp: Added ability to use loaded cube files in the
  surface extension too.

2009-07-04  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/surfacedialog.cpp,
  libavogadro/src/extensions/surfacedialog.h,
  libavogadro/src/extensions/surfaceextension.cpp,
  libavogadro/src/extensions/surfaceextension.h: Ported to use the enum in the
  Cube class to denote cube types.

2009-07-02  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/mopacaux.cpp,
  libavogadro/src/extensions/surfaceextension.cpp: Some fixes for slater type
  basis sets.

  * libavogadro/src/extensions/surfacedialog.cpp: Updated to use the surfaces
  engine (renamed from orbitals engine).

2009-07-01  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h,
  libavogadro/src/engines/orbitalsettingswidget.ui,
  libavogadro/src/engines/surfaceengine.cpp,
  libavogadro/src/engines/surfaceengine.h,
  libavogadro/src/engines/surfacesettingswidget.ui,
  libavogadro/src/extensions/surfacedialog.cpp: Moved the orbital engine to the
  surface engine, made necessary changes for move.

2009-06-30  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/engines/surfaceengine.cpp,
  libavogadro/src/engines/surfaceengine.h,
  libavogadro/src/engines/surfacesettingswidget.ui: Removed the surface engine
  - the orbital engine will take its place.

  * libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h: A few minor cleanups to the orbitals
  engine - it is a general surface engine now.

  * libavogadro/src/engines/orbitalengine.cpp: Only include mesh.h as meshes
  are not generated in this engine any more.

  * libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h: Renamed function for drawing boxes,
  made it private and inline.

  * libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h: Cleaned up the mesh combo update
  code, made the color combo work correctly again.

2009-06-29  David C. Lonie <loniedavid@gmail.com>

  * libavogadro/src/molecule.cpp: Remove debug

2009-06-29  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/cube.h, libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h,
  libavogadro/src/extensions/surfaceextension.cpp, libavogadro/src/mesh.h,
  libavogadro/src/primitive.h: Updates to the orbital engine, soon to be the
  surface engine...  Added a cubeType property to cubes, allows for easy
  enumeration of cubes/meshes. Made the surface mesh selection work again in
  the orbital engine. Still needs some more fix ups but it is looking a lot
  better.

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/surfacedialog.cpp,
  libavogadro/src/extensions/surfacedialog.h,
  libavogadro/src/extensions/surfacedialog.ui,
  libavogadro/src/extensions/surfaceextension.cpp,
  libavogadro/src/extensions/surfaceextension.h: The new, improved surface
  extension/dialog - simpler and more intuitive.  This is the first working
  version of the new, improved surface dialog. Not everything is finished yet,
  and it is basically a rewrite of the orbital extension/dialog. I think that
  most of the logic is in there now, need to add a little more for color
  mapping cubes onto each other, showing progress dialogs for mesh calculations
  and fixing a few remaining crashers. It is much simpler and allows users to
  accomplish calculations using a single form.

  * libavogadro/src/engines/orbitalengine.cpp: Fixed a bug with assigning new
  meshes, this still needs some attention after the numerous changes to
  cubes/meshes.

  * libavogadro/src/extensions/basisset.cpp,
  libavogadro/src/extensions/basisset.h: Added a new signal, improved debug
  output. These classes need an overhaul - common base.

  * libavogadro/src/mesh.cpp: Default the other mesh to FALSE_ID - not 0 which
  is a valid mesh id.

  * libavogadro/src/engines/orbitalengine.cpp: A few small improvements, do not
  assume there are always two meshes.

2009-06-28  David C. Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp: Undo some krazy fixes -- allow for
  arbitrarily small plot limits.

  * libavogadro/src/plotwidget.cpp: setDefaultLimits() gives a more intuitive
  result here.

2009-06-26  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/moleculefile.cpp: Fixed problem reading multiple files from
  gzip. Now needs OB changes (for seekg).

2009-06-26  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Removed debugging for parentless windows.

  * avogadro/src/mac/MacOSXBundleInfo.plist.in: Add ChemDraw CDX and CDXML to
  acceptable file types.

2009-06-25  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/gamessinputdata.cpp: Fix for PR#2811323. Only
  use METHOD=NUMERIC for AM1, PM3, etc.

  * avogadro/src/mainwindow.cpp, libavogadro/src/glwidget.cpp,
  libavogadro/src/glwidget.h: Display unit cell axes by default if present. Add
  a signal/slot for updating the unit cell axes menu item when changed in
  glwidget.

  * libavogadro/src/glwidget.cpp, libavogadro/src/glwidget.h: Make sure to
  remove deleted primitives from the selected list.

2009-06-25  Geoff Hutchison <babel@geoffhutchison.net>

  * .../src/extensions/molecularpropextension.cpp: Try to debug Vista crashing
  on molecule properties.

  * avogadro/src/mainwindow.cpp: Only show YesToAll and NoToAll buttons if we
  have a molecule file with multiple molecules.

  * .../src/extensions/insertfragmentextension.cpp: Perform a quick cleanup
  with UFF before inserting a SMILES fragment.

2009-06-23  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mac/MacOSXBundleInfo.plist.in: Updated Mac Info.plist. Should
  no longer "steal" file types from Mercury or GaussView (or anything else).

2009-06-23  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extension.cpp, libavogadro/src/extension.h: Add virtual to
  indicate if certain actions use the network. Currently unused.

2009-06-23  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/icons/AvoDocument.png, avogadro/src/icons/avogadro.png,
  avogadro/src/icons/avogadro.svg, avogadro/src/mac/AvogadroDocument.icns,
  avogadro/src/mac/avogadro.icns: Fix Avogadro icon slightly -- layering of one
  "orbit" was off. (Sorry, I'm obsessive compulsive about these things.)

2009-06-21  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/textrenderer_p.cpp: Make sure to handle lighting as well.
  Seems to fix "color leak" from label engine.

  * libavogadro/src/textrenderer_p.cpp: Bug fix suggested by Benoit. Solves
  part of CIF/RES corruption with Label engine. Still seems to be some sort of
  "color leak" -- probably similar issue.

2009-06-20  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/povrayextension.cpp: Fixes for better file
  permission checking when rendering with POV-Ray.

  * libavogadro/src/python/eigen.cpp: Last few spots that needed x86_64 fixes
  in the Eigen Python bindings.

2009-06-21  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/eigen.cpp: Python eigen.cpp fix for x86_64

2009-06-20  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/eigen.cpp: python/eigen.cpp: replace old
  PyArray_[INT/FLOAT/DOUBLE] with new NPY_[INT/FLOAT/DOUBLE].

2009-06-20  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/tools/clickmeasuretool.cpp: Fix bug found by Burkhard Luck.

2009-06-20  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/engines/cartoonengine.cpp: CartoonEngine: Set reasonable
  (not black!) initial colors.

  * libavogadro/src/bond.h, libavogadro/src/camera.h, libavogadro/src/color.h,
  libavogadro/src/glwidget.h, libavogadro/src/molecule.h,
  libavogadro/src/moleculefile.h, libavogadro/src/painter.h,
  libavogadro/src/plugin.h, libavogadro/src/pluginmanager.h,
  libavogadro/src/primitive.h, libavogadro/src/primitivelist.h,
  libavogadro/src/surfacemeshgenerator.h, libavogadro/src/tool.h,
  libavogadro/src/toolgroup.h: Some header documentation changes resulting from
  updating python bindings.

  * libavogadro/src/animation.cpp, libavogadro/src/bond.cpp,
  libavogadro/src/molecule.cpp, libavogadro/src/python/Avogadro.py,
  libavogadro/src/python/CMakeLists.txt, libavogadro/src/python/TODO,
  libavogadro/src/python/animation.cpp, libavogadro/src/python/atom.cpp,
  libavogadro/src/python/bond.cpp, libavogadro/src/python/camera.cpp,
  libavogadro/src/python/color.cpp, libavogadro/src/python/cube.cpp,
  libavogadro/src/python/eigen.cpp,
  libavogadro/src/python/elementtranslator.cpp,
  libavogadro/src/python/engine.cpp, libavogadro/src/python/extension.cpp,
  libavogadro/src/python/fragment.cpp, libavogadro/src/python/glwidget.cpp,
  libavogadro/src/python/mesh.cpp, libavogadro/src/python/meshgenerator.cpp,
  libavogadro/src/python/molecule.cpp, libavogadro/src/python/molecule.h,
  libavogadro/src/python/moleculefile.cpp,
  libavogadro/src/python/moleculelist.cpp, libavogadro/src/python/navigate.cpp,
  libavogadro/src/python/neighborlist.cpp, libavogadro/src/python/painter.cpp,
  libavogadro/src/python/painterdevice.cpp, libavogadro/src/python/plugin.cpp,
  libavogadro/src/python/pluginmanager.cpp,
  libavogadro/src/python/primitive.cpp,
  libavogadro/src/python/primitivelist.cpp, libavogadro/src/python/qlist.cpp,
  libavogadro/src/python/residue.cpp, libavogadro/src/python/sip.cpp,
  libavogadro/src/python/std_vector.cpp, libavogadro/src/python/tool.cpp,
  libavogadro/src/python/toolgroup.cpp,
  libavogadro/src/python/unittest/atom.py,
  libavogadro/src/python/unittest/bond.py,
  libavogadro/src/python/unittest/camera.py,
  libavogadro/src/python/unittest/color.py,
  libavogadro/src/python/unittest/cube.py,
  libavogadro/src/python/unittest/engine.py,
  libavogadro/src/python/unittest/extension.py,
  libavogadro/src/python/unittest/glwidget.py,
  libavogadro/src/python/unittest/mesh.py,
  libavogadro/src/python/unittest/molecule.py,
  libavogadro/src/python/unittest/tool.py,
  libavogadro/src/python/unittest/toolgroup.py,
  libavogadro/src/python/unittest/util.py: Update python, cleanup & added
  docstrings (copied from doxygen docs). Also checked function overloading &
  default arguments.  Minor code changes in cpp files: Animation: implement
  dynamicBonds() Bond: initialize m_aromaticity to false in ctor.
  Molecule::calculateAromaticity(): prevent crash (use OBMol::NumBonds()
  instead of numBonds() when accessing bonds from an OBMol.)

2009-06-19  Jordan Mantha <jordan.mantha@gmail.com>

  * scripts/extract-doc-messages.sh: add docbook->pot script

2009-06-18  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/engines/cartoonmeshgenerator.cpp: CartoonMeshGenerator: Fix
  typo in normal rotation, this made the cartoon mesh less smooth.

2009-06-17  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro-af.po, i18n/avogadro-ar.po, i18n/avogadro-bg.po,
  i18n/avogadro-ca.po, i18n/avogadro-cs.po, i18n/avogadro-de.po,
  i18n/avogadro-en_CA.po, i18n/avogadro-en_GB.po, i18n/avogadro-es.po,
  i18n/avogadro-fi.po, i18n/avogadro-fr.po, i18n/avogadro-id.po,
  i18n/avogadro-it.po, i18n/avogadro-ja.po, i18n/avogadro-ko.po,
  i18n/avogadro-nb.po, i18n/avogadro-nl.po, i18n/avogadro-pl.po,
  i18n/avogadro-pt.po, i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po,
  i18n/avogadro-sk.po, i18n/avogadro-sv.po, i18n/avogadro-tr.po,
  i18n/avogadro-uk.po, i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po: Updated launchpad
  translations.

2009-06-17  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/engines/python/wireframe.py: Fix python wireframe engine
  example (Color::set -> Color::setFromPrimitive)

2009-06-17  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/moleculefile.cpp: Fix typo

2009-06-17  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/mainwindow.cpp, libavogadro/src/moleculefile.cpp,
  libavogadro/src/moleculefile.h: Handle VASP files as a special case in
  MoleculeFile

  * libavogadro/src/python/sip.cpp: More sip 4.8 changes...

2009-06-17  David Lonie <loniedavid@gmail.com>

  * testfiles/VASP-8LiH/INCAR, testfiles/VASP-8LiH/KPOINTS,
  testfiles/VASP-8LiH/POSCAR, testfiles/VASP-8LiH/POTCAR,
  testfiles/VASP-8LiH/readme: Added VASP input set to testfiles.

2009-06-17  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/sip.cpp: Some more sip 4.8 changes (python)

2009-06-16  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/python/example.py: Switch menuPath to "Scripts"
  which will make more sense for most people IMHO.

2009-06-16  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * cmake/modules/PythonDeps.cmake: PythonDeps.cmake: Change SIPVERSION MATCHES
  "4.8.0" to "4.8" (will match 4.8, 4.8.0, 4.8.1, ...)

  * cmake/modules/PythonDeps.cmake, libavogadro/src/python/sip.cpp: Add support
  for sip 4.8.0

2009-06-15  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/protein.cpp: Protein: don't include non amino acid residues
  in the chains. This used to result in ligands being added to the end of the
  chain. MeshGenerator uses these chains to create the cartoon mesh and there
  were ugly tails because the ligands can be at a distance from the last amino
  acid residue in the chain.

  * libavogadro/src/engines/cartoonengine.cpp,
  libavogadro/src/moleculefile.cpp, libavogadro/tests/moleculefiletest.cpp:
  CartoonEngine: remove debug output MoleculeFile: bug fix, make sure streampos
  contains the correct number of positions (was causing an endless loop in
  replaceMolecule)

2009-06-14  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/CMakeLists.txt, libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/directorytreemodel.cpp,
  libavogadro/src/extensions/directorytreemodel.h,
  .../src/extensions/insertfragmentdialog.cpp,
  libavogadro/src/extensions/insertfragmentdialog.ui,
  libavogadro/src/filetreeitem.cpp, libavogadro/src/filetreeitem.h: Fix
  PR#2663883 -- switch fragment window to QFileSystemModel. The downside is
  that we only can have the default set of fragments, not a list of
  directories, but this should be fine for 1.0. Evidently the best way to
  handle multiple root directories is with a proxy model.

2009-06-14  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/mainwindow.cpp: MainWindow: delete the d->moleculeFile in
  saveAs since we need to save to a new file.

  * avogadro/src/savedialog.cpp: SaveDialog: Call updateDefaultSuffix after
  setting the default filter. On linux, the "All files (*.*)" filter used to
  result in attempts to save out.* (instead of out.pdb, after opening a pdb
  file and "Save As...")

  * libavogadro/src/moleculefile.cpp: MoleculeFile: check format pointers
  before calling OBConversion::Set[In/Out]Format. When there is only one
  molecule, clear the conformers and set m_conformerFile to false.

2009-06-13  Geoff Hutchison <geoff@geoffhutchison.net>

  * cmake/modules/FindLinguist.cmake: Add lconvert-qt4. Thanks to Tim for the
  heads-up.

2009-06-13  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/tests/moleculefiletest.cpp: Update MoleculeFile unit test after
  merge with OpenbabelWrapper

2009-06-12  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * cmake/modules/FindLinguist.cmake: Fix copy error (I think) in
  FindLinguist.cmake (lrelease --> lconvert)

2009-06-12  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/h2methylextension.cpp: Fix disappearing molecule
  & crash bug. Solves PR#2632541.

  * i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot,
  libavogadro/src/extensions/gamessinputdialog.ui: Updated typo in GAMESS input
  builder.

  * libavogadro/src/extensions/hydrogensextension.cpp,
  libavogadro/src/molecule.cpp: Add back feature to add hydrogens by pH. Fixes
  PR#2799259.

2009-06-12  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-ar.po, i18n/avogadro-bg.po, i18n/avogadro-ca.po,
  i18n/avogadro-cs.po, i18n/avogadro-de.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-id.po, i18n/avogadro-it.po,
  i18n/avogadro-ja.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-pl.po, i18n/avogadro-pt.po,
  i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po, i18n/avogadro-sk.po,
  i18n/avogadro-sv.po, i18n/avogadro-tr.po, i18n/avogadro-uk.po,
  i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po, i18n/avogadro.pot,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot,
  libavogadro/src/extensions/surfacedialog.ui: One more -- disambiguation of
  "In Display Type:"

  * avogadro/src/mainwindow.cpp, libavogadro/src/extensions/linmorphdialog.ui,
  libavogadro/src/extensions/spectratabnmr.ui: Translation corrections from
  Louis Ricard.

  * i18n/avogadro-ar.po, i18n/avogadro-bg.po, i18n/avogadro-ca.po,
  i18n/avogadro-cs.po, i18n/avogadro-de.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-id.po, i18n/avogadro-it.po,
  i18n/avogadro-ja.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-pl.po, i18n/avogadro-pt.po,
  i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po, i18n/avogadro-sk.po,
  i18n/avogadro-sv.po, i18n/avogadro-tr.po, i18n/avogadro-uk.po,
  i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po, i18n/avogadro.pot,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot,
  libavogadro/src/elementtranslator.cpp,
  libavogadro/src/engines/cartoonengine.h,
  libavogadro/src/extensions/animationextension.h,
  libavogadro/src/extensions/gamessinputdialog.ui,
  libavogadro/src/extensions/linmorphdialog.ui,
  libavogadro/src/extensions/propextension.h,
  libavogadro/src/tools/aligntool.h: Spelling corrections on translatable
  strings.

2009-06-11  Geoff Hutchison <geoff@geoffhutchison.net>

  * i18n/avogadro-ar.po, i18n/avogadro-bg.po, i18n/avogadro-ca.po,
  i18n/avogadro-cs.po, i18n/avogadro-de.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-id.po, i18n/avogadro-it.po,
  i18n/avogadro-ja.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-pl.po, i18n/avogadro-pt.po,
  i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po, i18n/avogadro-sk.po,
  i18n/avogadro-sv.po, i18n/avogadro-tr.po, i18n/avogadro-uk.po,
  i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po, i18n/avogadro.pot,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot,
  scripts/create-translations.sh: Latest translations from Launchpad plus
  updated POT files.

  * libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propmodel.cpp: Fix prop model to handle numeric
  sorting. Solves PR#2803874

  * avogadro/src/mainwindow.cpp: More debugging code for parentless widgets.

  * libavogadro/src/CMakeLists.txt,
  libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/numbertableitem.cpp, libavogadro/src/numbertableitem.h: Qt
  doesn't have a numeric QTableWidgetItem because it you can't subclass it
  correctly.

  * CMakeLists.txt, avogadro/src/CMakeLists.txt,
  cmake/modules/FindLinguist.cmake, libavogadro/src/CMakeLists.txt: Switch PO
  translations to a new QT_WRAP_PO macro in FindLinguist. Works much, much
  better -- only updates when needed.

  * libavogadro/src/CMakeLists.txt,
  libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/numbertableitem.h, libavogadro/src/undosequence.h: Update
  documentation for NumberTableItem

  * libavogadro/src/numbertableitem.cpp, libavogadro/src/numbertableitem.h:
  Small class to handle numeric sorting -- surprused Qt doesn't have one.

  * avogadro/src/mainwindow.cpp,
  libavogadro/src/extensions/selectextension.cpp,
  libavogadro/src/tools/aligntool.cpp, libavogadro/src/tools/autoopttool.cpp,
  libavogadro/src/tools/autorotatetool.cpp, libavogadro/src/tools/drawtool.cpp,
  libavogadro/src/tools/zmatrixtool.cpp: Added some work and debugging messages
  to find parentless widgets. There's a bug on Mac where the program won't quit
  correctly.

2009-06-10  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * CMakeLists.txt, avogadro/src/CMakeLists.txt,
  libavogadro/src/CMakeLists.txt, scripts/create-translations.sh: Improve
  translation creation & updating. The replacing of "-" with "_" caused some
  problems here since my build directory contains a "-" character.

2009-06-10  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/animation.cpp,
  libavogadro/src/extensions/vibrationextension.cpp: Fix bugs with "animate
  speed based on frequency" now works smoothly. Thanks to Jan Jensen for the
  suggestion.

  * libavogadro/src/python/moleculefile.cpp,
  libavogadro/src/python/openbabelwrapper.cpp, libavogadro/src/python/sip.cpp:
  Finish merge of OpenbabelWrapper -- didn't get Python code.

2009-06-09  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, libavogadro/src/CMakeLists.txt,
  libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/moleculefile.cpp, libavogadro/src/moleculefile.h,
  libavogadro/src/openbabelwrapper.cpp, libavogadro/src/openbabelwrapper.h:
  Merge OBwrapper & MOleculeFile. Now one class.

2009-06-09  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.cpp: Fixed typo in vibration
  dialog.

2009-06-09  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/primitivelist.cpp: Fix a strange crash: draw, select all,
  clear, draw again -- bang! Check primitives for valid types before append()

  * libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/engines/overlayengine.cpp,
  libavogadro/src/engines/overlayengine.h,
  libavogadro/src/engines/overlaysettingswidget.ui: Remove overlay settings
  widget -- confusing carbon copy of label engine.

  * i18n/avogadro-ar.po, i18n/avogadro-bg.po, i18n/avogadro-ca.po,
  i18n/avogadro-cs.po, i18n/avogadro-de.po, i18n/avogadro-en_CA.po,
  i18n/avogadro-en_GB.po, i18n/avogadro-es.po, i18n/avogadro-fi.po,
  i18n/avogadro-fr.po, i18n/avogadro-id.po, i18n/avogadro-it.po,
  i18n/avogadro-ja.po, i18n/avogadro-ko.po, i18n/avogadro-nb.po,
  i18n/avogadro-nl.po, i18n/avogadro-pl.po, i18n/avogadro-pt.po,
  i18n/avogadro-pt_BR.po, i18n/avogadro-ru.po, i18n/avogadro-sk.po,
  i18n/avogadro-sv.po, i18n/avogadro-tr.po, i18n/avogadro-uk.po,
  i18n/avogadro-zh_CN.po, i18n/avogadro-zh_TW.po, i18n/avogadro.pot,
  i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot,
  libavogadro/src/extensions/surfacedialog.ui: Added some translation context,
  particularly for surfacedialog.ui

  * libavogadro/src/tools/zmatrixdialog.cpp: Make sure z-matrix table stretches
  properly.

  * i18n/libavogadro-ar.po, i18n/libavogadro-bg.po, i18n/libavogadro-ca.po,
  i18n/libavogadro-cs.po, i18n/libavogadro-de.po, i18n/libavogadro-en_CA.po,
  i18n/libavogadro-en_GB.po, i18n/libavogadro-es.po, i18n/libavogadro-fi.po,
  i18n/libavogadro-fr.po, i18n/libavogadro-id.po, i18n/libavogadro-it.po,
  i18n/libavogadro-ja.po, i18n/libavogadro-ko.po, i18n/libavogadro-nb.po,
  i18n/libavogadro-nl.po, i18n/libavogadro-pl.po, i18n/libavogadro-pt.po,
  i18n/libavogadro-pt_BR.po, i18n/libavogadro-ru.po, i18n/libavogadro-sk.po,
  i18n/libavogadro-sv.po, i18n/libavogadro-tr.po, i18n/libavogadro-uk.po,
  i18n/libavogadro-zh_CN.po, i18n/libavogadro-zh_TW.po, i18n/libavogadro.pot:
  Updated POT and PO files.

  * avogadro/src/mainwindow.cpp: Fix bugs with tab close button appearing even
  on default launch (i.e., no loading files)

  * avogadro/src/avogadro.qrc, avogadro/src/icons/configure.png,
  avogadro/src/icons/document-open-recent.png,
  avogadro/src/icons/document-open-remote.png,
  libavogadro/src/tools/autoopttool.png, libavogadro/src/tools/measure.png:
  More icon updates. Now with an auto-opt icon (E with arrow)

  * avogadro/src/mainwindow.cpp: One last setTabsClosable() call.

  * libavogadro/src/extensions/forcefieldextension.cpp: Add shortcut key to
  "Optimize Geometry"

2009-06-08  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/orbitaldialog.ui: Marked some numbers as
  non-translatable.

  * libavogadro/src/extensions/surfacedialog.ui: Added prototype of the new
  surface dialog - much more streamlined interface.

2009-06-08  Geoff Hutchison <geoff@geoffhutchison.net>

  * CMakeLists.txt, avogadro/src/CMakeLists.txt,
  libavogadro/src/CMakeLists.txt, scripts/create-translations.sh: Probably the
  last PO translation update. Seems to work smoothly now. I *HATE*
  add_custom_target -- it re-runs all the time. If someone knows Cmake magic,
  let's fix this.

  * CMakeLists.txt: Fix lupdate call to prevent it from modifying PO files.

2009-06-08  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/glgraphicsview.h: Removed A_EXPORT - not part of our public
  API anymore.

2009-06-08  Geoff Hutchison <geoff@geoffhutchison.net>

  * : Launchpad PO files -- something modifies them in CMake scripts? I'll
  check.

  * i18n/libavogadro-zh_TW.po: Add PO files from Launchpad.

  * CMakeLists.txt, avogadro/src/CMakeLists.txt,
  libavogadro/src/CMakeLists.txt, scripts/create-translations.sh: Switch to use
  PO files and lconvert for building translations. (Ideally,
  avogadro/src/CMakeLists.txt and libavogadro/src/CMakeLists.txt won't wrap TS
  files until translations are built.) CMake help here would be appreciated.
  Right now, it's a race condition.

2009-06-08  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/CMakeLists.txt: Fix icon filename in
  avogadro/src/CMakeLists.txt

  * libavogadro/src/python/CMakeLists.txt, libavogadro/src/python/main.cpp:
  Ommit python module wrapper for now (wasn't working)

2009-06-08  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.h,
  libavogadro/src/extensions/vibrationdialog.ui,
  libavogadro/src/extensions/vibrationextension.cpp,
  libavogadro/src/extensions/vibrationextension.h: Added feature for faster
  vibration animations for high-frequency modes. Currently crashes for unknown
  reason.

  * libavogadro/src/extensions/gamessinputdialog.ui,
  libavogadro/src/extensions/qcheminputdialog.ui: Add "Compute..." buttons for
  local calculations.

2009-06-08  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/engineitemmodel.cpp: Only the first column should be editable
  or checkable.

  * avogadro/src/mainwindow.cpp: Added an extra check - never close the last
  view in the central tab widget.

  * avogadro/src/mainwindow.cpp: Ensure views in the central tab can only be
  closed if there is more than one view.

2009-06-08  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/engineviewwidget.cpp: Fix layout on engine view.

2009-06-08  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/engines/hbondengine.cpp: Hydrogen bond engine: prevent
  crash when there are no atoms. (Fixes #2803050)

2009-06-08  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/avogadro.qrc, avogadro/src/engineitemmodel.cpp,
  libavogadro/src/tools/CMakeLists.txt, libavogadro/src/tools/autoopttool.png,
  libavogadro/src/tools/measure.png, libavogadro/src/tools/zmatrixtool.cpp,
  libavogadro/src/tools/zmatrixtool.qrc: Updated icons.

  * avogadro/src/avogadro.qrc, avogadro/src/engineitemdelegate.cpp,
  avogadro/src/engineitemmodel.cpp, avogadro/src/engineprimitiveswidget.ui,
  avogadro/src/icons/application-exit.png, avogadro/src/icons/arrow-down.png,
  avogadro/src/icons/arrow-left.png, avogadro/src/icons/arrow-right.png,
  avogadro/src/icons/arrow-up.png, avogadro/src/icons/avogadro-icon.png,
  avogadro/src/icons/avogadro_icon.png, avogadro/src/icons/back.png,
  avogadro/src/icons/colorize.png, avogadro/src/icons/configure.png,
  avogadro/src/icons/copy.png, avogadro/src/icons/cut.png,
  avogadro/src/icons/document-close.png,
  avogadro/src/icons/document-export.png,
  avogadro/src/icons/document-import.png, avogadro/src/icons/document-new.png,
  avogadro/src/icons/document-open.png, avogadro/src/icons/document-print.png,
  avogadro/src/icons/document-revert.png,
  avogadro/src/icons/document-save-as.png,
  avogadro/src/icons/document-save.png, avogadro/src/icons/down.png,
  avogadro/src/icons/edit-add-child.png, avogadro/src/icons/edit-add.png,
  avogadro/src/icons/edit-clear.png, avogadro/src/icons/edit-copy.png,
  avogadro/src/icons/edit-cut.png, avogadro/src/icons/edit-paste.png,
  avogadro/src/icons/edit-redo.png, avogadro/src/icons/edit-remove.png,
  avogadro/src/icons/edit-select-all.png, avogadro/src/icons/edit-undo.png,
  avogadro/src/icons/edit_add.png, avogadro/src/icons/edit_remove.png,
  avogadro/src/icons/exit.png, avogadro/src/icons/fileclose.png,
  avogadro/src/icons/fileexport.png, avogadro/src/icons/filenew.png,
  avogadro/src/icons/fileopen.png, avogadro/src/icons/filesave.png,
  avogadro/src/icons/filesaveas.png, avogadro/src/icons/fill-color.png,
  avogadro/src/icons/forward.png, avogadro/src/icons/minus.png,
  avogadro/src/icons/paste.png, avogadro/src/icons/plus.png,
  avogadro/src/icons/preferences-plugin.png, avogadro/src/icons/rebuild.png,
  avogadro/src/icons/redo.png, avogadro/src/icons/revert.png,
  avogadro/src/icons/tab-close.png, avogadro/src/icons/tab-detach.png,
  avogadro/src/icons/tab-duplicate.png, avogadro/src/icons/tab-new.png,
  avogadro/src/icons/tab_new.png, avogadro/src/icons/tab_remove.png,
  avogadro/src/icons/tools-report-bug.png, avogadro/src/icons/undo.png,
  avogadro/src/icons/up.png, avogadro/src/icons/view-fullscreen.png,
  avogadro/src/icons/view-list-tree.png, avogadro/src/icons/view-restore.png,
  avogadro/src/icons/window_fullscreen.png,
  avogadro/src/icons/window_nofullscreen.png, avogadro/src/mainwindow.cpp,
  avogadro/src/mainwindow.ui, avogadro/src/projecttreeeditor.qrc,
  avogadro/src/projecttreeeditor.ui, avogadro/src/settingsdialog.ui,
  libavogadro/src/tools/autoopttool.png, libavogadro/src/tools/autorotate.png,
  libavogadro/src/tools/manipulate.png, libavogadro/src/tools/measure.png,
  libavogadro/src/tools/zmatrix.png: Icon update, including new icons from KDE
  Oxygen theme.

2009-06-07  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, libavogadro/src/openbabelwrapper.cpp: Ported
  the bug fixes to file saving from MainWindow.  I ported the changes I made in
  MainWindow to fix the file saving bugs. I also added back in some error
  checking for normal saves of single molecules. Actual file saving seems to be
  working OK, but Avogadro does not register the changes have been saved and so
  prompts the user when closing - this needs fixing. We also need to do a lot
  of testing on these functions on all three platforms to ensure we have not
  had any regressions, such as the zero length file bug.

  * libavogadro/src/openbabelwrapper.cpp: This caused a crash, check whether we
  have a format pointer. Possibly an OB bug.

2009-06-07  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: fix compile error with includes.

2009-06-07  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp: New Qt 4.5 function - fixes rendering issues
  on Linux with GLWidget in tabs.

  * avogadro/src/mainwindow.cpp: Make sure detach view is disabled if there is
  only one view.

  * avogadro/src/detachedview.cpp: Removed that slot now as it did not work as
  intended.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  libavogadro/src/glwidget.cpp, libavogadro/src/glwidget.h: Added in some extra
  logic to figure out which widget is active.

  * avogadro/src/detachedview.cpp, avogadro/src/detachedview.h,
  avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: Bring back the
  detached view functionality I have been missing so much!  This is me bringing
  back a detached GLWidget view. This is now mostly working, with the main
  remaining issue being how to set the active display to change the settings of
  the GLWidget. I have a few ideas, please take a look and see if you can see
  any more issues with it.

2009-06-07  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/mainwindow.h, libavogadro/src/python/glgraphicsview.cpp,
  libavogadro/src/python/main.cpp: Merge + remove GLGraphicsView python binding

2009-06-07  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/glgraphicsview.cpp, avogadro/src/glgraphicsview.h,
  libavogadro/src/CMakeLists.txt, libavogadro/src/glgraphicsview.cpp,
  libavogadro/src/glgraphicsview.h: Moved the GLGraphicsView classes into
  avogadro and out of our API.

  * avogadro/src/engineitemdelegate.cpp: Trying it with no icon when the engine
  does not have a settings widget.

  * avogadro/src/engineitemdelegate.cpp, avogadro/src/engineitemmodel.cpp:
  Improvements to the model and delegate - background comes out right now too.

  * libavogadro/src/engines/bsdyengine.h,
  libavogadro/src/engines/cartoonengine.h,
  libavogadro/src/engines/dipoleengine.h,
  libavogadro/src/engines/hbondengine.h, libavogadro/src/engines/labelengine.h,
  libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h,
  libavogadro/src/engines/overlayengine.h,
  libavogadro/src/engines/ribbonengine.h, libavogadro/src/engines/ringengine.h,
  libavogadro/src/engines/sphereengine.h,
  libavogadro/src/engines/stickengine.h,
  libavogadro/src/engines/surfaceengine.h,
  libavogadro/src/engines/wireengine.h: Implemented hasSettings virtual to
  speed up engine tree view display.

  * avogadro/src/engineitemdelegate.cpp: Now with an added icon - not sure it
  is the best one but it shows how it works better.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: Removed settings
  button, added new engine view. Need icon for settings!  I removed the
  settings button, the grey boxes can now be used to get the settings dialog. I
  need a picture, but it works very nicely here. I would appreciate feedback
  and testing. I will look for an image to put in there too, but am open to
  suggestions.

  * avogadro/src/engineitemdelegate.cpp, avogadro/src/engineitemdelegate.h,
  avogadro/src/engineviewwidget.cpp, avogadro/src/engineviewwidget.h: New
  engine tree view with inline settings buttons.  First pass at a mew engine
  tree view with inline settings buttons. We could extend this to have inline
  duplicate and remove buttons in the future. I really need some images for
  settings (tools?). Remove and duplicate images would be useful too. They can
  be drawn by the item delegate if I can find/draw some icons.

  * avogadro/src/engineitemmodel.cpp, avogadro/src/engineitemmodel.h: Additions
  and improvements to the engine item model, facilitates inline settings now.

  * libavogadro/src/engine.cpp, libavogadro/src/engine.h: Added a new signal
  for engines to indicate whether they have a settings dialog.

2009-06-07  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, avogadro/src/savedialog.cpp: Allow "always
  build" 3D coordinates for multi-molecule file. Prevent saving to gzip files.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: Switch to table
  widget for selecting molecules. Looks great.

2009-06-06  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Fix bug with selection mode in multi-molecule
  browser.

  * avogadro/src/mainwindow.cpp: Add a working progress dialog to let the user
  know something is happening!

  * libavogadro/src/extensions/constraintsdialog.cpp: Make sure constraints
  table is properly stretched.

  * avogadro/src/mainwindow.cpp: Finish off "all molecules" list view. Fast!

  * libavogadro/src/engine.cpp: Prevent infinite loop in my testing.

2009-06-06  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui: Keep the spectra plot widget the
  same size on toggleCustomize(). Fixes PR#2801471

2009-06-06  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/primitiveitemmodel.cpp: Changes and improvements to work with
  less caching of the primitives.  Still might need a little more work, but
  these changes allow the model to work with the GLWidget class without all the
  caching. Some improved logic and improved display of Atom and Bond
  information. Also using 1 based indexes as we have in the rest of the user
  interface.

  * libavogadro/src/glwidget.cpp, libavogadro/src/glwidget.h: Finally got rid
  of the two argument moleculeChanged signal.

  * libavogadro/src/engine.cpp, libavogadro/src/engine.h: Some changes and
  improvements to the Engine base class.  The default implementation only pays
  attention to Atom and Bond objects. If your engine handles other types the
  virtual functions can be reimplemented.

  * libavogadro/src/plugin.h: Bumped the plugin version - remember to do a make
  clean.

2009-06-06  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  avogadro/src/mainwindow.ui: Added "view all molecules" -- need to debug, but
  heading out for errands.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: Use MoleculeFile.
  Ready to use a QListWidget for selecting slices.

  * libavogadro/src/moleculefile.cpp, libavogadro/src/moleculefile.h,
  libavogadro/src/openbabelwrapper.cpp: Update to use titlesRef and
  streamposRef()

  * libavogadro/src/moleculefile.cpp, libavogadro/src/moleculefile.h: Add
  filename parameters (currently unused) for replaceMolecule methods.

2009-06-02  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/engineprimitiveswidget.cpp,
  avogadro/src/engineprimitiveswidget.h, avogadro/src/mainwindow.cpp,
  avogadro/src/primitiveitemmodel.cpp, libavogadro/src/engine.cpp,
  libavogadro/src/engine.h, libavogadro/src/glwidget.cpp,
  libavogadro/src/glwidget.h, libavogadro/src/molecule.cpp,
  libavogadro/src/python/engine.cpp, libavogadro/src/python/glwidget.cpp:
  Getting rid of all the primitive caching in GLWidget.  This is the first part
  of my attempt to get rid of all the primitive caching in GLWidget. This works
  and compiles, but the PrimitiveItemModel is totally broken. Should be able to
  fix that up with a little work.

2009-06-06  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/moleculefile.cpp, libavogadro/src/moleculefile.h,
  libavogadro/src/openbabelwrapper.cpp: Add QStringList& MoleculeFile::titles()
  again as titles_p()

2009-06-06  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/plugin.cpp, libavogadro/src/plugin.h: Added a license
  virtual function to plugin, so that plugins can declare their license.

  * CMakeLists.txt, libavogadro/src/extensions/CMakeLists.txt: Find and link to
  zlib, qiocompressor implicitly links to zlib anyway.

2009-06-06  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/importdialog.cpp, avogadro/src/mainwindow.cpp,
  avogadro/src/mainwindow.h, libavogadro/src/moleculefile.cpp,
  libavogadro/src/moleculefile.h, libavogadro/src/openbabelwrapper.cpp,
  libavogadro/src/python/openbabelwrapper.cpp: First pass at migrating
  MainWindow to OpenbabelWrapper & MoleculeFile. NOT ready for "prime-time"

2009-06-05  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/forcefieldextension.cpp,
  libavogadro/src/molecule.cpp, libavogadro/src/tools/autoopttool.cpp: Add
  energy of the molecule when doing forcefield or autoopt interactions. Fixes
  PR#1976211.

  * scripts/find-po-email.py, scripts/find-translators.sh: Add scripts to pull
  e-mail addresses (or names) from Launchpad PO files.

2009-06-05  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/CMakeLists.txt: Fixed endif that did not match opening if
  statement.

  * CMakeLists.txt, Doxyfile, cmake/modules/AvoCPack.cmake: Bumped version
  number to 0.9.6 in preparation for release.

  * cmake/modules/AvoCPack.cmake: Make sure the license is pulled in by CPack
  for NSIS.

2009-06-05  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.h: Fix bug in vibration dialog
  sorting. Closes PR#2801711

2009-06-05  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Track the current
  conformer (e.g., for setting current energy). Track whether we're using an
  estimated dipole moment -- if so, delete the cache when the geometry changes.

  * libavogadro/src/extensions/povpainter.cpp,
  libavogadro/src/extensions/povpainter.h, libavogadro/src/glpainter_p.cpp,
  libavogadro/src/glpainter_p.h, libavogadro/src/painter.h: Add ellipsoid
  placeholder for ORTEP diagrams.

  * libavogadro/src/engines/stickengine.cpp,
  libavogadro/src/engines/stickengine.h: Minor warning fix.

2009-06-04  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/tools/drawtool.cpp: Switch bond orders when typing 1, 2, 3,
  or 4.

2009-06-04  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/CMakeLists.txt: GNU/kFreeBSD build fix from Michael Banck --
  PR#2801267.

  * builder/amino/l-ala.zmat, .../src/extensions/insertpeptideextension.cpp:
  Fix some peptide builder bugs. Now ensures all amino acids will have bonds.

  * libavogadro/src/extensions/gamessinputdata.cpp: Fix bug with GAMESS point
  groups with axes (PR#2712161).

2009-06-03  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/gaussianfchk.cpp,
  libavogadro/src/extensions/gaussianfchk.h,
  libavogadro/src/extensions/orbitalextension.cpp: Added support for reading
  .fchk.gz Gaussian output.

2009-06-03  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp: Fixes for bug 2800647, 2789533 for file saving
  bugs.  Adding some more cautious logic, also popup warning messages when
  files fail to read or save. This seems to work here on Linux and Windows. We
  should double check all is still well on the Mac too. I think the messgae
  boxes are better than status messages.

  * avogadro/src/main.cpp: A few small fixes for the Windows package logic.

2009-06-03  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/gaussianinputdialog.cpp,
  libavogadro/src/extensions/gaussianinputdialog.h: Finish addition of local
  Gaussian runs. Now works cleanly and will try to run formchk.

  * libavogadro/qtiocompressor/qtiocompressor.cpp,
  libavogadro/qtiocompressor/qtiocompressor.h: Added LGPL QtIOCompressor for
  reading compressed streams.

  * fragments/cyclic sugars/alpha-D-allopyranose.cml, .../cyclic
  sugars/alpha-D-arabinopyranose.cml, fragments/cyclic
  sugars/alpha-D-fucopyranose.cml, .../cyclic
  sugars/alpha-D-galactopyranose.cml, .../cyclic
  sugars/alpha-D-galacturonopyranose.cml, fragments/cyclic
  sugars/alpha-D-glucopyranose.cml, .../cyclic
  sugars/alpha-D-glucuronopyranose.cml, fragments/cyclic
  sugars/alpha-D-gulopyranose.cml, fragments/cyclic
  sugars/alpha-D-idopyranose.cml, fragments/cyclic
  sugars/alpha-D-lyxopyranose.cml, fragments/cyclic
  sugars/alpha-D-mannopyranose.cml, fragments/cyclic
  sugars/alpha-D-psicopyranose.cml, fragments/cyclic
  sugars/alpha-D-rhamnopyranose.cml, fragments/cyclic
  sugars/alpha-D-ribopyranose.cml, fragments/cyclic
  sugars/alpha-D-tagatopyranose.cml, fragments/cyclic
  sugars/alpha-D-talopyranose.cml, fragments/cyclic
  sugars/alpha-D-xylopyranose.cml, .../cyclic
  sugars/alpha-L-arabinopyranose.cml, fragments/cyclic
  sugars/alpha-L-fucopyranose.cml, .../cyclic
  sugars/alpha-L-galactopyranose.cml, fragments/cyclic
  sugars/alpha-L-lyxopyranose.cml, fragments/cyclic
  sugars/alpha-L-rhamnopyranose.cml, fragments/cyclic
  sugars/alpha-L-ribopyranose.cml, fragments/cyclic
  sugars/alpha-L-sorbopyranose.cml, fragments/cyclic
  sugars/alpha-L-xylopyranose.cml, fragments/cyclic
  sugars/beta-D-allopyranose.cml, fragments/cyclic
  sugars/beta-D-arabinopyranose.cml, fragments/cyclic
  sugars/beta-D-fructopyranose.cml, fragments/cyclic
  sugars/beta-D-fucopyranose.cml, fragments/cyclic
  sugars/beta-D-galactopyranose.cml, fragments/cyclic
  sugars/beta-D-glucopyranose.cml, fragments/cyclic
  sugars/beta-D-gulopyranose.cml, fragments/cyclic
  sugars/beta-D-idopyranose.cml, fragments/cyclic
  sugars/beta-D-lyxopyranose.cml, fragments/cyclic
  sugars/beta-D-mannopyranose.cml, fragments/cyclic
  sugars/beta-D-rhamnopyranose.cml, fragments/cyclic
  sugars/beta-D-ribopyranose.cml, fragments/cyclic
  sugars/beta-D-tagatopyranose.cml, fragments/cyclic
  sugars/beta-D-talopyranose.cml, fragments/cyclic
  sugars/beta-D-xylopyranose.cml, fragments/cyclic
  sugars/beta-L-arabinopyranose.cml, fragments/cyclic
  sugars/beta-L-lyxopyranose.cml, fragments/cyclic
  sugars/beta-L-ribopyranose.cml, fragments/cyclic
  sugars/beta-L-xylopyranose.cml,
  libavogadro/src/extensions/gaussianinputdialog.cpp,
  libavogadro/src/extensions/gaussianinputdialog.h: Added cyclic sugars from
  Klotho repository, suggested by Magnus Lundborg

2009-06-02  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/CMakeLists.txt: Make sure to create en and en_US language
  folders for Mac bundle. Fixes bug with other languages showing up in the
  interface.

2009-06-02  Marcus D. Hanwell <marcus@cryos.org>

  * Doxyfile, INSTALL, cmake/modules/AvoCPack.cmake,
  libavogadro/src/glwidget.h: Bumped version number in Doxyfile, few small
  updates to build files and docs.

  * avogadro/src/projecttreeeditor.cpp: Fix for bug 2798919 - segfault on
  settings dialog with languages loaded.  Not sure if this is the ideal fix,
  just added some checks for null before writing settings. This does allow
  users of other languages to use the settings dialog, it seems to still change
  settings and save them.

2009-06-02  Geoff Hutchison <babel@geoffhutchison.net>

  * CMakeLists.txt: Bump for 0.9.5 release.

  * i18n/avogadro.pot, i18n/libavogadro.pot: POT files for 0.9.5.

  * i18n/avogadro_ar.ts, i18n/avogadro_bg.ts, i18n/avogadro_ca.ts,
  i18n/avogadro_cs.ts, i18n/avogadro_de.ts, i18n/avogadro_en_CA.ts,
  i18n/avogadro_en_GB.ts, i18n/avogadro_es.ts, i18n/avogadro_fi.ts,
  i18n/avogadro_fr.ts, i18n/avogadro_it.ts, i18n/avogadro_ja.ts,
  i18n/avogadro_ko.ts, i18n/avogadro_nb.ts, i18n/avogadro_nl.ts,
  i18n/avogadro_pl.ts, i18n/avogadro_pt.ts, i18n/avogadro_pt_BR.ts,
  i18n/avogadro_ru.ts, i18n/avogadro_sk.ts, i18n/avogadro_sv.ts,
  i18n/avogadro_tr.ts, i18n/avogadro_uk.ts, i18n/avogadro_zh_CN.ts,
  i18n/avogadro_zh_TW.ts, i18n/libavogadro_ar.ts, i18n/libavogadro_bg.ts,
  i18n/libavogadro_ca.ts, i18n/libavogadro_cs.ts, i18n/libavogadro_de.ts,
  i18n/libavogadro_en_CA.ts, i18n/libavogadro_en_GB.ts, i18n/libavogadro_es.ts,
  i18n/libavogadro_fi.ts, i18n/libavogadro_fr.ts, i18n/libavogadro_it.ts,
  i18n/libavogadro_ja.ts, i18n/libavogadro_ko.ts, i18n/libavogadro_nb.ts,
  i18n/libavogadro_nl.ts, i18n/libavogadro_pl.ts, i18n/libavogadro_pt.ts,
  i18n/libavogadro_pt_BR.ts, i18n/libavogadro_ru.ts, i18n/libavogadro_sk.ts,
  i18n/libavogadro_sv.ts, i18n/libavogadro_tr.ts, i18n/libavogadro_uk.ts,
  i18n/libavogadro_zh_CN.ts, i18n/libavogadro_zh_TW.ts: Last pile of up-to-date
  translations.

2009-06-02  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * cmake/modules/AvoCPack.cmake: include Avogadro.py in CPack

2009-06-02  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp: Added engine.h include that was snuck in
  before using primitiveitemmodel.h.

  * avogadro/src/engineprimitiveswidget.cpp, avogadro/src/mainwindow.cpp,
  avogadro/src/primitivetreeview.cpp: Fixed primitiveitemmodel.h includes for
  new location.

  * avogadro/src/primitiveitemmodel.cpp, avogadro/src/primitiveitemmodel.h,
  libavogadro/src/CMakeLists.txt, libavogadro/src/primitiveitemmodel.cpp,
  libavogadro/src/primitiveitemmodel.h: Moved primitiveitemmodel - only used by
  the engine widget.

2009-06-01  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/molecularpropdialog.ui,
  .../src/extensions/molecularpropextension.cpp,
  .../src/extensions/molecularpropextension.h,
  libavogadro/src/extensions/propextension.cpp: New molecular property window
  with formula, number of atoms, etc.

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Add parameter to
  test if dipole moments are estimated or known accurately.

  * avogadro/src/mainwindow.cpp: Ignore debug comments on close events.

2009-06-01  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt: Only enable extra GCC warnings for non-release builds.
  Suppress debug output for release builds.

  * libavogadro/tests/moleculefiletest.cpp: Rename function - assumed the last
  function should have been appendMolecule().

  * libavogadro/src/tools/navigatetool.cpp: Removed debug statement from eye
  candy setting in navigate tool.

2009-06-02  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/tests/moleculefiletest.cpp: MoleculeFileTest: replace unsigned
  int/unsigned long with std::vector<...>::size_type

  * avogadro/src/mainwindow.cpp: MainWindow: close ofstream before attempting
  to rename the file

2009-06-01  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Use a double-rename procedure for saving
  (i.e., create ".old" and ".new")

2009-06-01  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp: Fix bug 2799186 - background color set to
  black on cancel.  Added a check to see if the QColor returned is valid, so if
  the user cancels the background color change it is not changed to black.

2009-06-01  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/CMakeLists.txt: Add an option to not install python
  module (INSTALL_PYTHON_MODULE)

2009-06-01  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/povrayextension.cpp: Fix for bug 2786154 - check
  if output files can be written.  Added checks for whether the pov and png
  files can be written, pops up a warning if not. Fixes bug 2786154.

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Added a default
  file name for new molecules.  Added a default file name for new molecules,
  this should make handling of molecules without a name easier for plugins.
  Fixes part of bug 2786154 for example.

  * libavogadro/tests/moleculefiletest.cpp: This is an unsigned long here,
  would not compile. A better fix may to to use the vector site type.

  * CMakeLists.txt: Made the extra GCC warnings optional - EXTRA_WARNINGS.  On
  Linux with GCC 4.3.3 and Qt 4.5.1 these extra GCC flags were generating
  thousands of warnings. Introduced an option to turn them on if needed,
  otherwise the debug builds were less useful as there were too many warnings
  generated from included library headers.

  * avogadro/src/updatecheck.cpp: Removed unnecessary return from void
  function.

2009-06-01  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/periodictablescene_p.cpp,
  libavogadro/src/primitiveitemmodel.cpp: Add more krazy ignore comments

2009-06-01  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/settingsdialog.ui, i18n/avogadro.pot, i18n/libavogadro.pot,
  scripts/extract-application-messages.sh, scripts/extract-library-messages.sh:
  Update POT to give contexts to messages.

  * i18n/avogadro.pot, i18n/avogadro_ar.ts, i18n/avogadro_bg.ts,
  i18n/avogadro_ca.ts, i18n/avogadro_cs.ts, i18n/avogadro_de.ts,
  i18n/avogadro_en_CA.ts, i18n/avogadro_en_GB.ts, i18n/avogadro_es.ts,
  i18n/avogadro_fi.ts, i18n/avogadro_fr.ts, i18n/avogadro_id.ts,
  i18n/avogadro_it.ts, i18n/avogadro_ja.ts, i18n/avogadro_ko.ts,
  i18n/avogadro_nb.ts, i18n/avogadro_nl.ts, i18n/avogadro_pl.ts,
  i18n/avogadro_pt.ts, i18n/avogadro_pt_BR.ts, i18n/avogadro_ru.ts,
  i18n/avogadro_sk.ts, i18n/avogadro_sv.ts, i18n/avogadro_tr.ts,
  i18n/avogadro_uk.ts, i18n/avogadro_zh_CN.ts, i18n/avogadro_zh_TW.ts,
  i18n/libavogadro.pot, i18n/libavogadro_ar.ts, i18n/libavogadro_bg.ts,
  i18n/libavogadro_ca.ts, i18n/libavogadro_cs.ts, i18n/libavogadro_de.ts,
  i18n/libavogadro_en_CA.ts, i18n/libavogadro_en_GB.ts, i18n/libavogadro_es.ts,
  i18n/libavogadro_fi.ts, i18n/libavogadro_fr.ts, i18n/libavogadro_id.ts,
  i18n/libavogadro_it.ts, i18n/libavogadro_ja.ts, i18n/libavogadro_ko.ts,
  i18n/libavogadro_nb.ts, i18n/libavogadro_nl.ts, i18n/libavogadro_pl.ts,
  i18n/libavogadro_pt.ts, i18n/libavogadro_pt_BR.ts, i18n/libavogadro_ru.ts,
  i18n/libavogadro_sk.ts, i18n/libavogadro_sv.ts, i18n/libavogadro_tr.ts,
  i18n/libavogadro_uk.ts, i18n/libavogadro_zh_CN.ts, i18n/libavogadro_zh_TW.ts,
  scripts/extract-application-messages.sh, scripts/extract-library-messages.sh:
  Updated translations for 0.9.5 from Launchpad.

  * libavogadro/src/openbabelwrapper.cpp: Fix strings for translation.

2009-05-31  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/vibrationextension.cpp: Fix bug PR#2781989 --
  changing the scale while the animation occurs works now.

2009-06-01  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/moleculefile.cpp, libavogadro/src/moleculefile.h,
  libavogadro/src/openbabelwrapper.cpp, libavogadro/tests/CMakeLists.txt,
  libavogadro/tests/moleculefiletest.cpp: Update OpenbabelWrapper &
  MoleculeFile + unit tests

2009-05-31  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/animation.cpp: Fixed "hiccup" with vibrations -- default
  timeline in Qt is nonlinear. (Bad for chemical animations!)

  * avogadro/src/mainwindow.cpp, libavogadro/src/color.cpp,
  libavogadro/src/color.h, libavogadro/src/colors/customcolor.cpp,
  libavogadro/src/colors/customcolor.h,
  libavogadro/src/colors/elementcolor.cpp,
  libavogadro/src/colors/elementcolor.h,
  libavogadro/src/engines/bsdyengine.cpp,
  libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/polygonengine.cpp,
  libavogadro/src/engines/simplewireengine.cpp,
  libavogadro/src/engines/sphereengine.cpp,
  libavogadro/src/engines/stickengine.cpp,
  libavogadro/src/engines/surfaceengine.cpp,
  libavogadro/src/engines/surfaceengine.h,
  libavogadro/src/engines/wireengine.cpp,
  libavogadro/src/extensions/povpainter.cpp, libavogadro/src/glpainter_p.cpp,
  libavogadro/src/python/color.cpp, libavogadro/src/tools/eyecandy.cpp: Revised
  syntax for Color class. No shadowed methods anymore.

  * avogadro/src/aboutdialog.cpp, avogadro/src/application.cpp,
  avogadro/src/main.cpp, avogadro/src/mainwindow.cpp,
  avogadro/src/updatecheck.cpp, .../src/extensions/insertfragmentdialog.cpp,
  .../src/extensions/insertpeptideextension.cpp,
  libavogadro/src/extensions/pythonterminal.cpp, libavogadro/src/global.cpp,
  libavogadro/src/global.h, libavogadro/src/pluginmanager.cpp,
  libavogadro/src/primitiveitemmodel.cpp: Krazy fixes (and comments for krazy
  ignore).

2009-05-30  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/CMakeLists.txt, avogadro/src/mainwindow.cpp,
  avogadro/src/mainwindow.h, avogadro/src/updatedialog.cpp: Few small clean
  ups, added the option to disable the update checker at compile time.

  * avogadro/src/CMakeLists.txt, avogadro/src/mainwindow.cpp,
  avogadro/src/mainwindow.h, avogadro/src/updatecheck.cpp,
  avogadro/src/updatecheck.h, avogadro/src/updatedialog.cpp,
  avogadro/src/updatedialog.h: Added a class to check for an updated Avogadro
  version.  This is the first pass at a tool to check for an updated version of
  Avogadro. Feedback would be appreciated. It checks a file on the web server,
  parses it and displays the release notes if the version is greater than that
  installed. It will only prompt once for any given version update, and should
  provide a link to our updates page.

2009-05-30  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/moleculefile.cpp, libavogadro/src/moleculefile.h,
  libavogadro/src/openbabelwrapper.cpp, libavogadro/src/openbabelwrapper.h,
  libavogadro/src/python/fileio.cpp,
  libavogadro/src/python/openbabelwrapper.cpp: Add support for error messages
  to OpenbabelWrapper and MoleculeFile

  * libavogadro/src/extensions/forcefieldextension.cpp,
  libavogadro/src/tools/autoopttool.cpp: Extract forces from OBMol to set
  Atom::forceVector() (AutoOptTool & ForceFieldExtension)

2009-05-29  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/tools/python/template.py, python/extensiontemplate.py,
  python/proteinextension.py, python/standalone.py, python/tooltemplate.py:
  Move the python tool template to an example folder. (Fixes #2795303, bug
  about "('paint(', <Avogadro.GLWidget object at 0x10adf30>, ')')")

  * libavogadro/src/protein.cpp, libavogadro/src/protein.h: Update
  documentation & remove some obsolete methods (were used by old cartoon
  engine)

  * libavogadro/src/residue.cpp: Trim the (PDB) atom ID returned by
  Residue::atomId(unsigned long) (trimmed in set function)

  * libavogadro/src/python/Avogadro.py, libavogadro/src/python/CMakeLists.txt,
  libavogadro/src/python/main.cpp: Rename Avogadro.[so/pyd] to
  _Avogadro.[so/pyd] and create Avogadro.py to ensure standalone scripts can
  load OB formats.

  * libavogadro/src/engines/hbondengine.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/neighborlist.cpp, libavogadro/src/neighborlist.h,
  libavogadro/src/protein.cpp, libavogadro/src/protein.h,
  libavogadro/src/python/neighborlist.cpp,
  libavogadro/tests/neighborlisttest.cpp: NeighborList: Add constructor taking
  QList<Atom*> HBondEngine: respect engine's primitives (draw H-bonds only to
  atoms in the engine's primitive list) Protein: Add some documentation
  OrbitalExtension: update for NeighborList changes

2009-05-29  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/pluginmanager.cpp: Don't sort extensions yet.

2009-05-29  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/CMakeLists.txt, libavogadro/src/boxcontrol.cpp,
  libavogadro/src/boxcontrol.h, libavogadro/src/glwidget.cpp,
  libavogadro/src/glwidget.h, libavogadro/src/line.cpp, libavogadro/src/line.h,
  libavogadro/src/point.cpp, libavogadro/src/point.h,
  libavogadro/src/python/glwidget.cpp: Remove BoxControl, Point & Line classes

2009-05-28  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, libavogadro/src/colors/customcolor.cpp: Save
  and read settings for colors.

  * libavogadro/src/extension.cpp, libavogadro/src/extension.h,
  libavogadro/src/pluginmanager.cpp: Add usefulness for extensions. Sort tools,
  extensions and colors before returning.

2009-05-28  Marcus D. Hanwell <marcus@cryos.org>

  * .../src/extensions/insertpeptideextension.cpp: Changed from AddAtom to
  InsertAtom - seems to fix weird Windows name mangling bug with the peptide
  builder.

  * .../src/extensions/insertpeptideextension.cpp: Ensure that the peptide
  builder fails gracefully when it cannot locate files.

2009-05-28  Geoff Hutchison <babel@geoffhutchison.net>

  * .../src/extensions/insertpeptideextension.cpp: Argh. Mac case-insensitive
  file system saved me from typo. "L" and "D" designations must be lower case!

  * .../src/extensions/insertpeptideextension.cpp: More defensive tests.

  * .../src/extensions/insertpeptideextension.cpp: Add some defensive tests to
  track down Linux segfaults.

  * libavogadro/src/molecule.cpp: When creating new OBMol, copy residues.

  * .../src/extensions/insertpeptideextension.cpp: Cleanup AddTerminus -- use a
  safety check and add a new bond.

2009-05-28  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt: Improvements to the build system on Windows - better
  compiler flags.  We should not globally set /MD as this prevents debug builds
  being made. We were also throwing away the default flags for release and
  debug builds. Adding /MP globally on MSVC as this speeds up builds.

2009-05-27  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/elementdetail_p.cpp, libavogadro/src/elementitem_p.cpp:
  Fixed include, got rid of etab instantiations.

2009-05-27  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/colors/CMakeLists.txt,
  libavogadro/src/colors/chargecolor.h, libavogadro/src/colors/customcolor.cpp,
  libavogadro/src/colors/customcolor.h, libavogadro/src/colors/distancecolor.h,
  libavogadro/src/colors/elementcolor.h, libavogadro/src/colors/indexcolor.h,
  libavogadro/src/colors/residuecolor.h: Added custom color plugin. This should
  be statically linked.

2009-05-27  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Added
  scaleLimits(PlotObject*) slot to plot widget. Automatically sets the limits
  of the plot based on the extremes of the passed PlotObject reference. The
  PlotObject can be omitted to look at all PlotObjects added to the widget.

2009-05-27  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/highlighter.cpp,
  libavogadro/src/extensions/highlighter.h,
  libavogadro/src/extensions/pythonterminal.cpp,
  libavogadro/src/extensions/pythonterminal.h,
  libavogadro/src/extensions/pythonterminalwidget.ui: Improve python terminal,
  now a single widget like a real terminal...

2009-05-27  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/animationextension.h,
  libavogadro/src/extensions/trajvideomaker.h: Few minor clean ups, looking for
  the source of Windows linking issues.

2009-05-27  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/CMakeLists.txt, libavogadro/src/cartoonmeshgenerator.cpp,
  libavogadro/src/cartoonmeshgenerator.h,
  libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/engines/cartoonengine.cpp,
  libavogadro/src/engines/cartoonmeshgenerator.cpp,
  libavogadro/src/engines/cartoonmeshgenerator.h: Move CartoonMeshGenerator
  ouside libavogadro's API

2009-05-27  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/insertpeptidedialog.ui,
  .../src/extensions/insertpeptideextension.cpp,
  .../src/extensions/insertpeptideextension.h: Add chain numbering, plus
  terminal modifications.

  * builder/amino/l-arg.zmat, builder/amino/l-ser.zmat: Fix bonding in ARG and
  SER residues.

2009-05-27  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/tests/CMakeLists.txt, libavogadro/tests/cartoonmeshbench.cpp:
  Remove CartoonMeshBench (obsolete)

2009-05-27  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/engines/labelengine.cpp,
  libavogadro/src/engines/labelsettingswidget.ui: Added element symbol + atom
  number for PR#2781947.

  * avogadro/src/mainwindow.cpp: Add shortcuts to Tool Settings and Display
  Settings buttons.

2009-05-27  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt: Added the /MP to parallelise the build at the object file
  level. Only use /MD for RELEASE - should make debug builds possible.

  * libavogadro/src/elementdetail_p.cpp, libavogadro/src/elementdetail_p.h,
  libavogadro/src/elementitem_p.cpp, libavogadro/src/elementitem_p.h,
  libavogadro/src/periodictablescene_p.cpp,
  libavogadro/src/periodictablescene_p.h,
  libavogadro/src/periodictableview.cpp, libavogadro/src/periodictableview.h:
  Separated private PeriodicTableView classes out into their own files.  Only
  the periodic table view class is exported, and so the rest did not belong in
  a public header. There are some issues with the global etab that should be
  looked at, but they are in private classes.

2009-05-27  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/insertpeptidedialog.ui: New layout for peptide
  builder

2009-05-26  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/povpainter.cpp,
  libavogadro/src/extensions/povpainter.h, libavogadro/src/glpainter_p.cpp,
  libavogadro/src/glpainter_p.h, libavogadro/src/painter.cpp,
  libavogadro/src/painter.h, libavogadro/src/python/painter.cpp: First pass at
  cleaning up the Painter API ready for 1.0.  I think most of the changes made
  are quite conservative. Made the API a little more consistent, removed the
  QObject as I do not see any need for this to be a QObject. Added a couple of
  placeholder functions.

2009-05-26  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/CMakeLists.txt: Fix the Mac installation -- create lproj
  translation directories based on .ts files.

2009-05-26  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/animation.h: Updated documentation.

  * .../src/extensions/insertfragmentextension.cpp: Fix "Insert SMILES..."
  command name

  * avogadro/src/mainwindow.cpp,
  libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/trajvideomaker.cpp,
  libavogadro/src/moleculefile.cpp, libavogadro/src/openbabelwrapper.cpp: Track
  down all remainin filenames needing QFile::encodeName.

  * avogadro/src/mainwindow.cpp, libavogadro/src/extensions/spectratype_ir.cpp,
  libavogadro/src/extensions/spectratype_nmr.cpp, libavogadro/src/glwidget.cpp,
  libavogadro/src/periodictableview.cpp,
  libavogadro/src/tools/clickmeasuretool.cpp: More localized numbers. This
  should be all of them.

2009-05-26  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/propmodel.cpp: Minor fix - scoping inside cases
  for local variable.

2009-05-25  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/engines/labelengine.cpp,
  libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/extensions/orbitaldialog.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/extensions/propmodel.cpp,
  libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.ui,
  libavogadro/src/primitiveitemmodel.cpp,
  libavogadro/src/tools/bondcentrictool.cpp: Better localizations of numbers.

2009-05-25  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectratabir.ui,
  libavogadro/src/extensions/spectratabnmr.ui,
  libavogadro/src/extensions/spectratype.cpp,
  libavogadro/src/extensions/spectratype.h,
  libavogadro/src/extensions/spectratype_ir.cpp,
  libavogadro/src/extensions/spectratype_ir.h,
  libavogadro/src/extensions/spectratype_nmr.cpp,
  libavogadro/src/extensions/spectratype_nmr.h: Separated out the different
  spectra types to make it easier to add more and reduce clutter.

2009-05-25  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/tools/clickmeasuretool.cpp: Fix PR#2781959. Use 3 decimal
  accuracy for distance display.

  * libavogadro/src/extensions/vibrationdialog.cpp: Fix PR# 2781590 and related
  bugs for good.

  * libavogadro/src/engine.cpp, libavogadro/src/engine.h,
  libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationextension.cpp: Fix PR#2728372. Sync force
  engine and display force vector in dialog.

  * libavogadro/src/extensions/vibrationdialog.ui: Fix bug PR#2728368. Replace
  cancel/ok buttons with "close"

  * libavogadro/src/extensions/vibrationdialog.cpp: Fix bug PR#2734399. Sort
  vibrations by frequencies.

  * libavogadro/src/extensions/propextension.cpp: Add sorting to the property
  tables via QSortFilterProxyModel

  * .../src/extensions/insertpeptideextension.cpp: Minor cleanups.

  * libavogadro/src/molecule.cpp: Add support for copying residue information.

  * CMakeLists.txt, libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/insertpeptidedialog.ui,
  .../src/extensions/insertpeptideextension.cpp,
  .../src/extensions/insertpeptideextension.h: Peptide builder, including
  fragments. Still needs end-group modification.

  * .../src/extensions/insertfragmentdialog.cpp: Fix install directory for
  fragments on Mac.

  * libavogadro/src/extensions/directorytreemodel.cpp: Add table header to
  translatable strings.

2009-05-24  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Moved spectra tabs to separate
  ui files.

  * libavogadro/src/plotobject.cpp, libavogadro/src/plotobject.h,
  libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Added
  PlotWidget::setPointFollowMouse(bool), which places a small blue dot on the
  point nearest the cursor.

  * libavogadro/src/plotwidget.h: Pass a const ref for the QList.

  * libavogadro/src/plotobject.h, libavogadro/src/plotwidget.cpp,
  libavogadro/src/plotwidget.h: Added some slots for selecting points  The
  following slots will draw or clear (or both!) yellow circles at indicated
  points:  selectPoint(PlotPoint*) Draw circle at indicated PlotPoint
  selectPoints(QList<PlotPoint*>) Draw a circle at each PlotPoint in the list 
  clearAndSelectPoints(PlotPoint*) Same as selectPoint(PlotPoint*), but clears
  the selection first. clearAndSelectPoint(QList<PlotPoint*>) Same as
  selectPoints(QList<PlotPoint*>), but clears the selection first. 
  clearSelection() Clears all selected points.

2009-05-24  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/engines/cartoonengine.cpp: Don;t generate meshes unless
  residues are present.

2009-05-23  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Fix some compiler warnings.

  * libavogadro/src/plotwidget.h: Added a useful tidbit about mouseovers and
  mousetracking to API

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Added a
  mouseover signal with the x, y coords in data units.

2009-05-23  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/CMakeLists.txt, libavogadro/src/cartoonmeshgenerator.cpp,
  libavogadro/src/cartoonmeshgenerator.h,
  libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/engines/cartoonengine.cpp,
  libavogadro/src/engines/cartoonengine.h,
  libavogadro/src/engines/cartoonsettingswidget.ui, libavogadro/src/mesh.h,
  libavogadro/tests/CMakeLists.txt, libavogadro/tests/cartoonmeshbench.cpp:
  CartoonMeshGenerator: put the mesh generating code in a thread, clean it up
  and fix a some performance problems. For some reason I was calling
  Mesh::setVertices (and setNormals/setColors) after generating mesh parts for
  each residue inside one of the inner loop functions. The mesh is now
  generated in a few msec.  CartoonEngine: Add settings dialog with shape &
  color settings.  Mesh: Add numVertices() & numNormals(), calling
  mesh->vertices.size() always copies the whole list right?  CartoonMeshBench:
  Add benchmark for generating protein meshes. (not really needed anymore
  though)

2009-05-23  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Added three
  new signals to PlotWidget to retrieve points from a left click. 
  pointClicked(double x, double y)	x and y coordinates of click in data units.
  pointClicked(QList<PlotPoint*> pl)	List of PlotPoints within 4 pixels of
  click. pointClicked(PlotPoint*)		PlotPoint nearest click. NULL if no points
  nearby.

2009-05-23  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/directorytreemodel.cpp,
  libavogadro/src/extensions/directorytreemodel.h,
  libavogadro/src/extensions/insertcommand.cpp,
  libavogadro/src/extensions/insertcommand.h,
  .../src/extensions/insertfragmentdialog.cpp,
  libavogadro/src/extensions/insertfragmentdialog.h,
  libavogadro/src/extensions/insertfragmentdialog.ui,
  .../src/extensions/insertfragmentextension.cpp,
  .../src/extensions/insertfragmentextension.h,
  libavogadro/src/tools/CMakeLists.txt,
  libavogadro/src/tools/directorytreemodel.cpp,
  libavogadro/src/tools/directorytreemodel.h,
  libavogadro/src/tools/drawtool.cpp, libavogadro/src/tools/drawtool.h,
  libavogadro/src/tools/insertfragmentdialog.cpp,
  libavogadro/src/tools/insertfragmentdialog.h,
  libavogadro/src/tools/insertfragmentdialog.ui: Move insert fragment into an
  extension (out of the draw tool).

2009-05-23  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mac/CompleteBundle.cmake.in: Add handling for Qt plugins
  including linking to the embedded Qt.  I am not sure we really want to
  include all the plugins, as this means that we basically include the whole of
  the Qt framework too. This makes the install size large for parts of Qt we
  are not using. For now I added handling for all plugins - I think we only use
  the image plugins right now. We can just more selectively install the plugins
  and this script will continue to work as plugins are removed from the bundle.

2009-05-22  David Lonie <loniedavid@gmail.com>

  * avogadro/src/mainwindow.cpp: Whitespace/indentation cleanup

  * avogadro/src/mainwindow.cpp: Proposed fix to keep multi-molecule checks --
  untested, I have no multi-molecule files here.

2009-05-22  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/propextension.cpp: Add selection for atoms and
  torsions. Fixes PR#2781961.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  libavogadro/src/extension.h: Add new signal for extensions with "delayed"
  undo commands (e.g., show a window) Should work well for property extension
  and others.

  * libavogadro/src/engines/cartoonengine.cpp: Don't create meshes for empty
  molecules. (Actually, we need a way to create a trial mesh, e.g. for a
  non-protein)

2009-05-22  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h: Small clean up of
  old classes no longer used/included.

2009-05-22  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/projecttreeeditor.qrc: Update QRC for project tree editor.

  * avogadro/src/back.png, avogadro/src/down.png, avogadro/src/forward.png,
  avogadro/src/icons/back.png, avogadro/src/icons/down.png,
  avogadro/src/icons/forward.png, avogadro/src/icons/minus.png,
  avogadro/src/icons/plus.png, avogadro/src/icons/up.png,
  avogadro/src/minus.png, avogadro/src/plus.png, avogadro/src/up.png: Moved
  icons for project tree editor to be internally consistent.

  * avogadro/src/flowlayout.cpp, avogadro/src/flowlayout.h,
  avogadro/src/icontabwidget.cpp, avogadro/src/icontabwidget.h,
  avogadro/src/mainwindow.cpp: Removed flow layout in icon widget.

  * CMakeLists.txt, avogadro/src/mac/CompleteBundle.cmake.in,
  avogadro/src/mac/CreateBundle.sh.in: Attemping to get Qt plugins working for
  the Mac relocatable package.

  * CMakeLists.txt: Make sure to install plugins in correct directory.

  * i18n/avogadro.pot, i18n/libavogadro.pot: Current PO templates for
  Launchpad.

  * libavogadro/src/engines/cartoonengine.cpp: Minor Eigen porting for zero
  vectors.

2009-05-22  David Lonie <loniedavid@gmail.com>

  * avogadro/src/mainwindow.cpp: Use OBConversion::ReadFile instead of Read(). 
  Certain formats such as VASP use multiple output files. OB needs to be able
  to know the absolute path to the files in order to read them all, and streams
  just don't cut it.

2009-05-21  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/CMakeLists.txt: Fixed header installation directory.

2009-05-20  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  libavogadro/src/extension.h,
  libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/extensions/gaussianextension.cpp,
  .../src/extensions/networkfetchextension.cpp: Added a new parameter to the
  Extension moleculeChanged signal.  This is still experimental, especially the
  naming of the enums. This allows the extension to specify how the new and old
  Molecule objects should be treated. So you can request a new window if the
  old molecule has been modified, prevent the old molecule from being deleted
  etc.

  * libavogadro/src/CMakeLists.txt, libavogadro/src/glhit.cpp,
  libavogadro/src/glhit.h, libavogadro/src/glwidget.cpp,
  libavogadro/src/glwidget.h: Moved GLHit to its own header/implementation.

2009-05-20  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/engines/cartoonengine.cpp: A few more minor Eigen fixes.

  * CMakeLists.txt: Copy Qt plugins and translations -- at least on Mac.

  * builder/amino/d-ala.zmat, builder/amino/d-arg.zmat,
  builder/amino/d-asn.zmat, builder/amino/d-asp.zmat, builder/amino/d-cys.zmat,
  builder/amino/d-gln.zmat, builder/amino/d-glu.zmat, builder/amino/d-his.zmat,
  builder/amino/d-ile.zmat, builder/amino/d-leu.zmat, builder/amino/d-lys.zmat,
  builder/amino/d-met.zmat, builder/amino/d-phe.zmat, builder/amino/d-pro.zmat,
  builder/amino/d-ser.zmat, builder/amino/d-thr.zmat, builder/amino/d-trp.zmat,
  builder/amino/d-tyr.zmat, builder/amino/d-val.zmat, builder/amino/gly.zmat,
  builder/amino/l-ala.zmat, builder/amino/l-arg.zmat, builder/amino/l-asn.zmat,
  builder/amino/l-asp.zmat, builder/amino/l-cys.zmat, builder/amino/l-gln.zmat,
  builder/amino/l-glu.zmat, builder/amino/l-his.zmat, builder/amino/l-ile.zmat,
  builder/amino/l-leu.zmat, builder/amino/l-lys.zmat, builder/amino/l-met.zmat,
  builder/amino/l-phe.zmat, builder/amino/l-pro.zmat, builder/amino/l-pyl.zmat,
  builder/amino/l-sec.zmat, builder/amino/l-ser.zmat, builder/amino/l-thr.zmat,
  builder/amino/l-trp.zmat, builder/amino/l-tyr.zmat, builder/amino/l-val.zmat:
  Rename builder files to lowercase.

  * builder/amino/D-Ala.zmat, builder/amino/D-Arg.zmat,
  builder/amino/D-Asn.zmat, builder/amino/D-Asp.zmat, builder/amino/D-Cys.zmat,
  builder/amino/D-Gln.zmat, builder/amino/D-Glu.zmat, builder/amino/D-His.zmat,
  builder/amino/D-Ile.zmat, builder/amino/D-Leu.zmat, builder/amino/D-Lys.zmat,
  builder/amino/D-Met.zmat, builder/amino/D-Phe.zmat, builder/amino/D-Pro.zmat,
  builder/amino/D-Ser.zmat, builder/amino/D-Thr.zmat, builder/amino/D-Trp.zmat,
  builder/amino/D-Tyr.zmat, builder/amino/D-Val.zmat, builder/amino/Gly.zmat,
  builder/amino/L-Ala.zmat, builder/amino/L-Arg.zmat, builder/amino/L-Asn.zmat,
  builder/amino/L-Asp.zmat, builder/amino/L-Cys.zmat, builder/amino/L-Gln.zmat,
  builder/amino/L-Glu.zmat, builder/amino/L-His.zmat, builder/amino/L-Ile.zmat,
  builder/amino/L-Leu.zmat, builder/amino/L-Lys.zmat, builder/amino/L-Met.zmat,
  builder/amino/L-Phe.zmat, builder/amino/L-Pro.zmat, builder/amino/L-Pyl.zmat,
  builder/amino/L-Sec.zmat, builder/amino/L-Ser.zmat, builder/amino/L-Thr.zmat,
  builder/amino/L-Trp.zmat, builder/amino/L-Tyr.zmat, builder/amino/L-Val.zmat:
  Renaming builder files to lowercase.

2009-05-20  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/navigatetool.cpp: Removed debug statement that is not
  needed.

  * libavogadro/src/tools/CMakeLists.txt,
  libavogadro/src/tools/navigatesettingswidget.ui,
  libavogadro/src/tools/navigatetool.cpp, libavogadro/src/tools/navigatetool.h:
  New navigate settings widget - first phase - make Noel happier ;-)  Added a
  new settings widget to allow control of whether the eye candy (visual cues)
  are displayed. This is a long requested feature from a few users and closes
  feature request 2349900.

  * libavogadro/src/engines/bsdyengine.cpp: Tidied up the signal/slot
  connections.

2009-05-20  David Lonie <loniedavid@gmail.com>

  * avogadro/src/mainwindow.cpp: Don't show recent files that aren't on the
  filesystem anymore.

2009-05-20  Geoff Hutchison <geoff@geoffhutchison.net>

  * builder/amino/D-Ala.zmat, builder/amino/D-Arg.zmat,
  builder/amino/D-Asn.zmat, builder/amino/D-Asp.zmat, builder/amino/D-Cys.zmat,
  builder/amino/D-Gln.zmat, builder/amino/D-Glu.zmat, builder/amino/D-His.zmat,
  builder/amino/D-Ile.zmat, builder/amino/D-Leu.zmat, builder/amino/D-Lys.zmat,
  builder/amino/D-Met.zmat, builder/amino/D-Phe.zmat, builder/amino/D-Pro.zmat,
  builder/amino/D-Ser.zmat, builder/amino/D-Thr.zmat, builder/amino/D-Trp.zmat,
  builder/amino/D-Tyr.zmat, builder/amino/D-Val.zmat, builder/amino/Gly.zmat,
  builder/amino/L-Ala.zmat, builder/amino/L-Arg.zmat, builder/amino/L-Asn.zmat,
  builder/amino/L-Asp.zmat, builder/amino/L-Cys.zmat, builder/amino/L-Gln.zmat,
  builder/amino/L-Glu.zmat, builder/amino/L-His.zmat, builder/amino/L-Ile.zmat,
  builder/amino/L-Leu.zmat, builder/amino/L-Lys.zmat, builder/amino/L-Met.zmat,
  builder/amino/L-Phe.zmat, builder/amino/L-Pro.zmat, builder/amino/L-Pyl.zmat,
  builder/amino/L-Sec.zmat, builder/amino/L-Ser.zmat, builder/amino/L-Thr.zmat,
  builder/amino/L-Trp.zmat, builder/amino/L-Tyr.zmat, builder/amino/L-Val.zmat:
  Amino acid builder files.

2009-05-19  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/engines/cartoonengine.cpp: Change renderQuick() to just
  render the mesh. Solves crash on common MacBooks. (I hate driver issues.)

  * libavogadro/src/engines/cartoonengine.cpp: Small fixes and some porting to
  Eigen.

2009-05-19  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/meshgenerator.cpp: Fixed bug introduced by krazy fixing -
  broken isosurfaces.  Commit 4678b8d53bab0e5104515276da0332fdb619dc74
  introduced a bug where isosurfaces were broken. Minor fix to bracket the
  difference between val1 and val2. We need more unit tests to catch problems
  like this - I will make it a priority!

2009-05-20  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/engines/cartoonengine.cpp: CartoonEngine: Smooth color
  transitions

2009-05-19  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/povpainter.cpp,
  libavogadro/src/tools/drawtool.cpp, libavogadro/src/tools/zmatrixtool.h: Fix
  some compile warnings.

  * libavogadro/tests/CMakeLists.txt, libavogadro/tests/modeltest.cpp,
  libavogadro/tests/modeltest.h, libavogadro/tests/primitivemodeltest.cpp: Add
  test for QAbstractItemModels. Currently doesn't link.

2009-05-19  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/zmatrixtool.h: Added comma to the tool macro -
  compiles correctly now.

  * libavogadro/src/engines/cartoonengine.cpp: Set the transparency of the
  ribbon correctly. Used by the POV-Painter.

2009-05-19  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/engines/cartoonengine.cpp,
  libavogadro/src/engines/cartoonengine.h, libavogadro/src/protein.cpp,
  libavogadro/src/protein.h: Improve protein rendering (ported cartoon-like
  mesh generation from Zodiac www.zeden.org).

2009-05-19  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/CMakeLists.txt, avogadro/src/main.cpp,
  avogadro/src/mainwindow.cpp, i18n/avogadro.pot, i18n/libavogadro.pot,
  libavogadro/src/CMakeLists.txt, libavogadro/src/boxcontrol.cpp,
  libavogadro/src/global.cpp, libavogadro/src/openbabelwrapper.cpp,
  scripts/create-translations.sh, scripts/extract-application-messages.sh,
  scripts/extract-library-messages.sh: More translation fixes.

  * libavogadro/src/extensions/animationdialog.cpp,
  libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/extensions/linmorphdialog.cpp,
  libavogadro/src/extensions/linmorphextension.cpp,
  libavogadro/src/extensions/mopacaux.cpp,
  libavogadro/src/extensions/propmodel.cpp: Krazy fixes.

  * i18n/avogadro_ar.ts, i18n/avogadro_bg.ts, i18n/avogadro_ca.ts,
  i18n/avogadro_cs.ts, i18n/avogadro_de.ts, i18n/avogadro_en_CA.ts,
  i18n/avogadro_en_GB.ts, i18n/avogadro_es.ts, i18n/avogadro_fi.ts,
  i18n/avogadro_fr.ts, i18n/avogadro_it.ts, i18n/avogadro_ja.ts,
  i18n/avogadro_ko.ts, i18n/avogadro_nb.ts, i18n/avogadro_nl.ts,
  i18n/avogadro_pl.ts, i18n/avogadro_pt.ts, i18n/avogadro_pt_BR.ts,
  i18n/avogadro_ru.ts, i18n/avogadro_sk.ts, i18n/avogadro_sv.ts,
  i18n/avogadro_tr.ts, i18n/avogadro_uk.ts, i18n/avogadro_zh_CN.ts,
  i18n/avogadro_zh_TW.ts, i18n/libavogadro.pot, i18n/libavogadro_ar.ts,
  i18n/libavogadro_bg.ts, i18n/libavogadro_ca.ts, i18n/libavogadro_cs.ts,
  i18n/libavogadro_de.ts, i18n/libavogadro_en_CA.ts, i18n/libavogadro_en_GB.ts,
  i18n/libavogadro_es.ts, i18n/libavogadro_fi.ts, i18n/libavogadro_fr.ts,
  i18n/libavogadro_it.ts, i18n/libavogadro_ja.ts, i18n/libavogadro_ko.ts,
  i18n/libavogadro_nb.ts, i18n/libavogadro_nl.ts, i18n/libavogadro_pl.ts,
  i18n/libavogadro_pt.ts, i18n/libavogadro_pt_BR.ts, i18n/libavogadro_ru.ts,
  i18n/libavogadro_sk.ts, i18n/libavogadro_sv.ts, i18n/libavogadro_tr.ts,
  i18n/libavogadro_uk.ts, i18n/libavogadro_zh_CN.ts, i18n/libavogadro_zh_TW.ts,
  scripts/extract-application-messages.sh, scripts/extract-library-messages.sh,
  scripts/extract-messages.sh: Split translations into libavogadro and avogadro
  templates.

  * libavogadro/src/animation.h, libavogadro/src/atom.h,
  libavogadro/src/bond.h, libavogadro/src/boxcontrol.h,
  libavogadro/src/camera.h, libavogadro/src/color.h,
  libavogadro/src/colorbutton.h, libavogadro/src/cube.h,
  libavogadro/src/global.h: Update some copyright lines based on automated
  copyright.py script from Carsten.

2009-05-19  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/savedialog.cpp: Added the QPointer includewq.

2009-05-19  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp,
  libavogadro/src/extensions/gamessextension.cpp,
  .../src/extensions/networkfetchextension.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/glwidget.cpp, libavogadro/src/primitiveitemmodel.cpp,
  libavogadro/src/pythontool_p.cpp, libavogadro/src/pythontool_p.h,
  libavogadro/src/tool.h, libavogadro/src/tools/aligntool.h,
  libavogadro/src/tools/autoopttool.h, libavogadro/src/tools/autorotatetool.h,
  libavogadro/src/tools/bondcentrictool.cpp,
  libavogadro/src/tools/bondcentrictool.h,
  libavogadro/src/tools/clickmeasuretool.cpp,
  libavogadro/src/tools/clickmeasuretool.h, libavogadro/src/tools/drawtool.h,
  libavogadro/src/tools/manipulatetool.h, libavogadro/src/tools/navigatetool.h,
  libavogadro/src/tools/selectrotatetool.h,
  libavogadro/src/tools/zmatrixtool.h: Translation fixes. Use QString::arg()
  more often, and add new Tool::settingsTitle() to improve context.

  * avogadro/src/main.cpp: Remove some debugging messages.

  * avogadro/src/main.cpp: When making an App bundle, make sure to reset the
  plugin search path

  * libavogadro/src/extensions/basisset.cpp,
  libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/extensions/gaussianfchk.cpp,
  libavogadro/src/extensions/molpro.cpp,
  libavogadro/src/extensions/molproinputdialog.cpp,
  libavogadro/src/extensions/mopacaux.cpp,
  libavogadro/src/extensions/mopacinputdialog.cpp,
  libavogadro/src/extensions/nwcheminputdialog.cpp,
  libavogadro/src/extensions/povpainter.cpp,
  libavogadro/src/extensions/povraydialog.cpp,
  libavogadro/src/extensions/povrayextension.cpp,
  libavogadro/src/extensions/qcheminputdialog.cpp,
  libavogadro/src/extensions/slaterset.cpp,
  libavogadro/src/extensions/wiitrackextension.cpp: Fix additional
  QString/QChar krazy warnings.

  * libavogadro/src/extensions/gaussianinputdialog.cpp,
  libavogadro/src/extensions/gaussianinputdialog.h,
  libavogadro/src/extensions/gaussianinputdialog.ui: Add support for running
  local g03 jobs.

2009-05-19  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/engines/bsdyengine.cpp,
  libavogadro/src/engines/labelengine.cpp,
  libavogadro/src/engines/ringengine.cpp,
  libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/gamessinputdialog.cpp,
  libavogadro/src/extensions/gaussianinputdialog.cpp,
  libavogadro/src/extensions/linmorphextension.cpp,
  libavogadro/src/extensions/molproinputdialog.cpp,
  libavogadro/src/extensions/mopacinputdialog.cpp,
  libavogadro/src/extensions/nwcheminputdialog.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/extensions/povrayextension.cpp,
  libavogadro/src/extensions/pythonterminal.cpp,
  libavogadro/src/extensions/qcheminputdialog.cpp,
  libavogadro/src/extensions/shaderextension.cpp,
  libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/trajvideomaker.cpp,
  libavogadro/src/plotobject.cpp, libavogadro/src/plotwidget.cpp,
  libavogadro/src/tools/zmatrixtool.cpp: More krazy & compile warnings fixes.

2009-05-18  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/gl2ps/TODO, avogadro/gl2ps/gl2ps.c, avogadro/gl2ps/gl2ps.h,
  avogadro/gl2ps/gl2ps.pdf, avogadro/gl2ps/gl2psTest.c,
  avogadro/gl2ps/gl2psTestSimple.c: Import of GL2PS 1.3.3 -- latest stable
  release.

  * avogadro/src/aboutdialog.cpp, avogadro/src/addenginedialog.cpp,
  avogadro/src/main.cpp, avogadro/src/mainwindow.cpp,
  avogadro/src/pluginsettings.h, avogadro/src/projectdelegates/labeldelegate.h,
  avogadro/src/projectdelegates/selectiondelegate.h,
  avogadro/src/projecttreeitem.h, avogadro/src/savedialog.cpp,
  libavogadro/src/engines/ringengine.cpp,
  libavogadro/src/extensions/animationextension.h,
  libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/extensions/gamesshighlighter.cpp,
  libavogadro/src/extensions/highlighter.cpp,
  libavogadro/src/extensions/linmorphextension.h,
  libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/shaderextension.cpp,
  libavogadro/src/moleculefile.cpp, libavogadro/src/openbabelwrapper.cpp,
  libavogadro/src/plotwidget.cpp, libavogadro/src/protein.cpp,
  libavogadro/src/pythonengine_p.h, libavogadro/src/pythonerror.h,
  libavogadro/src/pythonextension_p.h, libavogadro/src/pythontool_p.h,
  libavogadro/src/tools/drawcommand.h, libavogadro/src/tools/zmatrixdialog.h: A
  whole pile of Krazy fixes. Still a bunch of GCC warnings to clean up too.

2009-05-18  Marcus D. Hanwell <marcus@cryos.org>

  * scripts/runkrazy.rb: Change to text export as html export supoprt has been
  removed.

  * libavogadro/src/molecule.cpp: Fixed benchmark failure - double frees from
  clearConformers() when only one conformer.

  * libavogadro/src/extensions/propmodel.cpp: Fixes for Windows build - use the
  more portable numeric_limits functions to test for infinity.

  * libavogadro/src/tools/skeletontree.cpp,
  libavogadro/src/tools/skeletontree.h: Use const reference function arguments,
  rather than passing by value.

  * libavogadro/src/global.h: Fix the Windows build - the avogadro library
  target name changed.

2009-05-18  Geoff Hutchison <geoff@geoffhutchison.net>

  * AUTHORS: Sort in alphabetical order, add Michael.

2009-05-17  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Rename output option -- I prefer Michael's
  suggestion.

  * avogadro/src/mainwindow.cpp: Fix PR#2781992. Add *.out and *.log to
  File->Open dialog options.

  * AUTHORS: Added David's e-mail to AUTHORS list.

2009-05-17  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/pluginsettings.cpp: PluginSettings: remove the restart
  warning. All plugin types are now reloaded without restart. The dockwidgets
  do tend to change places, probably need to read more QSettings?

  * avogadro/src/engineitemmodel.cpp, avogadro/src/engineitemmodel.h,
  avogadro/src/enginelistview.cpp, avogadro/src/enginelistview.h,
  avogadro/src/mainwindow.cpp: Avogadro: connect the
  PluginManager::reloadPlugins() signal to the new GLWidget::reloadEngines()
  method and properly repopulate the EngineListView (EngineItemModel)

  * libavogadro/src/glwidget.h: forgot glwidget.h

  * libavogadro/src/glwidget.cpp: Add GLWidget::reloadEngines()

2009-05-17  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.ui: Check visibility
  of toolbars before fullscreen/normal mode. Added shortcut of escape key to
  Full Screen / normal mode.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.ui: Make sure tool
  settings and engine settings buttons are synced with visibility of the docks.

  * libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propextension.h,
  libavogadro/src/extensions/propmodel.h: Move most "properties" to the "View"
  menu -- hopefully it will be more intuitive to find them there.

  * libavogadro/src/glwidget.cpp: Fix compiler warning.

2009-05-17  Carsten Niehaus <cniehaus@kde.org>

  * AUTHORS: I prefere this address for OSS work

2009-05-17  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  avogadro/src/mainwindow.ui: More GUI changes. New toolbar adds QPushButtons
  to hide/show tool and display settings.

2009-05-16  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/glwidget.cpp: Added guards around the Python code - only
  include and use if Python supoprt enabled.

2009-05-16  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/fileio.cpp: forgot python/fileio.cpp (is
  openbabelwrapper now though)

  * libavogadro/src/python/pluginmanager.cpp: Add default method arguments for
  PluginManager's python wrapper.

  * libavogadro/src/toolgroup.cpp: Set the active tool in
  ToolGroup::append(Tool *tool).

  * libavogadro/src/glwidget.cpp, libavogadro/src/pythonengine_p.cpp,
  libavogadro/src/pythonerror.cpp, libavogadro/src/pythonerror.h,
  libavogadro/src/pythonextension_p.cpp, libavogadro/src/pythonthread_p.h,
  libavogadro/src/pythontool_p.cpp: Fix python Global Interpreter Lock (GIL)
  usage. (note: when running standalone python scripts, the Qt event loop seems
  to run in another thread which means we have to obtain the GIL. The
  pythonthread_p.h header contains a simple class which calls
  PyGILState_Ensure() in the constructor and PyStateGIL_Release in the
  destructor.

  * libavogadro/src/glwidget.cpp: GLWidget: remove some unneeded checks for
  d->molecule

2009-05-16  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.ui: Move the toolbar to the side and make it 16x16
  icons by default.

  * libavogadro/src/tools/drawtool.cpp: Fix bug with typing two-character
  elements.

2009-05-16  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/pythonengine_p.cpp, libavogadro/src/pythonengine_p.h,
  libavogadro/src/pythonextension_p.cpp, libavogadro/src/pythonextension_p.h,
  libavogadro/src/pythontool_p.cpp, libavogadro/src/pythontool_p.h: Remove d
  pointer from private classes (PythonTool, PythonExtension, PythonEngine).

2009-05-16  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/CMakeLists.txt: Use set rather than unset - maintain
  compatibility with CMake 2.6.2.

2009-05-16  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/mainwindow.cpp, libavogadro/src/python/glwidget.cpp,
  libavogadro/src/python/main.cpp, libavogadro/src/python/sip.cpp,
  libavogadro/src/python/std_vector.cpp, libavogadro/src/pythonengine_p.cpp,
  libavogadro/src/pythonerror.cpp, libavogadro/src/pythonerror.h,
  libavogadro/src/pythonextension_p.cpp, libavogadro/src/pythoninterpreter.cpp,
  libavogadro/src/pythontool_p.cpp: Some changes to the way python is
  initialized.

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Add
  Molecule::conformers() & fix for Molecule::clearConformers (set m_atomPos to
  m_atomConformers[0] after deleting all other conformers)

2009-05-16  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  avogadro/src/mainwindow.ui, avogadro/src/settingsdialog.cpp,
  avogadro/src/settingsdialog.ui, libavogadro/src/toolgroup.cpp: Move tools
  into a standard QToolBar with extra shortcuts (Ctrl+1, Ctrl+2, etc.) Still
  need to add buttons for toggling the toolSettings and displaySettings to the
  toolbar.

2009-05-16  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/glwidget.cpp: GLWidget: Add some checking before using
  d->molecule pointer. We don't want to segfault when a standalone python
  script calls show() on a glwidget before setting the molecule.

  * libavogadro/src/CMakeLists.txt, libavogadro/src/moleculefile.cpp,
  libavogadro/src/moleculefile.h, libavogadro/src/openbabelwrapper.cpp,
  libavogadro/src/openbabelwrapper.h: Add support for reading multiple
  molecules to OpenbabelWrapper. A file is read in a separate thread. By
  default, OpenbabelWrapper::readFile(...) waits for the thread to finish. It
  is also possible to connect to the returned object and a signal will be
  emitted when the file is read. (For reading large files +10000 molecules).
  Conformers are automatically detected which allows us to use any OBFormat
  with support for multiple molecules as conformer files.

  * libavogadro/src/animation.cpp, libavogadro/src/animation.h,
  libavogadro/src/extensions/animationdialog.cpp,
  libavogadro/src/extensions/animationdialog.h,
  libavogadro/src/extensions/animationdialog.ui,
  libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/animationextension.h,
  libavogadro/src/python/animation.cpp: Some improvements to the Animation
  class. Remove duplicated code from the animation extension and use Animation
  class. Also added optional "dynamic bonds" for animating QM reactions. TODO:
  add a plot widget to display the energy

2009-05-15  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/gaussianinputdialog.ui,
  libavogadro/src/extensions/orbitaldialog.ui: Fix warnings from duplicate
  horizontal spacer names. Addresses PR#2786502.

  * libavogadro/src/extensions/propextension.cpp: Fix compile warning.

  * libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propmodel.cpp,
  libavogadro/src/tools/bondcentrictool.cpp: Fix bugs with editing angle and
  torsion values. Now you can set them as you wish.

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/propmodel.cpp,
  libavogadro/src/tools/CMakeLists.txt,
  libavogadro/src/tools/bondcentrictool.cpp,
  libavogadro/src/tools/quaternion.cpp, libavogadro/src/tools/quaternion.h,
  libavogadro/src/tools/skeletontree.cpp, libavogadro/src/tools/skeletontree.h:
  Remove home-grown Quaternions from BondCentric tool and port to
  Eigen/Geometry classes. Much cleaner and appears to give a nice speed boost
  too.

  * libavogadro/src/animation.cpp, libavogadro/src/animation.h: Start on
  animation class documentation.

  * libavogadro/src/colorbutton.cpp,
  libavogadro/src/engines/orbitalsettingswidget.ui,
  libavogadro/src/engines/surfacesettingswidget.ui: Switch ColorButton to the
  Avogadro namespace.

2009-05-15  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/colorbutton.cpp, libavogadro/src/colorbutton.h,
  libavogadro/src/engines/orbitalsettingswidget.ui,
  libavogadro/src/engines/surfacesettingswidget.ui: Fixed to bring all the way
  into Avogadro namespace. Ported UI files.

2009-05-14  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/colorbutton.h, libavogadro/src/glwidget.h,
  libavogadro/src/line.h, libavogadro/src/neighborlist.h,
  libavogadro/src/plotaxis.h, libavogadro/src/plotobject.h,
  libavogadro/src/plotpoint.h, libavogadro/src/plotwidget.h,
  libavogadro/src/point.h, libavogadro/src/protein.h,
  libavogadro/src/pythoninterpreter.h, libavogadro/src/zmatrix.h: Documentation
  fixes.

  * CMakeLists.txt, avogadro/src/mac/CompleteBundle.cmake.in,
  avogadro/src/mac/CreateBundle.sh.in, libavogadro/src/CMakeLists.txt: Fixes
  for Cmake builds with Mac .app package.

2009-05-14  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/CMakeLists.txt,
  libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/openbabelwrapper.cpp, libavogadro/src/openbabelwrapper.h:
  Openbabel wrapper class to open and save files.  This class takes care of
  opening and saving files using Openbabel. It could use some finer grained
  error control possibly, it does take care of preserving UTF8 file names and
  allows for simple calls that can read and write molecule data files.

2009-05-14  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/projecttreemodel.cpp: Add real column headers.

  * avogadro/src/mainwindow.cpp, avogadro/src/mainwindow.h,
  avogadro/src/settingsdialog.cpp, avogadro/src/settingsdialog.ui: Remove
  "smooth animations option." Always use smooth animations, unless the system
  is large (> 1000 atoms). We can debate the "large" threshold, but why
  wouldn't we want some eyecandy?

  * avogadro/src/mainwindow.cpp: So much for Mac sheets -- QMessageBox has a
  bug which will close the window entirely.

2009-05-14  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/CMakeLists.txt, libavogadro/src/colors/chargecolor.cpp,
  libavogadro/src/colors/distancecolor.cpp,
  libavogadro/src/colors/elementcolor.cpp,
  libavogadro/src/colors/indexcolor.cpp,
  libavogadro/src/colors/residuecolor.cpp,
  libavogadro/src/engines/axesengine.cpp,
  libavogadro/src/engines/bsdyengine.cpp,
  libavogadro/src/engines/cartoonengine.cpp,
  libavogadro/src/engines/dipoleengine.cpp,
  libavogadro/src/engines/forceengine.cpp,
  libavogadro/src/engines/hbondengine.cpp,
  libavogadro/src/engines/labelengine.cpp,
  libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/overlayengine.cpp,
  libavogadro/src/engines/polygonengine.cpp,
  libavogadro/src/engines/ribbonengine.cpp,
  libavogadro/src/engines/ringengine.cpp,
  libavogadro/src/engines/simplewireengine.cpp,
  libavogadro/src/engines/sphereengine.cpp,
  libavogadro/src/engines/stickengine.cpp,
  libavogadro/src/engines/surfaceengine.cpp,
  libavogadro/src/engines/wireengine.cpp,
  libavogadro/src/extensions/animationdialog.cpp,
  libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/basisset.cpp,
  .../src/extensions/conformersearchdialog.cpp,
  libavogadro/src/extensions/constraintsdialog.cpp,
  libavogadro/src/extensions/constraintsmodel.cpp,
  libavogadro/src/extensions/fileimportextension.cpp,
  libavogadro/src/extensions/forcefielddialog.cpp,
  libavogadro/src/extensions/forcefieldextension.cpp,
  .../src/extensions/gamessefpmatchdialog.cpp,
  libavogadro/src/extensions/gamessextension.cpp,
  libavogadro/src/extensions/gamesshighlighter.cpp,
  libavogadro/src/extensions/gamessinputdialog.cpp,
  libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/gaussianinputdialog.cpp,
  libavogadro/src/extensions/h2methylextension.cpp,
  libavogadro/src/extensions/highlighter.cpp,
  libavogadro/src/extensions/hydrogensextension.cpp,
  libavogadro/src/extensions/liganddialog.cpp,
  libavogadro/src/extensions/linmorphdialog.cpp,
  libavogadro/src/extensions/linmorphextension.cpp,
  libavogadro/src/extensions/molproinputdialog.cpp,
  libavogadro/src/extensions/mopacinputdialog.cpp,
  .../src/extensions/networkfetchextension.cpp,
  libavogadro/src/extensions/nwcheminputdialog.cpp,
  libavogadro/src/extensions/orbitaldialog.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/extensions/pocketdialog.cpp,
  libavogadro/src/extensions/povraydialog.cpp,
  libavogadro/src/extensions/povrayextension.cpp,
  libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propmodel.cpp,
  libavogadro/src/extensions/pythonterminal.cpp,
  libavogadro/src/extensions/qcheminputdialog.cpp,
  libavogadro/src/extensions/selectextension.cpp,
  libavogadro/src/extensions/shaderextension.cpp,
  libavogadro/src/extensions/slaterset.cpp,
  libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectraextension.cpp,
  libavogadro/src/extensions/supercelldialog.cpp,
  libavogadro/src/extensions/supercellextension.cpp,
  libavogadro/src/extensions/templateextension.cpp,
  libavogadro/src/extensions/unitcellextension.cpp,
  libavogadro/src/extensions/unitcellparamdialog.cpp,
  libavogadro/src/extensions/vdwsurface.cpp,
  libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationextension.cpp,
  libavogadro/src/extensions/wiitrackextension.cpp,
  libavogadro/src/tools/CMakeLists.txt, libavogadro/src/tools/aligntool.cpp,
  libavogadro/src/tools/autoopttool.cpp,
  libavogadro/src/tools/autorotatetool.cpp,
  libavogadro/src/tools/bondcentrictool.cpp,
  libavogadro/src/tools/clickmeasuretool.cpp,
  libavogadro/src/tools/directorytreemodel.cpp,
  libavogadro/src/tools/drawcommand.cpp, libavogadro/src/tools/drawtool.cpp,
  libavogadro/src/tools/insertfragmentdialog.cpp,
  libavogadro/src/tools/manipulatetool.cpp,
  libavogadro/src/tools/navigatetool.cpp,
  libavogadro/src/tools/selectrotatetool.cpp,
  libavogadro/src/tools/skeletontree.cpp,
  libavogadro/src/tools/zmatrixdialog.cpp,
  libavogadro/src/tools/zmatrixmodel.cpp,
  libavogadro/src/tools/zmatrixtool.cpp: Migrated plugins to use qt4_wrap_cpp
  to generate MOC files.  All plugins, apart from the few static ones, now use
  qt4_wrap_cpp macro to generate moc files, these are then built and linked to
  the plugin rather than directly included. Some extra logic has been
  introduced into the avogadro_plugin function to deal with grc and ui files
  more gracefully too.

2009-05-14  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/engines/stickengine.cpp,
  libavogadro/src/engines/stickengine.h: Add a "slop" to make it easier to pick
  atoms.

2009-05-13  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/molpro.cpp, libavogadro/src/extensions/molpro.h:
  Patch from Michael Banck (PR#2786157) Update for the molpro molecular orbital
  code. Now can parse and display cc-pVDZ basis set based MOs. Cartesian basis
  sets still not implemented (but they are not default in MOLPRO anyway).

  * libavogadro/src/extensions/basisset.cpp: Patch from Michael Bank
  (PR#2786166). The attached patch tries to compensate for F-type orbitals -
  they are still not taken into account when calculating the electron density
  etc., but it tries to properly ignore them now.

  * avogadro/src/mainwindow.cpp: Add fine-grained control of the maybeSave()
  message box.

2009-05-13  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt: Only turn on all of the extra warnings for Debug builds. On
  Linux with GCC 4.3.3 this generates thousands of warnings, most of which are
  in library headers.

  * CMakeLists.txt, cmake/modules/AvogadroConfigVersion.cmake.in: Added
  versioning to the AvogadroConfig logic.  Now added versioning to the
  AvogadroConfig logic, see the documentation to find_package for more details.
  In CMakeLists.txt files simply add a line such as find_package(Avogadro 0.9.4
  REQUIRED) to only accept Avogadro versions greater than or equal to 0.9.4. As
  a side effect this will also stop Mac installed AvogadroConfig.cmake files
  from being used, if the config file has no accompanying version file is will
  be rejected when a version is requested.

2009-05-13  Marcus Hanwell <mhanwell@cobalt.chem.pitt.edu>

  * CMakeLists.txt: Install the AvogadroConfig.cmake file into the correct
  location in the bundle.

  * CMakeLists.txt, libavogadro/src/pluginmanager.cpp: Mac changes, default to
  installing in /Applications/Avogadro.app, load plugins relative to location
  only.

  * CMakeLists.txt, avogadro/src/CMakeLists.txt: Added a new option to make
  packages, initially just affects the make install for Mac.

2009-05-13  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/propmodel.cpp: Edit angles and torsions. My math
  is still off, but it does work.

2009-05-13  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/glwidget.cpp: Fixed bug 2791188 - the display lists should
  be invalidated when the molecule changes.

  * avogadro/src/CMakeLists.txt, libavogadro/src/CMakeLists.txt,
  libavogadro/src/colors/CMakeLists.txt,
  libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/python/CMakeLists.txt, libavogadro/src/tools/CMakeLists.txt,
  libavogadro/tests/CMakeLists.txt: Improved the handling of library
  dependencies for Avogadro.  Renamed the avogadro-lib target to avogadro, this
  allows CMake to automatically assemble the library dependencies for the
  Avogadro library. This fixes link issues seen on the Mac.

  * libavogadro/src/pluginmanager.cpp: Fixed unintended leakage of Mac plugin
  searching on other platforms.

2009-05-13  Marcus Hanwell <mhanwell@cobalt.chem.pitt.edu>

  * CMakeLists.txt, avogadro/src/CMakeLists.txt,
  avogadro/src/mac/CompleteBundle.cmake.in,
  avogadro/src/mac/CreateBundle.sh.in, avogadro/src/main.cpp,
  cmake/modules/AvoCPack.cmake, cmake/modules/AvoCPackOptions.cmake.in,
  libavogadro/src/CMakeLists.txt, libavogadro/src/pluginmanager.cpp:
  Relocatable Apple Mac package as part of a super project.  This is the first
  merge of work I have been doing to make a relocatable Mac application bundle
  with all libraries included. Currently this works if you run make install, I
  have been using Avogadro0.9.app as that can be installed in parallel to the
  default Avogadro.app directory. Initial testing looks pretty good, but some
  more work is needed to automate the actual building of a package.

2009-05-13  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propmodel.cpp: General appearance and code cleanup
  of properties tables.

2009-05-13  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/CMakeLists.txt: Fixed for new private class names of python
  classes, simplified logic a little.

2009-05-12  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/propmodel.cpp,
  libavogadro/src/extensions/propmodel.h: First pass at editing bond, angle,
  and dihedral properties. Changing bond length now works.

2009-05-12  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/animation.cpp, libavogadro/src/python/atom.cpp,
  libavogadro/src/python/bond.cpp, libavogadro/src/python/camera.cpp,
  libavogadro/src/python/color.cpp, libavogadro/src/python/cube.cpp,
  libavogadro/src/python/elementtranslator.cpp,
  libavogadro/src/python/engine.cpp, libavogadro/src/python/extension.cpp,
  libavogadro/src/python/fragment.cpp,
  libavogadro/src/python/glgraphicsview.cpp,
  libavogadro/src/python/glwidget.cpp, libavogadro/src/python/main.cpp,
  libavogadro/src/python/mesh.cpp, libavogadro/src/python/meshgenerator.cpp,
  libavogadro/src/python/molecule.cpp, libavogadro/src/python/navigate.cpp,
  libavogadro/src/python/neighborlist.cpp,
  libavogadro/src/python/periodictableview.cpp,
  libavogadro/src/python/plugin.cpp, libavogadro/src/python/pluginmanager.cpp,
  libavogadro/src/python/primitive.cpp,
  libavogadro/src/python/primitivelist.cpp, libavogadro/src/python/residue.cpp,
  libavogadro/src/python/std_vector.cpp, libavogadro/src/python/tool.cpp,
  libavogadro/src/python/toolgroup.cpp,
  libavogadro/src/python/unittest/mesh.py: Update python bindings for recent
  changes

  * libavogadro/src/molecule.cpp: libavogadro/src/molecule.cpp: Implement
  addCube(id), addMesh(id), addRing(id), addResidue(id)

2009-05-12  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/drawcommand.cpp: Missed one of the -1 calls - now
  FALSE_ID.

2009-05-12  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/cube.cpp, libavogadro/src/engines/hbondengine.cpp,
  libavogadro/src/engines/hbondengine.h, libavogadro/src/meshgenerator.cpp,
  libavogadro/src/navigate.cpp, libavogadro/src/neighborlist.cpp,
  libavogadro/src/neighborlist.h: Fix a variety of minor compiler errors.

  * libavogadro/src/extensions/supercellextension.cpp: Fix fillUnitCell based
  on sync with Open Babel 2.2.x.

2009-05-12  Marcus D. Hanwell <marcus@cryos.org>

  * cmake/modules/AvogadroConfig.cmake.in: The plugin directory already has the
  install prefix - fixed properly now.

  * libavogadro/src/atom.cpp, libavogadro/src/primitive.h,
  libavogadro/src/residue.cpp, libavogadro/src/tools/bondcentrictool.cpp,
  libavogadro/src/tools/drawcommand.cpp: Use templated C++ function to find max
  unsigned long value.

  * libavogadro/src/tools/zmatrixmodel.cpp: Some fixes for z-matrix logic.

2009-05-12  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Also handle centering on selections without
  smooth translations.

  * libavogadro/src/bond.cpp: Fix initialization warnings for bond id.

2009-05-12  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/propmodel.cpp: Notes to allow editing bond
  lengths, atoms, and dihedrals by editing the table.

  * libavogadro/src/extensions/propextension.cpp: Add window titles to all
  property windows.

  * avogadro/src/mainwindow.cpp: Add back Control-Backspace as shortcut for
  clear()

  * avogadro/src/mainwindow.cpp: centerView() will now center based on a
  selection

  * libavogadro/src/tools/drawtool.cpp, libavogadro/src/tools/drawtool.h: Added
  a timer-based key handler. Now accepts multi-character element symbols.

  * libavogadro/src/tools/drawtool.cpp, libavogadro/src/tools/drawtool.h:
  Handle one-character elements. You can now type "c" or "o" to switch to
  carbon and oxygen.

  * avogadro/src/mainwindow.ui: Switch to only using backspace/delete for
  Clear. On Mac, 2 shortcuts doesn't seem to work and presents a strange menu
  item "Clear (****)"

  * libavogadro/src/glwidget.cpp: Fix typo in comment.

2009-05-11  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/colorbutton.cpp, libavogadro/src/colorbutton.h,
  libavogadro/src/periodictableview.cpp, libavogadro/src/periodictableview.h:
  Add simple QWidget::event handlers for future expansion, as suggested by Qt
  coding conventions: http://qt.gitorious.org/qt/pages/CodingConventions

  * avogadro/src/engineitemmodel.cpp, avogadro/src/mainwindow.cpp,
  avogadro/src/pluginsettings.cpp, avogadro/src/settingsdialog.cpp,
  libavogadro/src/colors/distancecolor.cpp,
  libavogadro/src/colors/indexcolor.cpp, libavogadro/src/toolgroup.cpp: Don't
  use dynamic casts unless necessary. Even on Mac, qobject_cast works great.

  * libavogadro/src/atom.cpp, libavogadro/src/primitive.h,
  libavogadro/src/tools/bondcentrictool.cpp,
  libavogadro/src/tools/drawcommand.cpp: Fix use of -1 with unsigned int/long.
  Instead use UINT_MAX or ULONG_MAX.

  * CMakeLists.txt: Add a few warnings suggested by Qt coding conventions:
  http://qt.gitorious.org/qt/pages/CodingConventions

2009-05-10  marcus <marcus@eeepc.(none)>

  * libavogadro/src/molecule.h: Corrected a typo in the doxygen comments.

  * libavogadro/src/cylinder.cpp, libavogadro/src/cylinder.h,
  libavogadro/src/cylinder_p.cpp, libavogadro/src/cylinder_p.h,
  libavogadro/src/glpainter.cpp, libavogadro/src/glpainter.h,
  libavogadro/src/glpainter_p.cpp, libavogadro/src/glpainter_p.h,
  libavogadro/src/glwidget.cpp, libavogadro/src/pluginmanager.cpp,
  libavogadro/src/pythonengine.cpp, libavogadro/src/pythonengine.h,
  libavogadro/src/pythonengine_p.cpp, libavogadro/src/pythonengine_p.h,
  libavogadro/src/pythonextension.cpp, libavogadro/src/pythonextension.h,
  libavogadro/src/pythonextension_p.cpp, libavogadro/src/pythonextension_p.h,
  libavogadro/src/pythontool.cpp, libavogadro/src/pythontool.h,
  libavogadro/src/pythontool_p.cpp, libavogadro/src/pythontool_p.h,
  libavogadro/src/sphere.cpp, libavogadro/src/sphere.h,
  libavogadro/src/sphere_p.cpp, libavogadro/src/sphere_p.h,
  libavogadro/src/textrenderer.cpp, libavogadro/src/textrenderer.h,
  libavogadro/src/textrenderer_p.cpp, libavogadro/src/textrenderer_p.h: Moved
  private headers to classname_p.h header flies.  All private headers should be
  placed in a classname_p.h style file name in order to make it clear that
  these are private classes not exposed in our API. Private classes do not need
  d-pointers etc as their symbols are not exported and no external programs
  should be referencing them.

  * libavogadro/src/CMakeLists.txt: Removed duplicate addition of pythonerror.h
  to the header list.

2009-05-08  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * avogadro/src/pluginsettings.cpp, libavogadro/src/pythonengine.cpp,
  libavogadro/src/pythonextension.cpp, libavogadro/src/pythonscript.cpp,
  libavogadro/src/pythonscript.h, libavogadro/src/pythontool.cpp:
  libavogadro/src/pythonscript.*: Add identifier method. Use the Sha1 of
  script's content as identifier. (Fixes: 
  libavogadro/src/python[tool,engine,extension].cpp: Use the new
  PythonScript::identifier() method.

2009-05-08  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.ui: Openbabel uses km/mol for
  intensities, not a.u. -- thanks azeem.

2009-05-07  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/navigatetool.cpp: Added vi style hjkl keyboard
  navigation in addition to the arrow keys - thanks to Michael Banck for the
  suggestion.

2009-05-07  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/python/swig.cpp: libavogadro/src/python/swig.cpp: Fix
  delete void pointer warning.

2009-05-07  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/tools/navigatetool.cpp: Fix arrow key navigation on Mac
  without modifiers. (Qt thinks these are part of the keypad!?)

  * i18n/avogadro.pot: Update POT for latest changes. Will hopefully let me
  finally sync GB translation on Launchpad.

2009-05-07  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/gamesshighlighter.cpp,
  libavogadro/src/extensions/gamesshighlighter.h: Added some more logic to the
  syntax highlighting, experimenting with the rules.

  * .../src/extensions/networkfetchextension.cpp,
  libavogadro/src/extensions/networkfetchextension.h: Added function to fetch a
  file from any URL.

2009-05-07  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Fixed segfault

2009-05-06  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Minor cleanups

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Added support for loading
  calculated spectra that may not be included in molecule, e.g. PWSCF output. 
  PWSCF output does not contain geometries, and a user requested the ability to
  load the IR data that it outputs.

  * libavogadro/src/extensions/spectradialog.cpp: Code cleanup

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui: Peak labeling for NMR

  * libavogadro/src/extensions/gaussianextension.h: Fix compiler warning.

2009-05-06  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/elementtranslator.cpp: Finish QOBJECT macro/moc changes.

2009-05-05  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Added gaussian widths to NMR
  spectra.

2009-05-05  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/tests/CMakeLists.txt: Fix test building now the header layout
  has changed.

2009-05-05  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Cleaned up whitespace.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Cleaned up signals and added a
  reference offset to NMR plots.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/vibrationdialog.cpp: Allow inspection of
  vibrational frequencies when there are no intensities.  Spectra extension
  uses an arbitrary intensity and warns the user, vibration extension uses "-"
  in place of the intensity on the table.

2009-05-04  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Added inital support for
  visualizing NMR data stored as "NMR Isotropic Shift" per OBAtom.

2009-05-04  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro.pot, libavogadro/src/elementtranslator.h: Update
  translations.

  * cmake/modules/PythonDeps.cmake: Update for Boost 1.39 release.

2009-05-04  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engine.cpp, libavogadro/src/engine.h,
  libavogadro/src/glwidget.cpp: Fixed the engine list view when plugins are
  removed.  This fixes the case where an engine plugin is removed and the names
  got messed up. It still does not handle the case where new engine plugins are
  added but not added automatically.

  * cmake/modules/AvogadroConfig.cmake.in: Fixed paths after variable name
  change, fixes bug 2786607.

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/gamesshighlighter.cpp,
  libavogadro/src/extensions/gamesshighlighter.h,
  libavogadro/src/extensions/gamessinputdialog.cpp,
  libavogadro/src/extensions/gamessinputdialog.h: Initial support for syntax
  highlighting in GAMESS input generator.  This is still quite early stage, and
  needs many more rules. It already demonstrates the basic concepts after
  talking to Albert DeFusco about GAMESS syntax highlighting and some of the
  work he has done with vim.

2009-05-03  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/nwcheminputdialog.cpp: NWChem input dialog now
  reads from OB data for multipliciticy.

2009-05-02  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/pythonterminal.h, scripts/cmake-msvc2008.bat:
  libavogadro/src/extensions/pythonterminal.h: fix header issue.

2009-05-02  Marcus D. Hanwell <marcus@cryos.org>

  * cmake/modules/AvoCPack.cmake: Forgot to update this version number...

  * CMakeLists.txt, Doxyfile, avogadro/CMakeLists.txt,
  avogadro/src/config.h.in, libavogadro/CMakeLists.txt,
  libavogadro/src/CMakeLists.txt, libavogadro/src/config.h.in: Bumped the
  version number to 0.9.4 in preparation for tagging.  Centralised the version
  numbering - only needs changing in TWO places now!

  * CMakeLists.txt, avogadro/src/CMakeLists.txt: Added an option to use RPath
  at install tiem. Can cause issues on some distros if installed in /usr.

2009-05-02  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp: Fixed compile error introduced in previous
  merge

2009-05-02  Marcus D. Hanwell <marcus@cryos.org>

  * .../src/extensions/networkfetchextension.cpp: Few small fixes to the new
  PDB download extension.

2009-05-01  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotaxis.cpp, libavogadro/src/plotaxis.h,
  libavogadro/src/plotobject.cpp, libavogadro/src/plotobject.h,
  libavogadro/src/plotpoint.h, libavogadro/src/plotwidget.cpp,
  libavogadro/src/plotwidget.h: Cleaned up whitespace with QtCreator.

2009-05-01  Geoff Hutchison <babel@geoffhutchison.net>

  * i18n/avogadro.pot: Updated after merging changes from Tim and Cryos.

  * i18n/avogadro.pot: Updated translations for 0.9.4.

  * avogadro/src/mainwindow.ui: Added "delete" as an additional shortcut for
  clear.

2009-05-01  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/mainwindow.cpp: Attempt to fix bug 2783747, unable to test
  adequately here as my filesystem is not currently UTF8 aware. It certainly
  still loads all other files and the Qt docs suggest this is the correct way
  to load UTF filenames using STL functions.

2009-05-01  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/CMakeLists.txt, libavogadro/src/pythonengine.cpp,
  libavogadro/src/pythonengine.h, libavogadro/src/pythonextension.cpp,
  libavogadro/src/pythonextension.h, libavogadro/src/pythonscript.cpp,
  libavogadro/src/pythonscript.h, libavogadro/src/pythontool.cpp,
  libavogadro/src/pythontool.h: Some changes to python includes to compile with
  cryos' recent changes

  * libavogadro/src/python/engine.cpp, libavogadro/src/python/molecule.cpp,
  libavogadro/src/python/pluginmanager.cpp, libavogadro/src/python/tool.cpp,
  libavogadro/src/python/toolgroup.cpp,
  libavogadro/src/python/unittest/engine.py,
  libavogadro/src/python/unittest/glwidget.py,
  libavogadro/src/python/unittest/toolgroup.py: Some updates to the python
  bindings and python unit tests. All tests should pass again.

  * scripts/cmake-msvc2008.bat, scripts/cmake-vs2005.bat: Rename
  scripts/cmake-vs2005.bat to scripts/cmake-msvc2008.bat

  * cmake/modules/AvoCPack.cmake, cmake/modules/FindNumpy.cmake,
  libavogadro/src/python/CMakeLists.txt, scripts/cmake-vs2005.bat:
  cmake/modules/AvoCPack.cmake: Changes to correctly include all python stuff 
  cmake/modules/FindNumpy.cmake: Small bug fix, wasen't working here 
  libavogadro/src/python/CMakeLists.txt: Set library SUFFIX property to ".pyd"
  on WIN32  scripts/cmake-vs2005.bat: update for python & GLSL support

2009-04-30  Geoff Hutchison <babel@geoffhutchison.net>

  * avogadro/src/CMakeLists.txt: Updated to get Mac icons back. Still needs to
  be updated to handle app packages.

2009-04-30  Michael Banck <michael.banck@ch.tum.de>

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/gaussianextension.h,
  libavogadro/src/extensions/molproinputdialog.cpp,
  libavogadro/src/extensions/molproinputdialog.h,
  libavogadro/src/extensions/molproinputdialog.ui: New Molpro input file
  generator.

2009-04-29  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/CMakeLists.txt, libavogadro/src/extensions/CMakeLists.txt,
  .../src/extensions/networkfetchextension.cpp,
  libavogadro/src/extensions/networkfetchextension.h: First network aware
  extension - direct PDB downloads.  This is the first network aware extension.
  I added QtNetwork to the Avogadro library as I think we will want to use the
  network more and more in the future. This extension is a very simple proof of
  concept - it attempts to download the named PDB from the PDB site.

  * libavogadro/src/extensions/molpro.cpp: Quick fix to Molpro parsing, as
  requested by Michael Banck.

  * libavogadro/src/CMakeLists.txt: On second thoughts, symlink on UNIX
  platforms and copy when not supported (Windows).

  * libavogadro/src/glwidget.h: Changed include order - Windows needs the
  NOMINMAX definition before any other includes.

  * avogadro/src/CMakeLists.txt, libavogadro/include/avogadro/animation.h,
  libavogadro/include/avogadro/atom.h, libavogadro/include/avogadro/bond.h,
  libavogadro/include/avogadro/boost.h,
  libavogadro/include/avogadro/boxcontrol.h,
  libavogadro/include/avogadro/camera.h, libavogadro/include/avogadro/color.h,
  libavogadro/include/avogadro/colorbutton.h,
  libavogadro/include/avogadro/cube.h, libavogadro/include/avogadro/cylinder.h,
  libavogadro/include/avogadro/elementtranslator.h,
  libavogadro/include/avogadro/engine.h,
  libavogadro/include/avogadro/extension.h,
  libavogadro/include/avogadro/filetreeitem.h,
  libavogadro/include/avogadro/fragment.h,
  libavogadro/include/avogadro/glgraphicsview.h,
  libavogadro/include/avogadro/global.h,
  libavogadro/include/avogadro/glpainter.h,
  libavogadro/include/avogadro/glwidget.h,
  libavogadro/include/avogadro/idlist.h, libavogadro/include/avogadro/line.h,
  libavogadro/include/avogadro/mesh.h,
  libavogadro/include/avogadro/meshgenerator.h,
  libavogadro/include/avogadro/molecule.h,
  libavogadro/include/avogadro/moleculetreeview.h,
  libavogadro/include/avogadro/navigate.h,
  libavogadro/include/avogadro/neighborlist.h,
  libavogadro/include/avogadro/painter.h,
  libavogadro/include/avogadro/painterdevice.h,
  libavogadro/include/avogadro/periodictableview.h,
  libavogadro/include/avogadro/plotaxis.h,
  libavogadro/include/avogadro/plotobject.h,
  libavogadro/include/avogadro/plotpoint.h,
  libavogadro/include/avogadro/plotwidget.h,
  libavogadro/include/avogadro/plugin.h,
  libavogadro/include/avogadro/pluginmanager.h,
  libavogadro/include/avogadro/point.h,
  libavogadro/include/avogadro/povpainter.h,
  libavogadro/include/avogadro/primitive.h,
  libavogadro/include/avogadro/primitiveitemmodel.h,
  libavogadro/include/avogadro/primitivelist.h,
  libavogadro/include/avogadro/protein.h,
  libavogadro/include/avogadro/pythonerror.h,
  libavogadro/include/avogadro/pythoninterpreter.h,
  libavogadro/include/avogadro/pythonscript.h,
  libavogadro/include/avogadro/residue.h,
  libavogadro/include/avogadro/sphere.h,
  libavogadro/include/avogadro/textrenderer.h,
  libavogadro/include/avogadro/tool.h,
  libavogadro/include/avogadro/toolgroup.h,
  libavogadro/include/avogadro/undosequence.h,
  libavogadro/include/avogadro/zmatrix.h, libavogadro/src/CMakeLists.txt,
  libavogadro/src/glwidget.cpp, libavogadro/src/protein.cpp: Use CMake to
  generate the include directory at build time.  This is all part of my evil
  plan to have CMake do all the mundane tasks so that you have no excuse but to
  implement cool new features. The Avogadro headers are now copied at CMake
  time into the build directory, this is used to build against and those same
  headers are installed.

  * cmake/modules/CTestCustom.cmake.in: Removed first part of the path - should
  suppress eigen.cpp warnings now.

2009-04-28  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/h2methylextension.cpp,
  libavogadro/src/plotwidget.cpp: Added an extra include that is needed for
  Open Babel 2.2.1.

  * avogadro/src/engineitemmodel.cpp, libavogadro/src/boxcontrol.cpp,
  libavogadro/src/boxcontrol.h, libavogadro/src/color.h,
  libavogadro/src/engines/ringengine.cpp,
  libavogadro/src/engines/wireengine.cpp,
  libavogadro/src/extensions/forcefieldextension.cpp,
  libavogadro/src/extensions/gamessextension.cpp,
  libavogadro/src/extensions/gamessinputdialog.cpp,
  libavogadro/src/extensions/gaussianinputdialog.cpp,
  libavogadro/src/extensions/h2methylextension.cpp,
  libavogadro/src/extensions/h2methylextension.h,
  libavogadro/src/extensions/mopacinputdialog.cpp,
  libavogadro/src/extensions/orbitaldialog.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/extensions/povpainter.cpp,
  libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/selectextension.cpp,
  libavogadro/src/extensions/shaderextension.cpp,
  libavogadro/src/extensions/vdwsurface.cpp,
  libavogadro/src/extensions/vibrationextension.cpp,
  libavogadro/src/glpainter.cpp, libavogadro/src/glwidget.cpp,
  libavogadro/src/glwidget.h, libavogadro/src/molecule.cpp,
  libavogadro/src/python/glwidget.cpp, libavogadro/src/pythontool.cpp,
  libavogadro/src/pythontool.h, libavogadro/src/textrenderer.cpp,
  libavogadro/src/tool.cpp, libavogadro/src/tools/aligntool.cpp,
  libavogadro/src/tools/autoopttool.cpp,
  libavogadro/src/tools/bondcentrictool.cpp,
  libavogadro/src/tools/clickmeasuretool.cpp,
  libavogadro/src/tools/eyecandy.cpp, libavogadro/src/tools/eyecandy.h,
  libavogadro/src/tools/manipulatetool.cpp,
  libavogadro/src/tools/selectrotatetool.cpp,
  libavogadro/src/tools/zmatrixdialog.cpp,
  libavogadro/src/tools/zmatrixdialog.h,
  libavogadro/src/tools/zmatrixdialog.ui,
  libavogadro/src/tools/zmatrixtool.cpp, libavogadro/src/tools/zmatrixtool.h:
  Removed several includes from glwidget.h, less global includes.

  * libavogadro/tests/moleculebench.cpp: Added a few more benchmarks examining
  the Molecule destructor behaviour.

  * CMakeLists.txt, cmake/modules/CTestCustom.cmake.in: GCC flags tweaked and
  CTestCustom.cmake added for CDash submission  I removed -Wundef from the GCC
  flags for now, too many warnings from the Boost headers are generated to be
  useful. I also added a CTestCustomConfig.cmake.in to ignore some warnings on
  Windows and for eigen.cpp which has a massive number of warnings (this should
  be looked at separately).

  * libavogadro/src/molecule.cpp: A few fixes to the molecule class after
  benchmarking and testing.

  * libavogadro/tests/CMakeLists.txt, libavogadro/tests/moleculebench.cpp:
  Added some initial Molecule benchmarking code.

  * libavogadro/tests/moleculetest.cpp: Added a few more tests for the Molecule
  class.

2009-04-27  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/zmatrixmodel.cpp: Fixed it up - less crashes. Still
  needs more work to get it ready.

  * libavogadro/src/molecule.cpp: Reduced number of loops in ComputeGeomInfo,
  tidied up the code a little.

2009-04-25  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp: Fixed bug in plotwidget.* where the widget
  redrew itself continuously.  Apparently the QLabels can't have the plotwidget
  as their parent.

2009-04-24  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Made file formats in image
  export a bit easier to read.

2009-04-24  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, cmake/modules/AvogadroConfig.cmake.in,
  libavogadro/src/CMakeLists.txt, libavogadro/src/colors/CMakeLists.txt,
  libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/tools/CMakeLists.txt: Modifications to build system to allow
  including in a super project.

2009-04-24  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Quite trivial.  Small typo in
  comment.

2009-04-23  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Major code changes to
  spectradialog.*  * Added many more comments * Organized functions a bit more
  logically * Separated out and identified all spectra-specific var, functions,
  etc * Rewrote import function to be much smaller.

2009-04-23  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/pluginmanager.cpp, libavogadro/src/pluginmanager.h: Update
  to prevent Python breakage. Use an overloaded parameter for loadFactories().

2009-04-23  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, cmake/modules/AvogadroConfig.cmake.in,
  cmake/modules/AvogadroUse.cmake: Install an AvogadroConfig.cmake file and
  supporting files.  Changes to install an AvogadroConfig.cmake file, along
  with several supporting files. This negates the need for a FindAvogadro.cmake
  file and also introduces an AvogadroUse.cmake file which makes building
  against the installed Avogadro library much simpler. Supporting example
  project will be added to GitHub shortly.

  * libavogadro/src/extensions/basisset.cpp: Small changes to debug output.

  * libavogadro/src/pluginmanager.cpp, libavogadro/src/pluginmanager.h: Tweaks
  to the plugin loading code  Addded the contrib directory to the list of
  default searched paths. Also added a new void
  PluginManager::loadFactories(const QString& dir) to load plugins from a
  supplied directory path.

  * avogadro/src/aboutdialog.cpp, avogadro/src/main.cpp,
  avogadro/src/mainwindow.cpp, avogadro/src/savedialog.cpp,
  libavogadro/src/boxcontrol.cpp, libavogadro/src/camera.cpp,
  libavogadro/src/color.cpp, libavogadro/src/colors/chargecolor.cpp,
  libavogadro/src/colors/distancecolor.cpp,
  libavogadro/src/colors/elementcolor.cpp,
  libavogadro/src/colors/indexcolor.cpp,
  libavogadro/src/colors/residuecolor.cpp, libavogadro/src/engine.h,
  libavogadro/src/engines/axesengine.cpp,
  libavogadro/src/engines/bsdyengine.cpp,
  libavogadro/src/engines/cartoonengine.cpp,
  libavogadro/src/engines/dipoleengine.cpp,
  libavogadro/src/engines/forceengine.cpp,
  libavogadro/src/engines/hbondengine.cpp,
  libavogadro/src/engines/labelengine.cpp,
  libavogadro/src/engines/overlayengine.cpp,
  libavogadro/src/engines/polygonengine.cpp,
  libavogadro/src/engines/ribbonengine.cpp,
  libavogadro/src/engines/ringengine.cpp,
  libavogadro/src/engines/simplewireengine.cpp,
  libavogadro/src/engines/sphereengine.cpp,
  libavogadro/src/engines/stickengine.cpp,
  libavogadro/src/engines/surfaceengine.cpp,
  libavogadro/src/engines/wireengine.cpp, libavogadro/src/glwidget.cpp,
  libavogadro/src/idlist.cpp, libavogadro/src/plugin.cpp,
  libavogadro/src/primitive.cpp, libavogadro/src/primitivelist.cpp,
  libavogadro/src/pythonengine.cpp, libavogadro/src/pythonextension.cpp,
  libavogadro/src/pythontool.cpp, libavogadro/src/tool.cpp,
  libavogadro/src/toolgroup.cpp,
  libavogadro/src/tools/insertfragmentdialog.cpp,
  libavogadro/src/undosequence.cpp: Fixing up config.h includes - many places
  where it was not needed.

2009-04-22  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/CMakeLists.txt: Removed the lib prefix from the plugins.

  * CMakeLists.txt, CTestConfig.cmake, cmake/modules/AvoCTestConfig.cmake: The
  CTestConfig.cmake was moved, some small changes to the build system.

2009-04-22  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.ui: Move scaling option to a more
  appropriate tab, fix stretching button.

  * libavogadro/src/extensions/spectradialog.cpp: Allow spectra schemes to be
  updated completely.

2009-04-21  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Don't load molecule if there
  isn't one to load.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h: Renamed member var and fixed
  segfault in Qt 4.4 work around.  schemes --> m_schemes QHashIterator in
  writeSettings() never advanced to allow data to be accessed, resulting in
  non-persistent schemes and assertion problems.

2009-04-21  Geoff Hutchison <geoff@geoffhutchison.net>

  * avogadro/src/mainwindow.cpp: Fix compile error.

  * avogadro/src/mainwindow.cpp: Modified 2D cleanup -- now detects atoms with
  identical coordinates. Also uses conjugate gradients for better results.

2009-04-20  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h: Cleanup and put in frame work to
  begin thinking about other sorts of spectra.

2009-04-17  Marcus D. Hanwell <marcus@cryos.org>

  * testfiles/methane-gaussian.fchk: Added a methane formatted checkpoint as
  output from Gaussian 03.

  * libavogadro/src/extensions/gaussianfchk.cpp: Corrected issue with SP type
  orbitals. Still tracking down some remaining issues.

  * libavogadro/src/extensions/basisset.cpp: Added debug output to the Gaussian
  basis set code. Still tracking an issue with fchk parsing.

2009-04-17  Michael Banck <michael.banck@ch.tum.de>

  * testfiles/methane.g03, testfiles/methane.inp, testfiles/methane.mp,
  testfiles/methane.mpo, testfiles/methane.nwo: Added some new test files for
  quantum output processing.

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/molpro.cpp, libavogadro/src/extensions/molpro.h,
  libavogadro/src/extensions/orbitalextension.cpp: Added support for reading
  Molpro output files in.

2009-04-17  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/molecule.cpp: Added back cube export, titles are not fed
  through correctly yet.

2009-04-17  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Make sure spectradialog.cpp
  compiles with Qt 4.4

2009-04-16  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Should fix the last of the Qt
  4.5 code issues.

2009-04-16  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propmodel.cpp,
  libavogadro/src/extensions/propmodel.h,
  libavogadro/src/extensions/supercellextension.cpp,
  libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Added a new signal
  to the Molecule, used in the properties extensions. Still needs work.

  * libavogadro/src/extensions/supercellextension.cpp: Do not copy the unit
  cell on to itself - unwanted duplicate atoms.

2009-04-15  David Lonie <loniedavid@gmail.com>

  * avogadro/src/settingsdialog.cpp: Fixed display of fog level in main
  settings.

  * libavogadro/src/extensions/nwcheminputdialog.cpp: Fixed intial basis set in
  nwchem input

  * avogadro/src/mainwindow.cpp: Added NWChem to the common molecule formats

  * libavogadro/src/extensions/nwcheminputdialog.cpp: Corrected b3lyp directive
  for nwchem input

2009-04-15  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/include/avogadro/elementtranslator.h,
  libavogadro/src/CMakeLists.txt, libavogadro/src/elementtranslator.cpp,
  libavogadro/src/elementtranslator.h, libavogadro/src/engines/labelengine.cpp,
  libavogadro/src/engines/overlayengine.cpp,
  libavogadro/src/engines/simplewireengine.h,
  libavogadro/src/periodictableview.cpp, libavogadro/src/python/TODO,
  libavogadro/src/tools/drawtool.cpp: Moved the ElementTranslator class to be
  consistent with the class name.

2009-04-14  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/nwcheminputdialog.ui: Use a real basis set as
  the default.

2009-04-14  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Fixed bug in
  spectradialog.cpp concerning theme names.

  * libavogadro/src/extensions/nwcheminputdialog.cpp,
  libavogadro/src/extensions/nwcheminputdialog.ui: Add multiplicity options
  back in to nwchem generator (only for DFT)

  * libavogadro/src/extensions/nwcheminputdialog.cpp: Fixed bug in nwchem
  extension.

2009-04-14  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/spectradialog.cpp: Small fix - be more explicit
  with function argument types.

2009-04-12  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/nwcheminputdialog.cpp,
  libavogadro/src/extensions/nwcheminputdialog.ui: Cleaned up nwchem input
  generator.

  * testfiles/methane.nwo: Added methane.nwo to testfiles

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/gaussianextension.h,
  libavogadro/src/extensions/nwcheminputdialog.cpp,
  libavogadro/src/extensions/nwcheminputdialog.h,
  libavogadro/src/extensions/nwcheminputdialog.ui: Initial addition of NWChem
  input generator.

2009-04-09  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectraextension.cpp: Cleaned up whitespace with
  qt creator

2009-04-08  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.cpp: Removed debugging output.

  * libavogadro/src/extensions/spectradialog.ui: GUI touch ups

  * libavogadro/src/extensions/spectradialog.cpp: Oops -- had some Qt 4.5 only
  code in there. Fixed.

2009-04-08  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/engines/simplewireengine.cpp,
  libavogadro/src/engines/simplewireengine.h: Added a new engine - super simple
  wire frame engine. Mainly for testing purposes and as an example of a very
  simple engine.

2009-04-08  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Added a fun scheme to the
  spectra extension.

2009-04-07  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Handle cancelled dialog with
  a bit more forgiveness.

2009-04-07  Marcus D. Hanwell <marcus@cryos.org>

  * avogadro/src/main.cpp: Few small tweaks to version output, should help with
  debug output.

2009-04-07  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui, libavogadro/src/plotwidget.cpp,
  libavogadro/src/plotwidget.h: Added an option to optimize the font size of
  exported images to spectradialog.*, and the necessary code to plotwidget.*.

  * libavogadro/src/plotwidget.cpp: Rotate the left axis labels in the
  plotwidget.* drawAxes() to match the images and prevent clipping.

  * libavogadro/src/plotwidget.cpp: Rotated y-axis tick labels in image export
  of plotwidget.* to avoid clipping issues.

  * libavogadro/src/extensions/spectradialog.cpp: Fixed error with unit
  selection in spectra image export.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui, libavogadro/src/plotwidget.cpp:
  Fixed some font and spacing issues in image export.

  * libavogadro/src/extensions/spectradialog.ui: GUI changes

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui, libavogadro/src/plotobject.cpp,
  libavogadro/src/plotobject.h, libavogadro/src/plotwidget.cpp,
  libavogadro/src/plotwidget.h: * Fixed up image export with some new options.
  * Added file output to the plot widget

2009-04-06  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/CMakeLists.txt, libavogadro/src/colors/CMakeLists.txt,
  libavogadro/src/engines/CMakeLists.txt,
  libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/tools/CMakeLists.txt: Added a new CMake function -
  avogadro_plugin. Migrated plugins to it.  The avogadro_plugin function allows
  developers to easily add new plugins, makes our build files more concise.
  Allows for global changes in the way plugins are built in the future.

2009-04-06  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Needed to clear out a combo
  box...

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Moved spectra image export to a
  tab.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Added a spectra tsv export
  feature.

  * libavogadro/src/extensions/spectradialog.cpp: Fixed segfault in spectra
  extension that occurred when switching molecules.

2009-04-06  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, avogadro/src/aboutdialog.cpp, avogadro/src/config.h.in,
  avogadro/src/main.cpp, libavogadro/src/config.h.in,
  libavogadro/src/global.cpp, libavogadro/src/global.h: Updates to the handling
  of builds from Git clones - now report the hash the build was made against.

2009-04-06  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui: Restructure GUI to use tabs in
  the spectra extension

2009-04-05  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectradialog.cpp: Fixed crash when loading
  incorrect spectra types.

  * libavogadro/src/plotwidget.cpp: Improvements to the plot widget's axis
  label placement.

  * libavogadro/src/extensions/spectradialog.cpp: Put a nice font on the
  publication scheme.

  * libavogadro/src/extensions/spectradialog.cpp: minor: typo

  * libavogadro/src/extensions/spectradialog.cpp: Added a third default color
  scheme.

  * libavogadro/src/extensions/spectradialog.cpp: Random punctuation is random.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui: Spectra now use persistent,
  customizable color schemes.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectraextension.cpp,
  libavogadro/src/extensions/spectraextension.h: * Added persistant settings to
  spectra extension * Cleaned up debugging output * Started framework for color
  schemes

2009-04-03  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/spectraextension.cpp: Fixed bug in launching
  spectradialog.*

  * testfiles/methanol.jdx, testfiles/methanol.nwo: Added two testfiles: an
  NWChem out with IR data, and a .jdx for JCAMP-DX spectrum tests.

  * libavogadro/src/extensions/spectradialog.cpp: Added support for .jdx
  spectra (i.e. from NIST) and cleaned up file handling in general.

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui: Better handling in spectra
  extension for files without valid data.

  * libavogadro/src/extensions/spectradialog.cpp: Removed debugging

  * libavogadro/src/extensions/spectradialog.ui: GUI cleanup

  * libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.ui: Fixed some bugs in the spectra
  extension

  * libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/spectradialog.cpp,
  libavogadro/src/extensions/spectradialog.h,
  libavogadro/src/extensions/spectradialog.ui,
  libavogadro/src/extensions/spectraextension.cpp,
  libavogadro/src/extensions/spectraextension.h,
  libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.h,
  libavogadro/src/extensions/vibrationdialog.ui,
  libavogadro/src/extensions/vibrationextension.h,
  libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Moved spectra plotting to its
  own extension.

2009-04-02  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp: Changed vibrationplot.* to
  use superscript labels.

  * libavogadro/src/plotwidget.cpp: Rewrote the plotwidget.* text labels to be
  QLabel, and thus support rich text such as sub/superscript.

2009-04-01  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added a gaussian superposition
  of peaks to vibrationplot.*.

  * libavogadro/src/extensions/vibrationplot.cpp: Clear out old imported
  spectra before importing new.

2009-04-01  Marcus D. Hanwell <marcus@cryos.org>

  * Doxyfile: Bumped version for doxygen docs.

  * INSTALL: Updated the INSTALL file, changed dependency versions and removed
  the AVOGADRO_PLUGINS which is not required anymore - relative paths used
  instead.

2009-04-01  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp: Fixed bug: Axis label said %,
  but data was plotted in fraction.

2009-04-01  Geoff Hutchison <babel@geoffhutchison.net>

  * CMakeLists.txt: Fix typo in previous revision -- should read the CMake docs
  better.

  * CMakeLists.txt, scripts/create-translations.sh: Added custom command for
  "create-translations" -- use lconvert from PO -> TS

  * i18n/avogadro.pot, i18n/avogadro_ar.ts, i18n/avogadro_ca.ts,
  i18n/avogadro_cs.ts, i18n/avogadro_de.ts, i18n/avogadro_en_GB.ts,
  i18n/avogadro_es.ts, i18n/avogadro_fi.ts, i18n/avogadro_fr.ts,
  i18n/avogadro_it.ts, i18n/avogadro_ja.ts, i18n/avogadro_ko.ts,
  i18n/avogadro_nb.ts, i18n/avogadro_nl.ts, i18n/avogadro_pl.ts,
  i18n/avogadro_pt.ts, i18n/avogadro_pt_BR.ts, i18n/avogadro_ru.ts,
  i18n/avogadro_sv.ts, i18n/avogadro_tr.ts, i18n/avogadro_uk.ts,
  i18n/avogadro_zh_CN.ts, i18n/avogadro_zh_TW.ts: Update translations from
  Launchpad.

  * libavogadro/src/tools/zmatrixmodel.cpp,
  libavogadro/src/tools/zmatrixmodel.h: Added Q_OBJECT macro and moc output.

2009-04-01  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h,
  libavogadro/src/engines/orbitalsettingswidget.ui: Improvements to orbital
  engine handling of colored meshes.

  * CMakeLists.txt, avogadro/CMakeLists.txt, cmake/modules/AvoCPack.cmake,
  libavogadro/CMakeLists.txt: Version bump in preparation for tagging the 0.9.3
  release.

  * libavogadro/src/engines/orbitalengine.cpp: Added check for meshes - only
  try to display colored mesh if the mesh has colors.

2009-04-01  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Enable configuration of plot
  font in vibrationplot.*..

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Options to
  get font are nice too :)

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Added code to
  change font in plot widget.

2009-04-01  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/molecule.cpp, libavogadro/src/tools/CMakeLists.txt,
  libavogadro/src/tools/zmatrixdialog.cpp,
  libavogadro/src/tools/zmatrixdialog.h,
  libavogadro/src/tools/zmatrixdialog.ui,
  libavogadro/src/tools/zmatrixmodel.cpp, libavogadro/src/tools/zmatrixmodel.h,
  libavogadro/src/tools/zmatrixtool.cpp, libavogadro/src/zmatrix.cpp,
  libavogadro/src/zmatrix.h: Lots of changes to the z matrix tool. It actually
  does stuff now, disabling by default. It is far from ready to be used yet.

  * libavogadro/src/global.h: Moved global Avogadro variables inside the
  Avogadro namespace.

2009-04-01  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp: Smoothed out some work from last night to
  use padding correctly.

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added support for absorbances in
  vibrationplot.*

  * libavogadro/src/extensions/vibrationplot.ui: Added tooltip to plotwidget.

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Replaced vibrationplot.* scaling
  slider/text edit with spin box

2009-03-31  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: plotwidgets
  can zoom with scroll wheel now.

  * libavogadro/src/extensions/vibrationplot.cpp: Update vibrationplot.* to use
  a default limit set.

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Allow a
  default limit to be set and reapplied by a doubleclick. Also change the
  click-and-drag to use the right mouse button for consistancy with the gl
  canvas.

2009-03-31  Marcus D. Hanwell <marcus@cryos.org>

  * cmake/modules/FindPythonLibs.cmake: Modified FindPythonLibs.cmake that does
  not use the path suffix. As far as I can tell this should work on all Linux
  distributions (not just Debian based ones as is now the case). Feedback would
  be appreciated.

  * libavogadro/src/extensions/propextension.cpp,
  libavogadro/src/extensions/propextension.h: Initial fixes for bug 2723686,
  create dialogs for the views. I am not sure that the logic is correct for the
  views created here.

2009-03-31  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/residue.cpp: Don't pass -1 for an unsigned value. Use
  ULONG_MAX instead.

2009-03-31  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Added simple
  click-and-drag plot movement.

2009-03-30  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.ui: Minor GUI changes.

  * libavogadro/src/extensions/vibrationplot.cpp: Fix a stupid typo :)

  * libavogadro/src/extensions/vibrationplot.ui: Cleaned up dialog (tab order,
  buddies, accelerators, etc.)

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added option to toggle off the
  calculated spectra, just for completeness sake.

2009-03-29  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.ui: Fixed some git-merging
  conflicts...

  * testfiles/sampleIRSpectra.tsv: Added a sample experimental IR spectra for
  testing the import feature in libavogadro/src/extensions/vibrationplot.*

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added options to vibrationplot.*
  for color, font size, etc...

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added options to vibrationplot.*
  for color, font size, etc...

2009-03-29  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/supercellextension.cpp,
  libavogadro/src/molecule.cpp: Do not do ring perception on load - terrible
  performance for big systems. Also blocked signals for performance reasons and
  updated the super cell extension a little.

2009-03-28  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp: Some translation friendly
  additions.

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Grouped customization options
  together.

2009-03-27  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/include/avogadro/zmatrix.h, libavogadro/src/CMakeLists.txt,
  libavogadro/src/molecule.cpp, libavogadro/src/molecule.h,
  libavogadro/src/tools/CMakeLists.txt,
  libavogadro/src/tools/zmatrixdialog.cpp,
  libavogadro/src/tools/zmatrixdialog.h,
  libavogadro/src/tools/zmatrixdialog.ui,
  libavogadro/src/tools/zmatrixmodel.cpp, libavogadro/src/tools/zmatrixmodel.h,
  libavogadro/src/tools/zmatrixtool.cpp, libavogadro/src/tools/zmatrixtool.h,
  libavogadro/src/zmatrix.cpp, libavogadro/src/zmatrix.h: Initial work on a new
  z matrix editor. Far from complete just yet. Questionable whether it belongs
  with the other tools, but does need mouse interaction.

  * libavogadro/src/tools/drawtool.cpp, libavogadro/src/tools/drawtool.h: Some
  improvements to the drawing tool, lazy initialization, clean ups.

  * libavogadro/src/extensions/supercellextension.cpp: Various improvements to
  the unit cell code - speed improvements, interactivity. Should probably
  dispatch most work off to a separate thread.

2009-03-27  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.cpp: Fixed bug in
  vibrationdialog.* caused by a GUI change.

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added simple image output to
  vibrationplot.*.

2009-03-27  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/aligntool.cpp, libavogadro/src/tools/aligntool.h:
  Reduced the number of includes massively.

  * libavogadro/src/tool.cpp: QObject parenting takes care of destroying the
  QAction.

2009-03-26  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.h: Removed unused function.

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added in an import function to
  vibrationplot.* that can overlay experimental spectra. General retooling of
  plotobject handling. GUI changes.

2009-03-26  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/tools/insertfragmentdialog.cpp,
  libavogadro/src/tools/insertfragmentdialog.h: Small changes to indentation
  and variable names.

2009-03-26  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationextension.cpp: More GUI changes

2009-03-26  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h,
  libavogadro/src/python/molecule.cpp: Inlined a few functions that are called
  a lot.

  * libavogadro/src/molecule.cpp, libavogadro/src/molecule.h: Moved the atom
  and bond storage into the class, should allow some inlining.

2009-03-25  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.ui,
  libavogadro/src/extensions/vibrationplot.ui: GUI changes for vibrationplot.*

2009-03-25  Marcus D. Hanwell <marcus@cryos.org>

  * CMakeLists.txt, avogadro/src/CMakeLists.txt: Second thoughts - relative
  RPATH is only needed for executables.

  * CMakeLists.txt: Added relative RPATH for Linux installations, symbol
  resolution on link for MODULE and EXE linking.

2009-03-25  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/plotwidget.cpp: Fix indentation issues.

2009-03-24  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/extensions/povpainter.cpp, libavogadro/src/glpainter.cpp: A
  few small adjustments to use the correct colour transparency when rendering
  using colorMesh.

  * libavogadro/src/engines/orbitalengine.cpp,
  libavogadro/src/engines/orbitalengine.h,
  libavogadro/src/engines/orbitalsettingswidget.ui: Fixed up the orbital
  selection, previously had bugs when several meshes were present.

2009-03-23  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Added labels to the peaks and
  changed the font so that it would actually be legible. Removed debug output
  and unnecessary credits.

  * libavogadro/src/plotaxis.cpp, libavogadro/src/plotwidget.cpp,
  libavogadro/src/plotwidget.h: Removed debug output and added the ability to
  change font size through PlotWidget::setFontSize(int pointSize).

2009-03-23  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h: Removed #warning - it is a GCC
  extension. Removed unimplemented slot - caused link issues on Windows.

  * libavogadro/src/extensions/basisset.cpp,
  libavogadro/src/extensions/basisset.h: Added the D5 type orbitals for
  electron density calculations.

  * libavogadro/src/extensions/supercellextension.cpp,
  libavogadro/src/tools/navigatetool.cpp: Only do space group transformations
  when there is a space group. Otherwise duplicate the unit cell to make a
  supercell.

  * libavogadro/src/extensions/supercellextension.cpp: Check whether there is a
  valid spacegroup. Needs error messages and the option to make a supercell
  without a space group.

2009-03-23  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Cleaned up vibration plot a
  bit..

2009-03-22  David Lonie <loniedavid@gmail.com>

  * libavogadro/include/avogadro/plotaxis.h,
  libavogadro/include/avogadro/plotobject.h,
  libavogadro/include/avogadro/plotpoint.h,
  libavogadro/include/avogadro/plotwidget.h, libavogadro/src/CMakeLists.txt,
  libavogadro/src/extensions/CMakeLists.txt,
  libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.h,
  libavogadro/src/extensions/vibrationdialog.ui,
  libavogadro/src/extensions/vibrationextension.h,
  libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui, libavogadro/src/plotaxis.cpp,
  libavogadro/src/plotaxis.h, libavogadro/src/plotobject.cpp,
  libavogadro/src/plotobject.h, libavogadro/src/plotpoint.cpp,
  libavogadro/src/plotpoint.h, libavogadro/src/plotwidget.cpp,
  libavogadro/src/plotwidget.h: Added plotting widget based off of KPlotWidget
  as <avogadro/plotwidget.h> and added a dialog to plot mock IR spectra to the
  vibrations extension..

2009-03-22  David Lonie <dl@david-laptop.(none)>

  * libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationextension.h,
  libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui: Initial working vibration
  plotting (Has hack to get around bug in qchem files).

  * libavogadro/src/plotaxis.cpp: Fixed axis ticks for plotting ranges where
  the axis runs from high -> low.

  * libavogadro/include/avogadro/plotaxis.h,
  libavogadro/include/avogadro/plotobject.h,
  libavogadro/include/avogadro/plotpoint.h, libavogadro/src/plotwidget.cpp,
  libavogadro/src/plotwidget.h: Fixed some issues in the plotwidget.

  * libavogadro/include/avogadro/plotwidget.h, libavogadro/src/CMakeLists.txt,
  libavogadro/src/kplotaxis.cpp, libavogadro/src/kplotaxis.h,
  libavogadro/src/kplotobject.cpp, libavogadro/src/kplotobject.h,
  libavogadro/src/kplotpoint.cpp, libavogadro/src/kplotpoint.h,
  libavogadro/src/kplotwidget.cpp, libavogadro/src/kplotwidget.h,
  libavogadro/src/plotaxis.cpp, libavogadro/src/plotaxis.h,
  libavogadro/src/plotobject.cpp, libavogadro/src/plotobject.h,
  libavogadro/src/plotpoint.cpp, libavogadro/src/plotpoint.h,
  libavogadro/src/plotwidget.cpp, libavogadro/src/plotwidget.h: Completed
  integrating kde's KPlotWidget to Avogadro::PlotWidget.

  * libavogadro/src/extensions/vibrationplot.cpp,
  libavogadro/src/extensions/vibrationplot.h,
  libavogadro/src/extensions/vibrationplot.ui, libavogadro/src/kplotaxis.cpp,
  libavogadro/src/kplotaxis.h, libavogadro/src/kplotobject.h,
  libavogadro/src/kplotpoint.cpp, libavogadro/src/kplotpoint.h,
  libavogadro/src/kplotwidget.cpp, libavogadro/src/kplotwidget.h: Initial
  attempt to create a plot of the vibrations.

2009-03-05  Marcus D. Hanwell <marcus@cryos.org>

  * libavogadro/src/engines/forceengine.cpp: Small improvement to the display
  of forces in the force engine, removed includes etc that were not needed.

  * avogadro/src/avogadro.desktop: Fixed issues with .desktop file pointed out
  in PR #2665637.

  * libavogadro/src/extensions/shaders/vmd.frag,
  libavogadro/src/extensions/shaders/vmd.vert, testfiles/icsd_83086.cif,
  testfiles/icsd_83086.res: Removed files, Daniel Leidert pointed out possible
  copyright issues.

2009-03-05  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.ui: Fixed segfault when starting
  vibration animation with no mode selected. 

  * avogadro/src/mainwindow.ui,
  libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/forcefieldextension.cpp,
  libavogadro/src/extensions/gamessextension.cpp,
  libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/linmorphextension.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/extensions/shaderextension.cpp,
  libavogadro/src/extensions/templateextension.cpp,
  libavogadro/src/extensions/vibrationextension.cpp,
  libavogadro/src/extensions/wiitrackextension.cpp: Fixed shortcut collision in
  menubar. 

2009-03-04  David Lonie <loniedavid@gmail.com>

  * libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.ui: Fixed segfault when starting
  vibration animation with no mode selected.

  * avogadro/src/mainwindow.ui,
  libavogadro/src/extensions/animationextension.cpp,
  libavogadro/src/extensions/forcefieldextension.cpp,
  libavogadro/src/extensions/gamessextension.cpp,
  libavogadro/src/extensions/gaussianextension.cpp,
  libavogadro/src/extensions/linmorphextension.cpp,
  libavogadro/src/extensions/orbitalextension.cpp,
  libavogadro/src/extensions/shaderextension.cpp,
  libavogadro/src/extensions/templateextension.cpp,
  libavogadro/src/extensions/vibrationextension.cpp,
  libavogadro/src/extensions/wiitrackextension.cpp: Fixed shortcut collision in
  menubar.

2009-03-04  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/vibrationdialog.cpp: Make sure we don't run off
  the end of the vector for frequencies.

2009-03-04  Tim Vandermeersch <tim.vandermeersch@gmail.com>

  * libavogadro/src/extensions/pythonterminal.cpp: PythonTerminal: Don't delete
  the widget in destructor. Prevents crashes on closing.

2009-03-04  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/vibrationdialog.cpp,
  libavogadro/src/extensions/vibrationdialog.h,
  libavogadro/src/extensions/vibrationdialog.ui,
  libavogadro/src/extensions/vibrationextension.cpp: Changed from David Lonie
  for an "export" feature.

2009-03-03  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/qcheminputdialog.cpp,
  libavogadro/src/extensions/qcheminputdialog.h,
  libavogadro/src/extensions/qcheminputdialog.ui: Updates to Q-Chem input
  builder. Now offers new DFT functionals and basis sets.

2009-03-03  Geoff Hutchison <geoff@geoffhutchison.net>

  * libavogadro/src/extensions/vibrationextension.cpp: Turn off warning for
  right now -- some GAMESS files have strange numbers of atoms.

  * libavogadro/src/extensions/propextension.cpp: Fix some parenting issues
  with the properties windows.

2009-03-03  Geoff Hutchison <babel@geoffhutchison.net>

  * libavogadro/src/extensions/qcheminputdialog.cpp,
  libavogadro/src/extensions/qcheminputdialog.h,
  libavogadro/src/extensions/qcheminputdialog.ui: Update Q-Chem -- no AM1 or
  PM3, and we should always output a FCHK file.

  * avogadro/src/pluginsettings.ui: Update capitalization for "Display Types"

  * i18n/avogadro.pot, i18n/avogadro_ar.ts, i18n/avogadro_ca.ts,
  i18n/avogadro_cs.ts, i18n/avogadro_de.ts, i18n/avogadro_en_GB.ts,
  i18n/avogadro_es.ts, i18n/avogadro_fi.ts, i18n/avogadro_fr.ts,
  i18n/avogadro_it.ts, i18n/avogadro_ja.ts, i18n/avogadro_ko.ts,
